package androidx.startup;

import android.content.ComponentName;
import android.content.ContentProvider;
import android.content.ContentValues;
import android.content.Context;
import android.content.pm.PackageManager;
import android.database.Cursor;
import android.net.Uri;
import android.os.Bundle;
import android.os.Trace;
import io.github.nekoinverter.ehviewer.R;
import java.util.HashSet;
import java.util.Objects;

public final class InitializationProvider extends ContentProvider {
    public int delete(Uri uri, String str, String[] strArr) {
        throw new IllegalStateException("Not allowed.");
    }

    public String getType(Uri uri) {
        throw new IllegalStateException("Not allowed.");
    }

    public Uri insert(Uri uri, ContentValues contentValues) {
        throw new IllegalStateException("Not allowed.");
    }

    public boolean onCreate() {
        Context context = getContext();
        if (context != null) {
            C0440a4 b = C0440a4.b(context);
            Objects.requireNonNull(b);
            try {
                Trace.beginSection("Startup");
                Bundle bundle = b.f2008a.getPackageManager().getProviderInfo(new ComponentName(b.f2008a.getPackageName(), InitializationProvider.class.getName()), 128).metaData;
                String string = b.f2008a.getString(R.string.f93390_resource_name_obfuscated_RES_2131755050);
                if (bundle != null) {
                    HashSet hashSet = new HashSet();
                    for (String str : bundle.keySet()) {
                        if (string.equals(bundle.getString(str, null))) {
                            Class<?> cls = Class.forName(str);
                            if (Fs.class.isAssignableFrom(cls)) {
                                b.f2010a.add(cls);
                                b.a(cls, hashSet);
                            }
                        }
                    }
                }
                Trace.endSection();
                return true;
            } catch (PackageManager.NameNotFoundException | ClassNotFoundException e) {
                throw new BH(e);
            } catch (Throwable th) {
                Trace.endSection();
                throw th;
            }
        } else {
            throw new BH("Context cannot be null");
        }
    }

    public Cursor query(Uri uri, String[] strArr, String str, String[] strArr2, String str2) {
        throw new IllegalStateException("Not allowed.");
    }

    public int update(Uri uri, ContentValues contentValues, String str, String[] strArr) {
        throw new IllegalStateException("Not allowed.");
    }
}
