package com.google.android.material.textfield;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Point;
import android.graphics.Rect;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import io.github.nekoinverter.ehviewer.R;
import java.util.Locale;

public class TextInputEditText extends C1301q3 {
    public final Rect a = new Rect();
    public boolean b;

    public TextInputEditText(Context context, AttributeSet attributeSet) {
        super(Gu.J(context, attributeSet, R.attr.f55920_resource_name_obfuscated_RES_2130968962, 0), attributeSet, R.attr.f55920_resource_name_obfuscated_RES_2130968962);
        int[] iArr = C0506bG.N;
        C0345Ug.f(context, attributeSet, R.attr.f55920_resource_name_obfuscated_RES_2130968962, R.style.f110730_resource_name_obfuscated_RES_2131821400);
        C0345Ug.g(context, attributeSet, iArr, R.attr.f55920_resource_name_obfuscated_RES_2130968962, R.style.f110730_resource_name_obfuscated_RES_2131821400, new int[0]);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, R.attr.f55920_resource_name_obfuscated_RES_2130968962, R.style.f110730_resource_name_obfuscated_RES_2131821400);
        this.b = obtainStyledAttributes.getBoolean(0, false);
        obtainStyledAttributes.recycle();
    }

    public final TextInputLayout b() {
        for (ViewParent parent = getParent(); parent instanceof View; parent = parent.getParent()) {
            if (parent instanceof TextInputLayout) {
                return (TextInputLayout) parent;
            }
        }
        return null;
    }

    public void getFocusedRect(Rect rect) {
        super.getFocusedRect(rect);
        TextInputLayout b2 = b();
        if (b2 != null && this.b && rect != null) {
            b2.getFocusedRect(this.a);
            rect.bottom = this.a.bottom;
        }
    }

    public boolean getGlobalVisibleRect(Rect rect, Point point) {
        boolean globalVisibleRect = super.getGlobalVisibleRect(rect, point);
        TextInputLayout b2 = b();
        if (!(b2 == null || !this.b || rect == null)) {
            b2.getGlobalVisibleRect(this.a, point);
            rect.bottom = this.a.bottom;
        }
        return globalVisibleRect;
    }

    public CharSequence getHint() {
        TextInputLayout b2 = b();
        if (b2 == null || !b2.f2774f) {
            return super.getHint();
        }
        return b2.i();
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        TextInputLayout b2 = b();
        if (b2 != null && b2.f2774f && super.getHint() == null && Build.MANUFACTURER.toLowerCase(Locale.ENGLISH).equals("meizu")) {
            setHint("");
        }
    }

    @Override // defpackage.C1301q3
    public InputConnection onCreateInputConnection(EditorInfo editorInfo) {
        InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
        if (onCreateInputConnection != null && editorInfo.hintText == null) {
            TextInputLayout b2 = b();
            editorInfo.hintText = b2 != null ? b2.i() : null;
        }
        return onCreateInputConnection;
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        b();
    }

    public boolean requestRectangleOnScreen(Rect rect) {
        boolean requestRectangleOnScreen = super.requestRectangleOnScreen(rect);
        TextInputLayout b2 = b();
        if (b2 != null && this.b) {
            this.a.set(0, b2.getHeight() - getResources().getDimensionPixelOffset(R.dimen.f78600_resource_name_obfuscated_RES_2131165697), b2.getWidth(), b2.getHeight());
            b2.requestRectangleOnScreen(this.a, true);
        }
        return requestRectangleOnScreen;
    }
}
