package com.hippo.a7zip;

import java.io.File;
import java.io.RandomAccessFile;

public class FileSeekableInputStream extends SeekableInputStream {
    private final RandomAccessFile file;

    public FileSeekableInputStream(String str) {
        this(new File(str));
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
    public void close() {
        this.file.close();
    }

    @Override // java.io.InputStream
    public int read() {
        return this.file.read();
    }

    @Override // com.hippo.a7zip.SeekableInputStream
    public void seek(long j) {
        this.file.seek(j);
    }

    @Override // com.hippo.a7zip.SeekableInputStream
    public long size() {
        return this.file.length();
    }

    @Override // com.hippo.a7zip.SeekableInputStream
    public long tell() {
        return this.file.getFilePointer();
    }

    public FileSeekableInputStream(File file2) {
        this(new RandomAccessFile(file2, "r"));
    }

    @Override // java.io.InputStream
    public int read(byte[] bArr) {
        return this.file.read(bArr);
    }

    public FileSeekableInputStream(RandomAccessFile randomAccessFile) {
        this.file = randomAccessFile;
    }

    @Override // java.io.InputStream
    public int read(byte[] bArr, int i, int i2) {
        return this.file.read(bArr, i, i2);
    }
}
