package com.hippo.ehviewer.dao;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.util.Log;

public class DaoMaster extends AbstractC1674x {
    public static final int SCHEMA_VERSION = 4;

    public class DevOpenHelper extends OpenHelper {
        public DevOpenHelper(Context context, String str) {
            super(context, str);
        }

        @Override // defpackage.AbstractC0308Sc
        public void onUpgrade(AbstractC0240Oc oc, int i, int i2) {
            Log.i("greenDAO", "Upgrading schema from version " + i + " to " + i2 + " by dropping all tables");
            DaoMaster.dropAllTables(oc, true);
            onCreate(oc);
        }

        public DevOpenHelper(Context context, String str, SQLiteDatabase.CursorFactory cursorFactory) {
            super(context, str, cursorFactory);
        }
    }

    public abstract class OpenHelper extends AbstractC0308Sc {
        public OpenHelper(Context context, String str) {
            super(context, str, 4);
        }

        @Override // defpackage.AbstractC0308Sc
        public void onCreate(AbstractC0240Oc oc) {
            Log.i("greenDAO", "Creating tables for schema version 4");
            DaoMaster.createAllTables(oc, false);
        }

        public OpenHelper(Context context, String str, SQLiteDatabase.CursorFactory cursorFactory) {
            super(context, str, cursorFactory, 4);
        }
    }

    public DaoMaster(SQLiteDatabase sQLiteDatabase) {
        this(new Z2(sQLiteDatabase, 6));
    }

    public static void createAllTables(AbstractC0240Oc oc, boolean z) {
        DownloadsDao.createTable(oc, z);
        DownloadLabelDao.createTable(oc, z);
        DownloadDirnameDao.createTable(oc, z);
        HistoryDao.createTable(oc, z);
        QuickSearchDao.createTable(oc, z);
        LocalFavoritesDao.createTable(oc, z);
        BookmarksDao.createTable(oc, z);
        FilterDao.createTable(oc, z);
    }

    public static void dropAllTables(AbstractC0240Oc oc, boolean z) {
        DownloadsDao.dropTable(oc, z);
        DownloadLabelDao.dropTable(oc, z);
        DownloadDirnameDao.dropTable(oc, z);
        HistoryDao.dropTable(oc, z);
        QuickSearchDao.dropTable(oc, z);
        LocalFavoritesDao.dropTable(oc, z);
        BookmarksDao.dropTable(oc, z);
        FilterDao.dropTable(oc, z);
    }

    public static DaoSession newDevSession(Context context, String str) {
        return new DaoMaster(new DevOpenHelper(context, str).getWritableDb()).newSession();
    }

    public DaoMaster(AbstractC0240Oc oc) {
        super(oc, 4);
        registerDaoClass(DownloadsDao.class);
        registerDaoClass(DownloadLabelDao.class);
        registerDaoClass(DownloadDirnameDao.class);
        registerDaoClass(HistoryDao.class);
        registerDaoClass(QuickSearchDao.class);
        registerDaoClass(LocalFavoritesDao.class);
        registerDaoClass(BookmarksDao.class);
        registerDaoClass(FilterDao.class);
    }

    @Override // defpackage.AbstractC1674x
    public DaoSession newSession() {
        return new DaoSession(this.db, EnumC1073ls.a, this.daoConfigMap);
    }

    @Override // defpackage.AbstractC1674x
    public DaoSession newSession(EnumC1073ls lsVar) {
        return new DaoSession(this.db, lsVar, this.daoConfigMap);
    }
}
