package com.hippo.ehviewer.dao;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;

public class DownloadLabelDao extends AbstractC1620w {
    public static final String TABLENAME = "DOWNLOAD_LABELS";

    public class Properties {
        public static final ZA Id = new ZA(0, Long.class, "id", true, "_id");
        public static final ZA Label = new ZA(1, String.class, "label", false, "LABEL");
        public static final ZA Time = new ZA(2, Long.TYPE, "time", false, "TIME");
    }

    public DownloadLabelDao(C0138Ic ic) {
        super(ic);
    }

    public static void createTable(AbstractC0240Oc oc, boolean z) {
        String str = z ? "IF NOT EXISTS " : "";
        oc.g("CREATE TABLE " + str + "\"DOWNLOAD_LABELS\" (\"_id\" INTEGER PRIMARY KEY ,\"LABEL\" TEXT,\"TIME\" INTEGER NOT NULL );");
    }

    public static void dropTable(AbstractC0240Oc oc, boolean z) {
        StringBuilder a = C0894ia.a("DROP TABLE ");
        a.append(z ? "IF EXISTS " : "");
        a.append("\"DOWNLOAD_LABELS\"");
        oc.g(a.toString());
    }

    @Override // defpackage.AbstractC1620w
    public final boolean isEntityUpdateable() {
        return true;
    }

    public DownloadLabelDao(C0138Ic ic, DaoSession daoSession) {
        super(ic, daoSession);
    }

    public Long getKey(DownloadLabel downloadLabel) {
        if (downloadLabel != null) {
            return downloadLabel.getId();
        }
        return null;
    }

    public boolean hasKey(DownloadLabel downloadLabel) {
        return downloadLabel.getId() != null;
    }

    @Override // defpackage.AbstractC1620w
    public Long readKey(Cursor cursor, int i) {
        int i2 = i + 0;
        if (cursor.isNull(i2)) {
            return null;
        }
        return Long.valueOf(cursor.getLong(i2));
    }

    public final Long updateKeyAfterInsert(DownloadLabel downloadLabel, long j) {
        downloadLabel.setId(Long.valueOf(j));
        return Long.valueOf(j);
    }

    public final void bindValues(AbstractC0341Uc uc, DownloadLabel downloadLabel) {
        uc.g();
        Long id = downloadLabel.getId();
        if (id != null) {
            uc.h(1, id.longValue());
        }
        String label = downloadLabel.getLabel();
        if (label != null) {
            uc.f(2, label);
        }
        uc.h(3, downloadLabel.getTime());
    }

    @Override // defpackage.AbstractC1620w
    public DownloadLabel readEntity(Cursor cursor, int i) {
        int i2 = i + 0;
        String str = null;
        Long valueOf = cursor.isNull(i2) ? null : Long.valueOf(cursor.getLong(i2));
        int i3 = i + 1;
        if (!cursor.isNull(i3)) {
            str = cursor.getString(i3);
        }
        return new DownloadLabel(valueOf, str, cursor.getLong(i + 2));
    }

    public void readEntity(Cursor cursor, DownloadLabel downloadLabel, int i) {
        int i2 = i + 0;
        String str = null;
        downloadLabel.setId(cursor.isNull(i2) ? null : Long.valueOf(cursor.getLong(i2)));
        int i3 = i + 1;
        if (!cursor.isNull(i3)) {
            str = cursor.getString(i3);
        }
        downloadLabel.setLabel(str);
        downloadLabel.setTime(cursor.getLong(i + 2));
    }

    public final void bindValues(SQLiteStatement sQLiteStatement, DownloadLabel downloadLabel) {
        sQLiteStatement.clearBindings();
        Long id = downloadLabel.getId();
        if (id != null) {
            sQLiteStatement.bindLong(1, id.longValue());
        }
        String label = downloadLabel.getLabel();
        if (label != null) {
            sQLiteStatement.bindString(2, label);
        }
        sQLiteStatement.bindLong(3, downloadLabel.getTime());
    }
}
