package com.hippo.ehviewer.dao;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;

public class DownloadsDao extends AbstractC1620w {
    public static final String TABLENAME = "DOWNLOADS";

    public class Properties {
        public static final ZA Category;
        public static final ZA Gid;
        public static final ZA Label = new ZA(13, String.class, "label", false, "LABEL");
        public static final ZA Legacy;
        public static final ZA Posted = new ZA(6, String.class, "posted", false, "POSTED");
        public static final ZA Rating = new ZA(8, Float.TYPE, "rating", false, "RATING");
        public static final ZA SimpleLanguage = new ZA(9, String.class, "simpleLanguage", false, "SIMPLE_LANGUAGE");
        public static final ZA State;
        public static final ZA Thumb = new ZA(4, String.class, "thumb", false, "THUMB");
        public static final ZA Time;
        public static final ZA Title = new ZA(2, String.class, "title", false, "TITLE");
        public static final ZA TitleJpn = new ZA(3, String.class, "titleJpn", false, "TITLE_JPN");
        public static final ZA Token = new ZA(1, String.class, "token", false, "TOKEN");
        public static final ZA Uploader = new ZA(7, String.class, "uploader", false, "UPLOADER");

        static {
            Class cls = Long.TYPE;
            Gid = new ZA(0, cls, "gid", true, "GID");
            Class cls2 = Integer.TYPE;
            Category = new ZA(5, cls2, "category", false, "CATEGORY");
            State = new ZA(10, cls2, "state", false, "STATE");
            Legacy = new ZA(11, cls2, "legacy", false, "LEGACY");
            Time = new ZA(12, cls, "time", false, "TIME");
        }
    }

    public DownloadsDao(C0138Ic ic) {
        super(ic);
    }

    public static void createTable(AbstractC0240Oc oc, boolean z) {
        String str = z ? "IF NOT EXISTS " : "";
        oc.g("CREATE TABLE " + str + "\"DOWNLOADS\" (\"GID\" INTEGER PRIMARY KEY NOT NULL ,\"TOKEN\" TEXT,\"TITLE\" TEXT,\"TITLE_JPN\" TEXT,\"THUMB\" TEXT,\"CATEGORY\" INTEGER NOT NULL ,\"POSTED\" TEXT,\"UPLOADER\" TEXT,\"RATING\" REAL NOT NULL ,\"SIMPLE_LANGUAGE\" TEXT,\"STATE\" INTEGER NOT NULL ,\"LEGACY\" INTEGER NOT NULL ,\"TIME\" INTEGER NOT NULL ,\"LABEL\" TEXT);");
    }

    public static void dropTable(AbstractC0240Oc oc, boolean z) {
        StringBuilder a = C0894ia.a("DROP TABLE ");
        a.append(z ? "IF EXISTS " : "");
        a.append("\"DOWNLOADS\"");
        oc.g(a.toString());
    }

    @Override // defpackage.AbstractC1620w
    public final boolean isEntityUpdateable() {
        return true;
    }

    public DownloadsDao(C0138Ic ic, DaoSession daoSession) {
        super(ic, daoSession);
    }

    public Long getKey(DownloadInfo downloadInfo) {
        if (downloadInfo != null) {
            return Long.valueOf(downloadInfo.getGid());
        }
        return null;
    }

    public boolean hasKey(DownloadInfo downloadInfo) {
        throw new UnsupportedOperationException("Unsupported for entities with a non-null key");
    }

    @Override // defpackage.AbstractC1620w
    public Long readKey(Cursor cursor, int i) {
        return Long.valueOf(cursor.getLong(i + 0));
    }

    public final Long updateKeyAfterInsert(DownloadInfo downloadInfo, long j) {
        downloadInfo.setGid(j);
        return Long.valueOf(j);
    }

    public final void bindValues(AbstractC0341Uc uc, DownloadInfo downloadInfo) {
        uc.g();
        uc.h(1, downloadInfo.getGid());
        String token = downloadInfo.getToken();
        if (token != null) {
            uc.f(2, token);
        }
        String title = downloadInfo.getTitle();
        if (title != null) {
            uc.f(3, title);
        }
        String titleJpn = downloadInfo.getTitleJpn();
        if (titleJpn != null) {
            uc.f(4, titleJpn);
        }
        String thumb = downloadInfo.getThumb();
        if (thumb != null) {
            uc.f(5, thumb);
        }
        uc.h(6, (long) downloadInfo.getCategory());
        String posted = downloadInfo.getPosted();
        if (posted != null) {
            uc.f(7, posted);
        }
        String uploader = downloadInfo.getUploader();
        if (uploader != null) {
            uc.f(8, uploader);
        }
        uc.k(9, (double) downloadInfo.getRating());
        String simpleLanguage = downloadInfo.getSimpleLanguage();
        if (simpleLanguage != null) {
            uc.f(10, simpleLanguage);
        }
        uc.h(11, (long) downloadInfo.getState());
        uc.h(12, (long) downloadInfo.getLegacy());
        uc.h(13, downloadInfo.getTime());
        String label = downloadInfo.getLabel();
        if (label != null) {
            uc.f(14, label);
        }
    }

    @Override // defpackage.AbstractC1620w
    public DownloadInfo readEntity(Cursor cursor, int i) {
        int i2 = i + 1;
        int i3 = i + 2;
        int i4 = i + 3;
        int i5 = i + 4;
        int i6 = i + 6;
        int i7 = i + 7;
        int i8 = i + 9;
        int i9 = i + 13;
        return new DownloadInfo(cursor.getLong(i + 0), cursor.isNull(i2) ? null : cursor.getString(i2), cursor.isNull(i3) ? null : cursor.getString(i3), cursor.isNull(i4) ? null : cursor.getString(i4), cursor.isNull(i5) ? null : cursor.getString(i5), cursor.getInt(i + 5), cursor.isNull(i6) ? null : cursor.getString(i6), cursor.isNull(i7) ? null : cursor.getString(i7), cursor.getFloat(i + 8), cursor.isNull(i8) ? null : cursor.getString(i8), cursor.getInt(i + 10), cursor.getInt(i + 11), cursor.getLong(i + 12), cursor.isNull(i9) ? null : cursor.getString(i9));
    }

    public void readEntity(Cursor cursor, DownloadInfo downloadInfo, int i) {
        downloadInfo.setGid(cursor.getLong(i + 0));
        int i2 = i + 1;
        String str = null;
        downloadInfo.setToken(cursor.isNull(i2) ? null : cursor.getString(i2));
        int i3 = i + 2;
        downloadInfo.setTitle(cursor.isNull(i3) ? null : cursor.getString(i3));
        int i4 = i + 3;
        downloadInfo.setTitleJpn(cursor.isNull(i4) ? null : cursor.getString(i4));
        int i5 = i + 4;
        downloadInfo.setThumb(cursor.isNull(i5) ? null : cursor.getString(i5));
        downloadInfo.setCategory(cursor.getInt(i + 5));
        int i6 = i + 6;
        downloadInfo.setPosted(cursor.isNull(i6) ? null : cursor.getString(i6));
        int i7 = i + 7;
        downloadInfo.setUploader(cursor.isNull(i7) ? null : cursor.getString(i7));
        downloadInfo.setRating(cursor.getFloat(i + 8));
        int i8 = i + 9;
        downloadInfo.setSimpleLanguage(cursor.isNull(i8) ? null : cursor.getString(i8));
        downloadInfo.setState(cursor.getInt(i + 10));
        downloadInfo.setLegacy(cursor.getInt(i + 11));
        downloadInfo.setTime(cursor.getLong(i + 12));
        int i9 = i + 13;
        if (!cursor.isNull(i9)) {
            str = cursor.getString(i9);
        }
        downloadInfo.setLabel(str);
    }

    public final void bindValues(SQLiteStatement sQLiteStatement, DownloadInfo downloadInfo) {
        sQLiteStatement.clearBindings();
        sQLiteStatement.bindLong(1, downloadInfo.getGid());
        String token = downloadInfo.getToken();
        if (token != null) {
            sQLiteStatement.bindString(2, token);
        }
        String title = downloadInfo.getTitle();
        if (title != null) {
            sQLiteStatement.bindString(3, title);
        }
        String titleJpn = downloadInfo.getTitleJpn();
        if (titleJpn != null) {
            sQLiteStatement.bindString(4, titleJpn);
        }
        String thumb = downloadInfo.getThumb();
        if (thumb != null) {
            sQLiteStatement.bindString(5, thumb);
        }
        sQLiteStatement.bindLong(6, (long) downloadInfo.getCategory());
        String posted = downloadInfo.getPosted();
        if (posted != null) {
            sQLiteStatement.bindString(7, posted);
        }
        String uploader = downloadInfo.getUploader();
        if (uploader != null) {
            sQLiteStatement.bindString(8, uploader);
        }
        sQLiteStatement.bindDouble(9, (double) downloadInfo.getRating());
        String simpleLanguage = downloadInfo.getSimpleLanguage();
        if (simpleLanguage != null) {
            sQLiteStatement.bindString(10, simpleLanguage);
        }
        sQLiteStatement.bindLong(11, (long) downloadInfo.getState());
        sQLiteStatement.bindLong(12, (long) downloadInfo.getLegacy());
        sQLiteStatement.bindLong(13, downloadInfo.getTime());
        String label = downloadInfo.getLabel();
        if (label != null) {
            sQLiteStatement.bindString(14, label);
        }
    }
}
