package com.hippo.ehviewer.dao;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;

public class FilterDao extends AbstractC1620w {
    public static final String TABLENAME = "FILTER";

    public class Properties {
        public static final ZA Enable = new ZA(3, Boolean.class, "enable", false, "ENABLE");
        public static final ZA Id = new ZA(0, Long.class, "id", true, "_id");
        public static final ZA Mode = new ZA(1, Integer.TYPE, "mode", false, "MODE");
        public static final ZA Text = new ZA(2, String.class, "text", false, "TEXT");
    }

    public FilterDao(C0138Ic ic) {
        super(ic);
    }

    public static void createTable(AbstractC0240Oc oc, boolean z) {
        String str = z ? "IF NOT EXISTS " : "";
        oc.g("CREATE TABLE " + str + "\"FILTER\" (\"_id\" INTEGER PRIMARY KEY ,\"MODE\" INTEGER NOT NULL ,\"TEXT\" TEXT,\"ENABLE\" INTEGER);");
    }

    public static void dropTable(AbstractC0240Oc oc, boolean z) {
        StringBuilder a = C0894ia.a("DROP TABLE ");
        a.append(z ? "IF EXISTS " : "");
        a.append("\"FILTER\"");
        oc.g(a.toString());
    }

    @Override // defpackage.AbstractC1620w
    public final boolean isEntityUpdateable() {
        return true;
    }

    public FilterDao(C0138Ic ic, DaoSession daoSession) {
        super(ic, daoSession);
    }

    public Long getKey(Filter filter) {
        if (filter != null) {
            return filter.getId();
        }
        return null;
    }

    public boolean hasKey(Filter filter) {
        return filter.getId() != null;
    }

    @Override // defpackage.AbstractC1620w
    public Long readKey(Cursor cursor, int i) {
        int i2 = i + 0;
        if (cursor.isNull(i2)) {
            return null;
        }
        return Long.valueOf(cursor.getLong(i2));
    }

    public final Long updateKeyAfterInsert(Filter filter, long j) {
        filter.setId(Long.valueOf(j));
        return Long.valueOf(j);
    }

    public final void bindValues(AbstractC0341Uc uc, Filter filter) {
        uc.g();
        Long id = filter.getId();
        if (id != null) {
            uc.h(1, id.longValue());
        }
        uc.h(2, (long) filter.getMode());
        String text = filter.getText();
        if (text != null) {
            uc.f(3, text);
        }
        Boolean enable = filter.getEnable();
        if (enable != null) {
            uc.h(4, enable.booleanValue() ? 1 : 0);
        }
    }

    @Override // defpackage.AbstractC1620w
    public Filter readEntity(Cursor cursor, int i) {
        int i2 = i + 0;
        Boolean bool = null;
        Long valueOf = cursor.isNull(i2) ? null : Long.valueOf(cursor.getLong(i2));
        int i3 = cursor.getInt(i + 1);
        int i4 = i + 2;
        String string = cursor.isNull(i4) ? null : cursor.getString(i4);
        int i5 = i + 3;
        if (!cursor.isNull(i5)) {
            bool = Boolean.valueOf(cursor.getShort(i5) != 0);
        }
        return new Filter(valueOf, i3, string, bool);
    }

    public void readEntity(Cursor cursor, Filter filter, int i) {
        int i2 = i + 0;
        Boolean bool = null;
        filter.setId(cursor.isNull(i2) ? null : Long.valueOf(cursor.getLong(i2)));
        filter.setMode(cursor.getInt(i + 1));
        int i3 = i + 2;
        filter.setText(cursor.isNull(i3) ? null : cursor.getString(i3));
        int i4 = i + 3;
        if (!cursor.isNull(i4)) {
            bool = Boolean.valueOf(cursor.getShort(i4) != 0);
        }
        filter.setEnable(bool);
    }

    public final void bindValues(SQLiteStatement sQLiteStatement, Filter filter) {
        sQLiteStatement.clearBindings();
        Long id = filter.getId();
        if (id != null) {
            sQLiteStatement.bindLong(1, id.longValue());
        }
        sQLiteStatement.bindLong(2, (long) filter.getMode());
        String text = filter.getText();
        if (text != null) {
            sQLiteStatement.bindString(3, text);
        }
        Boolean enable = filter.getEnable();
        if (enable != null) {
            sQLiteStatement.bindLong(4, enable.booleanValue() ? 1 : 0);
        }
    }
}
