package com.hippo.ehviewer.dao;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;

public class HistoryDao extends AbstractC1620w {
    public static final String TABLENAME = "HISTORY";

    public class Properties {
        public static final ZA Category;
        public static final ZA Gid;
        public static final ZA Mode;
        public static final ZA Posted = new ZA(6, String.class, "posted", false, "POSTED");
        public static final ZA Rating = new ZA(8, Float.TYPE, "rating", false, "RATING");
        public static final ZA SimpleLanguage = new ZA(9, String.class, "simpleLanguage", false, "SIMPLE_LANGUAGE");
        public static final ZA Thumb = new ZA(4, String.class, "thumb", false, "THUMB");
        public static final ZA Time;
        public static final ZA Title = new ZA(2, String.class, "title", false, "TITLE");
        public static final ZA TitleJpn = new ZA(3, String.class, "titleJpn", false, "TITLE_JPN");
        public static final ZA Token = new ZA(1, String.class, "token", false, "TOKEN");
        public static final ZA Uploader = new ZA(7, String.class, "uploader", false, "UPLOADER");

        static {
            Class cls = Long.TYPE;
            Gid = new ZA(0, cls, "gid", true, "GID");
            Class cls2 = Integer.TYPE;
            Category = new ZA(5, cls2, "category", false, "CATEGORY");
            Mode = new ZA(10, cls2, "mode", false, "MODE");
            Time = new ZA(11, cls, "time", false, "TIME");
        }
    }

    public HistoryDao(C0138Ic ic) {
        super(ic);
    }

    public static void createTable(AbstractC0240Oc oc, boolean z) {
        String str = z ? "IF NOT EXISTS " : "";
        oc.g("CREATE TABLE " + str + "\"HISTORY\" (\"GID\" INTEGER PRIMARY KEY NOT NULL ,\"TOKEN\" TEXT,\"TITLE\" TEXT,\"TITLE_JPN\" TEXT,\"THUMB\" TEXT,\"CATEGORY\" INTEGER NOT NULL ,\"POSTED\" TEXT,\"UPLOADER\" TEXT,\"RATING\" REAL NOT NULL ,\"SIMPLE_LANGUAGE\" TEXT,\"MODE\" INTEGER NOT NULL ,\"TIME\" INTEGER NOT NULL );");
    }

    public static void dropTable(AbstractC0240Oc oc, boolean z) {
        StringBuilder a = C0894ia.a("DROP TABLE ");
        a.append(z ? "IF EXISTS " : "");
        a.append("\"HISTORY\"");
        oc.g(a.toString());
    }

    @Override // defpackage.AbstractC1620w
    public final boolean isEntityUpdateable() {
        return true;
    }

    public HistoryDao(C0138Ic ic, DaoSession daoSession) {
        super(ic, daoSession);
    }

    public Long getKey(HistoryInfo historyInfo) {
        if (historyInfo != null) {
            return Long.valueOf(historyInfo.getGid());
        }
        return null;
    }

    public boolean hasKey(HistoryInfo historyInfo) {
        throw new UnsupportedOperationException("Unsupported for entities with a non-null key");
    }

    @Override // defpackage.AbstractC1620w
    public Long readKey(Cursor cursor, int i) {
        return Long.valueOf(cursor.getLong(i + 0));
    }

    public final Long updateKeyAfterInsert(HistoryInfo historyInfo, long j) {
        historyInfo.setGid(j);
        return Long.valueOf(j);
    }

    public final void bindValues(AbstractC0341Uc uc, HistoryInfo historyInfo) {
        uc.g();
        uc.h(1, historyInfo.getGid());
        String token = historyInfo.getToken();
        if (token != null) {
            uc.f(2, token);
        }
        String title = historyInfo.getTitle();
        if (title != null) {
            uc.f(3, title);
        }
        String titleJpn = historyInfo.getTitleJpn();
        if (titleJpn != null) {
            uc.f(4, titleJpn);
        }
        String thumb = historyInfo.getThumb();
        if (thumb != null) {
            uc.f(5, thumb);
        }
        uc.h(6, (long) historyInfo.getCategory());
        String posted = historyInfo.getPosted();
        if (posted != null) {
            uc.f(7, posted);
        }
        String uploader = historyInfo.getUploader();
        if (uploader != null) {
            uc.f(8, uploader);
        }
        uc.k(9, (double) historyInfo.getRating());
        String simpleLanguage = historyInfo.getSimpleLanguage();
        if (simpleLanguage != null) {
            uc.f(10, simpleLanguage);
        }
        uc.h(11, (long) historyInfo.getMode());
        uc.h(12, historyInfo.getTime());
    }

    @Override // defpackage.AbstractC1620w
    public HistoryInfo readEntity(Cursor cursor, int i) {
        long j = cursor.getLong(i + 0);
        int i2 = i + 1;
        String str = null;
        String string = cursor.isNull(i2) ? null : cursor.getString(i2);
        int i3 = i + 2;
        String string2 = cursor.isNull(i3) ? null : cursor.getString(i3);
        int i4 = i + 3;
        String string3 = cursor.isNull(i4) ? null : cursor.getString(i4);
        int i5 = i + 4;
        String string4 = cursor.isNull(i5) ? null : cursor.getString(i5);
        int i6 = cursor.getInt(i + 5);
        int i7 = i + 6;
        String string5 = cursor.isNull(i7) ? null : cursor.getString(i7);
        int i8 = i + 7;
        String string6 = cursor.isNull(i8) ? null : cursor.getString(i8);
        float f = cursor.getFloat(i + 8);
        int i9 = i + 9;
        if (!cursor.isNull(i9)) {
            str = cursor.getString(i9);
        }
        return new HistoryInfo(j, string, string2, string3, string4, i6, string5, string6, f, str, cursor.getInt(i + 10), cursor.getLong(i + 11));
    }

    public void readEntity(Cursor cursor, HistoryInfo historyInfo, int i) {
        historyInfo.setGid(cursor.getLong(i + 0));
        int i2 = i + 1;
        String str = null;
        historyInfo.setToken(cursor.isNull(i2) ? null : cursor.getString(i2));
        int i3 = i + 2;
        historyInfo.setTitle(cursor.isNull(i3) ? null : cursor.getString(i3));
        int i4 = i + 3;
        historyInfo.setTitleJpn(cursor.isNull(i4) ? null : cursor.getString(i4));
        int i5 = i + 4;
        historyInfo.setThumb(cursor.isNull(i5) ? null : cursor.getString(i5));
        historyInfo.setCategory(cursor.getInt(i + 5));
        int i6 = i + 6;
        historyInfo.setPosted(cursor.isNull(i6) ? null : cursor.getString(i6));
        int i7 = i + 7;
        historyInfo.setUploader(cursor.isNull(i7) ? null : cursor.getString(i7));
        historyInfo.setRating(cursor.getFloat(i + 8));
        int i8 = i + 9;
        if (!cursor.isNull(i8)) {
            str = cursor.getString(i8);
        }
        historyInfo.setSimpleLanguage(str);
        historyInfo.setMode(cursor.getInt(i + 10));
        historyInfo.setTime(cursor.getLong(i + 11));
    }

    public final void bindValues(SQLiteStatement sQLiteStatement, HistoryInfo historyInfo) {
        sQLiteStatement.clearBindings();
        sQLiteStatement.bindLong(1, historyInfo.getGid());
        String token = historyInfo.getToken();
        if (token != null) {
            sQLiteStatement.bindString(2, token);
        }
        String title = historyInfo.getTitle();
        if (title != null) {
            sQLiteStatement.bindString(3, title);
        }
        String titleJpn = historyInfo.getTitleJpn();
        if (titleJpn != null) {
            sQLiteStatement.bindString(4, titleJpn);
        }
        String thumb = historyInfo.getThumb();
        if (thumb != null) {
            sQLiteStatement.bindString(5, thumb);
        }
        sQLiteStatement.bindLong(6, (long) historyInfo.getCategory());
        String posted = historyInfo.getPosted();
        if (posted != null) {
            sQLiteStatement.bindString(7, posted);
        }
        String uploader = historyInfo.getUploader();
        if (uploader != null) {
            sQLiteStatement.bindString(8, uploader);
        }
        sQLiteStatement.bindDouble(9, (double) historyInfo.getRating());
        String simpleLanguage = historyInfo.getSimpleLanguage();
        if (simpleLanguage != null) {
            sQLiteStatement.bindString(10, simpleLanguage);
        }
        sQLiteStatement.bindLong(11, (long) historyInfo.getMode());
        sQLiteStatement.bindLong(12, historyInfo.getTime());
    }
}
