package com.hippo.ehviewer.dao;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;

public class QuickSearchDao extends AbstractC1620w {
    public static final String TABLENAME = "QUICK_SEARCH";

    public class Properties {
        public static final ZA AdvanceSearch;
        public static final ZA Category;
        public static final ZA Id = new ZA(0, Long.class, "id", true, "_id");
        public static final ZA Keyword = new ZA(4, String.class, "keyword", false, "KEYWORD");
        public static final ZA MinRating;
        public static final ZA Mode;
        public static final ZA Name = new ZA(1, String.class, "name", false, "NAME");
        public static final ZA PageFrom;
        public static final ZA PageTo;
        public static final ZA Time = new ZA(9, Long.TYPE, "time", false, "TIME");

        static {
            Class cls = Integer.TYPE;
            Mode = new ZA(2, cls, "mode", false, "MODE");
            Category = new ZA(3, cls, "category", false, "CATEGORY");
            AdvanceSearch = new ZA(5, cls, "advanceSearch", false, "ADVANCE_SEARCH");
            MinRating = new ZA(6, cls, "minRating", false, "MIN_RATING");
            PageFrom = new ZA(7, cls, "pageFrom", false, "PAGE_FROM");
            PageTo = new ZA(8, cls, "pageTo", false, "PAGE_TO");
        }
    }

    public QuickSearchDao(C0138Ic ic) {
        super(ic);
    }

    public static void createTable(AbstractC0240Oc oc, boolean z) {
        String str = z ? "IF NOT EXISTS " : "";
        oc.g("CREATE TABLE " + str + "\"QUICK_SEARCH\" (\"_id\" INTEGER PRIMARY KEY ,\"NAME\" TEXT,\"MODE\" INTEGER NOT NULL ,\"CATEGORY\" INTEGER NOT NULL ,\"KEYWORD\" TEXT,\"ADVANCE_SEARCH\" INTEGER NOT NULL ,\"MIN_RATING\" INTEGER NOT NULL ,\"PAGE_FROM\" INTEGER NOT NULL ,\"PAGE_TO\" INTEGER NOT NULL ,\"TIME\" INTEGER NOT NULL );");
    }

    public static void dropTable(AbstractC0240Oc oc, boolean z) {
        StringBuilder a = C0894ia.a("DROP TABLE ");
        a.append(z ? "IF EXISTS " : "");
        a.append("\"QUICK_SEARCH\"");
        oc.g(a.toString());
    }

    @Override // defpackage.AbstractC1620w
    public final boolean isEntityUpdateable() {
        return true;
    }

    public QuickSearchDao(C0138Ic ic, DaoSession daoSession) {
        super(ic, daoSession);
    }

    public Long getKey(QuickSearch quickSearch) {
        if (quickSearch != null) {
            return quickSearch.getId();
        }
        return null;
    }

    public boolean hasKey(QuickSearch quickSearch) {
        return quickSearch.getId() != null;
    }

    @Override // defpackage.AbstractC1620w
    public Long readKey(Cursor cursor, int i) {
        int i2 = i + 0;
        if (cursor.isNull(i2)) {
            return null;
        }
        return Long.valueOf(cursor.getLong(i2));
    }

    public final Long updateKeyAfterInsert(QuickSearch quickSearch, long j) {
        quickSearch.setId(Long.valueOf(j));
        return Long.valueOf(j);
    }

    public final void bindValues(AbstractC0341Uc uc, QuickSearch quickSearch) {
        uc.g();
        Long id = quickSearch.getId();
        if (id != null) {
            uc.h(1, id.longValue());
        }
        String name = quickSearch.getName();
        if (name != null) {
            uc.f(2, name);
        }
        uc.h(3, (long) quickSearch.getMode());
        uc.h(4, (long) quickSearch.getCategory());
        String keyword = quickSearch.getKeyword();
        if (keyword != null) {
            uc.f(5, keyword);
        }
        uc.h(6, (long) quickSearch.getAdvanceSearch());
        uc.h(7, (long) quickSearch.getMinRating());
        uc.h(8, (long) quickSearch.getPageFrom());
        uc.h(9, (long) quickSearch.getPageTo());
        uc.h(10, quickSearch.getTime());
    }

    @Override // defpackage.AbstractC1620w
    public QuickSearch readEntity(Cursor cursor, int i) {
        int i2 = i + 0;
        Long valueOf = cursor.isNull(i2) ? null : Long.valueOf(cursor.getLong(i2));
        int i3 = i + 1;
        String string = cursor.isNull(i3) ? null : cursor.getString(i3);
        int i4 = i + 4;
        return new QuickSearch(valueOf, string, cursor.getInt(i + 2), cursor.getInt(i + 3), cursor.isNull(i4) ? null : cursor.getString(i4), cursor.getInt(i + 5), cursor.getInt(i + 6), cursor.getInt(i + 7), cursor.getInt(i + 8), cursor.getLong(i + 9));
    }

    public void readEntity(Cursor cursor, QuickSearch quickSearch, int i) {
        int i2 = i + 0;
        String str = null;
        quickSearch.setId(cursor.isNull(i2) ? null : Long.valueOf(cursor.getLong(i2)));
        int i3 = i + 1;
        quickSearch.setName(cursor.isNull(i3) ? null : cursor.getString(i3));
        quickSearch.setMode(cursor.getInt(i + 2));
        quickSearch.setCategory(cursor.getInt(i + 3));
        int i4 = i + 4;
        if (!cursor.isNull(i4)) {
            str = cursor.getString(i4);
        }
        quickSearch.setKeyword(str);
        quickSearch.setAdvanceSearch(cursor.getInt(i + 5));
        quickSearch.setMinRating(cursor.getInt(i + 6));
        quickSearch.setPageFrom(cursor.getInt(i + 7));
        quickSearch.setPageTo(cursor.getInt(i + 8));
        quickSearch.setTime(cursor.getLong(i + 9));
    }

    public final void bindValues(SQLiteStatement sQLiteStatement, QuickSearch quickSearch) {
        sQLiteStatement.clearBindings();
        Long id = quickSearch.getId();
        if (id != null) {
            sQLiteStatement.bindLong(1, id.longValue());
        }
        String name = quickSearch.getName();
        if (name != null) {
            sQLiteStatement.bindString(2, name);
        }
        sQLiteStatement.bindLong(3, (long) quickSearch.getMode());
        sQLiteStatement.bindLong(4, (long) quickSearch.getCategory());
        String keyword = quickSearch.getKeyword();
        if (keyword != null) {
            sQLiteStatement.bindString(5, keyword);
        }
        sQLiteStatement.bindLong(6, (long) quickSearch.getAdvanceSearch());
        sQLiteStatement.bindLong(7, (long) quickSearch.getMinRating());
        sQLiteStatement.bindLong(8, (long) quickSearch.getPageFrom());
        sQLiteStatement.bindLong(9, (long) quickSearch.getPageTo());
        sQLiteStatement.bindLong(10, quickSearch.getTime());
    }
}
