package com.hippo.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.text.Layout;
import android.text.Spanned;
import android.text.style.ClickableSpan;
import android.util.AttributeSet;
import android.view.MotionEvent;

public class LinkifyTextView extends Cy {
    public ClickableSpan a;

    public LinkifyTextView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    @SuppressLint({"ClickableViewAccessibility"})
    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (motionEvent.getAction() == 0) {
            this.a = null;
            if (getText() instanceof Spanned) {
                int x = ((int) motionEvent.getX()) - getTotalPaddingLeft();
                int y = ((int) motionEvent.getY()) - getTotalPaddingTop();
                int scrollX = getScrollX() + x;
                int scrollY = getScrollY() + y;
                Layout layout = getLayout();
                if (layout != null) {
                    int offsetForHorizontal = layout.getOffsetForHorizontal(layout.getLineForVertical(scrollY), (float) scrollX);
                    ClickableSpan[] clickableSpanArr = (ClickableSpan[]) ((Spanned) getText()).getSpans(offsetForHorizontal, offsetForHorizontal, ClickableSpan.class);
                    if (clickableSpanArr.length > 0) {
                        this.a = clickableSpanArr[0];
                    }
                }
            }
        }
        return super.onTouchEvent(motionEvent);
    }
}
