package com.microsoft.appcenter.distribute;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.widget.Toast;
import io.github.nekoinverter.ehviewer.R;
import java.util.Locale;

public class AppCenterPackageInstallerReceiver extends BroadcastReceiver {
    public boolean a;

    public void onReceive(Context context, Intent intent) {
        if ("android.intent.action.MY_PACKAGE_REPLACED".equals(intent.getAction())) {
            C1556uq.f("AppCenterDistribute", "Restart application after installing a new release.");
            Intent launchIntentForPackage = context.getPackageManager().getLaunchIntentForPackage(context.getPackageName());
            launchIntentForPackage.addFlags(335544320);
            context.startActivity(launchIntentForPackage);
        } else if ("com.microsoft.appcenter.action.START".equals(intent.getAction())) {
            Bundle extras = intent.getExtras();
            int i = extras.getInt("android.content.pm.extra.STATUS");
            String string = extras.getString("android.content.pm.extra.STATUS_MESSAGE");
            switch (i) {
                case -1:
                    C1556uq.f("AppCenterDistribute", "Ask confirmation to install a new release.");
                    Intent intent2 = (Intent) extras.get("android.intent.extra.INTENT");
                    intent2.addFlags(268435456);
                    context.startActivity(intent2);
                    return;
                case 0:
                    C1556uq.f("AppCenterDistribute", "Application was successfully updated.");
                    return;
                case 1:
                case 2:
                case 3:
                case 4:
                case 5:
                case 6:
                case 7:
                    C1556uq.f("AppCenterDistribute", String.format(Locale.ENGLISH, "Failed to install a new release with status: %s. Error message: %s.", Integer.valueOf(i), string));
                    Toast.makeText(context, context.getString(R.string.f93700_resource_name_obfuscated_RES_2131755081), 0).show();
                    return;
                default:
                    C1556uq.f("AppCenterDistribute", String.format(Locale.ENGLISH, "Unrecognized status received from installer: %s", Integer.valueOf(i)));
                    Toast.makeText(context, context.getString(R.string.f93700_resource_name_obfuscated_RES_2131755081), 0).show();
                    return;
            }
        } else {
            C1556uq.f("AppCenterDistribute", String.format(Locale.ENGLISH, "Unrecognized action %s - do nothing.", intent.getAction()));
        }
    }
}
