package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;

public class ActionMenuItemView extends S3 implements Zw, View.OnClickListener, C0 {
    public Gw a;

    /* renamed from: a  reason: collision with other field name */
    public Kw f2079a;

    /* renamed from: a  reason: collision with other field name */
    public AbstractView$OnTouchListenerC0475am f2080a;

    /* renamed from: a  reason: collision with other field name */
    public Drawable f2081a;

    /* renamed from: a  reason: collision with other field name */
    public CharSequence f2082a;

    /* renamed from: a  reason: collision with other field name */
    public C1459t0 f2083a;
    public int c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f2084c = h();
    public int d;
    public int e;

    public ActionMenuItemView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, 0);
        Resources resources = context.getResources();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0180Kk.c, 0, 0);
        this.c = obtainStyledAttributes.getDimensionPixelSize(0, 0);
        obtainStyledAttributes.recycle();
        this.e = (int) ((resources.getDisplayMetrics().density * 32.0f) + 0.5f);
        setOnClickListener(this);
        this.d = -1;
        setSaveEnabled(false);
    }

    @Override // defpackage.C0
    public boolean b() {
        return g() && this.f2079a.getIcon() == null;
    }

    @Override // defpackage.Zw
    public void c(Kw kw, int i) {
        this.f2079a = kw;
        Drawable icon = kw.getIcon();
        this.f2081a = icon;
        int i2 = 0;
        if (icon != null) {
            int intrinsicWidth = icon.getIntrinsicWidth();
            int intrinsicHeight = icon.getIntrinsicHeight();
            int i3 = this.e;
            if (intrinsicWidth > i3) {
                intrinsicHeight = (int) (((float) intrinsicHeight) * (((float) i3) / ((float) intrinsicWidth)));
                intrinsicWidth = i3;
            }
            if (intrinsicHeight > i3) {
                intrinsicWidth = (int) (((float) intrinsicWidth) * (((float) i3) / ((float) intrinsicHeight)));
            } else {
                i3 = intrinsicHeight;
            }
            icon.setBounds(0, 0, intrinsicWidth, i3);
        }
        setCompoundDrawables(icon, null, null, null);
        j();
        this.f2082a = kw.getTitleCondensed();
        j();
        setId(kw.f973a);
        if (!kw.isVisible()) {
            i2 = 8;
        }
        setVisibility(i2);
        setEnabled(kw.isEnabled());
        if (kw.hasSubMenu() && this.f2080a == null) {
            this.f2080a = new C1351r0(this);
        }
    }

    @Override // defpackage.Zw
    public Kw d() {
        return this.f2079a;
    }

    public boolean g() {
        return !TextUtils.isEmpty(getText());
    }

    public final boolean h() {
        Configuration configuration = getContext().getResources().getConfiguration();
        int i = configuration.screenWidthDp;
        return i >= 480 || (i >= 640 && configuration.screenHeightDp >= 480) || configuration.orientation == 2;
    }

    @Override // defpackage.C0
    public boolean i() {
        return g();
    }

    public final void j() {
        CharSequence charSequence;
        boolean z = true;
        boolean z2 = !TextUtils.isEmpty(this.f2082a);
        if (this.f2081a != null) {
            if (!((this.f2079a.i & 4) == 4) || !this.f2084c) {
                z = false;
            }
        }
        boolean z3 = z2 & z;
        CharSequence charSequence2 = null;
        setText(z3 ? this.f2082a : null);
        CharSequence charSequence3 = this.f2079a.f990c;
        if (TextUtils.isEmpty(charSequence3)) {
            if (z3) {
                charSequence = null;
            } else {
                charSequence = this.f2079a.f985a;
            }
            setContentDescription(charSequence);
        } else {
            setContentDescription(charSequence3);
        }
        CharSequence charSequence4 = this.f2079a.f992d;
        if (TextUtils.isEmpty(charSequence4)) {
            if (!z3) {
                charSequence2 = this.f2079a.f985a;
            }
            C1502tq.v(this, charSequence2);
            return;
        }
        C1502tq.v(this, charSequence4);
    }

    public void onClick(View view) {
        Gw gw = this.a;
        if (gw != null) {
            gw.a(this.f2079a);
        }
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.f2084c = h();
        j();
    }

    @Override // defpackage.S3
    public void onMeasure(int i, int i2) {
        int i3;
        int i4;
        boolean g = g();
        if (g && (i4 = this.d) >= 0) {
            super.setPadding(i4, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
        super.onMeasure(i, i2);
        int mode = View.MeasureSpec.getMode(i);
        int size = View.MeasureSpec.getSize(i);
        int measuredWidth = getMeasuredWidth();
        if (mode == Integer.MIN_VALUE) {
            i3 = Math.min(size, this.c);
        } else {
            i3 = this.c;
        }
        if (mode != 1073741824 && this.c > 0 && measuredWidth < i3) {
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(i3, 1073741824), i2);
        }
        if (!g && this.f2081a != null) {
            super.setPadding((getMeasuredWidth() - this.f2081a.getBounds().width()) / 2, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        super.onRestoreInstanceState(null);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        AbstractView$OnTouchListenerC0475am amVar;
        if (!this.f2079a.hasSubMenu() || (amVar = this.f2080a) == null || !amVar.onTouch(this, motionEvent)) {
            return super.onTouchEvent(motionEvent);
        }
        return true;
    }

    public void setPadding(int i, int i2, int i3, int i4) {
        this.d = i;
        super.setPadding(i, i2, i3, i4);
    }
}
