package androidx.appcompat.widget;

import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcelable;
import android.text.Editable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.style.ImageSpan;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.view.inputmethod.InputMethodManager;
import android.widget.ImageView;
import io.github.nekoinverter.ehviewer.R;
import java.lang.reflect.Method;
import java.util.Objects;
import java.util.WeakHashMap;

public class SearchView extends C1075lu implements AbstractC1738y9 {
    public static final SE a = (Build.VERSION.SDK_INT < 29 ? new SE() : null);

    /* renamed from: a  reason: collision with other field name */
    public VE f2144a;

    /* renamed from: a  reason: collision with other field name */
    public Rect f2145a;

    /* renamed from: a  reason: collision with other field name */
    public TextWatcher f2146a;

    /* renamed from: a  reason: collision with other field name */
    public View.OnKeyListener f2147a;

    /* renamed from: a  reason: collision with other field name */
    public final View f2148a;

    /* renamed from: a  reason: collision with other field name */
    public final ImageView f2149a;

    /* renamed from: a  reason: collision with other field name */
    public final SearchAutoComplete f2150a;

    /* renamed from: a  reason: collision with other field name */
    public final CharSequence f2151a;

    /* renamed from: a  reason: collision with other field name */
    public final Runnable f2152a;
    public Rect b;

    /* renamed from: b  reason: collision with other field name */
    public final Drawable f2153b;

    /* renamed from: b  reason: collision with other field name */
    public final View f2154b;

    /* renamed from: b  reason: collision with other field name */
    public final ImageView f2155b;

    /* renamed from: b  reason: collision with other field name */
    public CharSequence f2156b;

    /* renamed from: b  reason: collision with other field name */
    public Runnable f2157b;
    public final View c;

    /* renamed from: c  reason: collision with other field name */
    public final ImageView f2158c;

    /* renamed from: c  reason: collision with other field name */
    public CharSequence f2159c;

    /* renamed from: c  reason: collision with other field name */
    public int[] f2160c;
    public final View d;

    /* renamed from: d  reason: collision with other field name */
    public final ImageView f2161d;

    /* renamed from: d  reason: collision with other field name */
    public boolean f2162d;

    /* renamed from: d  reason: collision with other field name */
    public int[] f2163d;
    public final ImageView e;

    /* renamed from: e  reason: collision with other field name */
    public boolean f2164e;
    public boolean f;
    public boolean g;
    public int l;
    public int m;

    public class SearchAutoComplete extends N2 {
        public SearchView a;

        /* renamed from: a  reason: collision with other field name */
        public final Runnable f2165a = new RunnableC1082m0(this, 1);
        public boolean b;
        public int c = getThreshold();

        public SearchAutoComplete(Context context, AttributeSet attributeSet) {
            super(context, attributeSet, R.attr.f52700_resource_name_obfuscated_RES_2130968640);
        }

        public void a() {
            if (Build.VERSION.SDK_INT >= 29) {
                setInputMethodMode(1);
                if (enoughToFilter()) {
                    showDropDown();
                    return;
                }
                return;
            }
            SE se = SearchView.a;
            Objects.requireNonNull(se);
            SE.a();
            Method method = se.c;
            if (method != null) {
                try {
                    method.invoke(this, Boolean.TRUE);
                } catch (Exception unused) {
                }
            }
        }

        public void b(boolean z) {
            InputMethodManager inputMethodManager = (InputMethodManager) getContext().getSystemService("input_method");
            if (!z) {
                this.b = false;
                removeCallbacks(this.f2165a);
                inputMethodManager.hideSoftInputFromWindow(getWindowToken(), 0);
            } else if (inputMethodManager.isActive(this)) {
                this.b = false;
                removeCallbacks(this.f2165a);
                inputMethodManager.showSoftInput(this, 0);
            } else {
                this.b = true;
            }
        }

        public boolean enoughToFilter() {
            return this.c <= 0 || super.enoughToFilter();
        }

        @Override // defpackage.N2
        public InputConnection onCreateInputConnection(EditorInfo editorInfo) {
            InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
            if (this.b) {
                removeCallbacks(this.f2165a);
                post(this.f2165a);
            }
            return onCreateInputConnection;
        }

        public void onFinishInflate() {
            super.onFinishInflate();
            DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
            Configuration configuration = getResources().getConfiguration();
            int i = configuration.screenWidthDp;
            int i2 = configuration.screenHeightDp;
            setMinWidth((int) TypedValue.applyDimension(1, (float) ((i < 960 || i2 < 720 || configuration.orientation != 2) ? (i >= 600 || (i >= 640 && i2 >= 480)) ? 192 : 160 : 256), displayMetrics));
        }

        public void onFocusChanged(boolean z, int i, Rect rect) {
            super.onFocusChanged(z, i, rect);
            SearchView searchView = this.a;
            searchView.s(searchView.f2164e);
            searchView.post(searchView.f2152a);
            if (searchView.f2150a.hasFocus()) {
                searchView.m();
            }
        }

        public boolean onKeyPreIme(int i, KeyEvent keyEvent) {
            if (i == 4) {
                if (keyEvent.getAction() == 0 && keyEvent.getRepeatCount() == 0) {
                    KeyEvent.DispatcherState keyDispatcherState = getKeyDispatcherState();
                    if (keyDispatcherState != null) {
                        keyDispatcherState.startTracking(keyEvent, this);
                    }
                    return true;
                } else if (keyEvent.getAction() == 1) {
                    KeyEvent.DispatcherState keyDispatcherState2 = getKeyDispatcherState();
                    if (keyDispatcherState2 != null) {
                        keyDispatcherState2.handleUpEvent(keyEvent);
                    }
                    if (keyEvent.isTracking() && !keyEvent.isCanceled()) {
                        this.a.clearFocus();
                        b(false);
                        return true;
                    }
                }
            }
            return super.onKeyPreIme(i, keyEvent);
        }

        public void onWindowFocusChanged(boolean z) {
            super.onWindowFocusChanged(z);
            if (z && this.a.hasFocus() && getVisibility() == 0) {
                boolean z2 = true;
                this.b = true;
                Context context = getContext();
                SE se = SearchView.a;
                if (context.getResources().getConfiguration().orientation != 2) {
                    z2 = false;
                }
                if (z2) {
                    a();
                }
            }
        }

        public void performCompletion() {
        }

        public void replaceText(CharSequence charSequence) {
        }

        public void setThreshold(int i) {
            super.setThreshold(i);
            this.c = i;
        }
    }

    public SearchView(Context context) {
        this(context, null);
    }

    @Override // defpackage.AbstractC1738y9
    public void b() {
        this.f2150a.setText("");
        SearchAutoComplete searchAutoComplete = this.f2150a;
        searchAutoComplete.setSelection(searchAutoComplete.length());
        this.f2159c = "";
        clearFocus();
        s(true);
        this.f2150a.setImeOptions(this.m);
        this.g = false;
    }

    public void clearFocus() {
        this.f = true;
        super.clearFocus();
        this.f2150a.clearFocus();
        this.f2150a.b(false);
        this.f = false;
    }

    @Override // defpackage.AbstractC1738y9
    public void f() {
        if (!this.g) {
            this.g = true;
            int imeOptions = this.f2150a.getImeOptions();
            this.m = imeOptions;
            this.f2150a.setImeOptions(imeOptions | 33554432);
            this.f2150a.setText("");
            s(false);
            this.f2150a.requestFocus();
            this.f2150a.b(true);
        }
    }

    public void m() {
        if (Build.VERSION.SDK_INT >= 29) {
            this.f2150a.refreshAutoCompleteResults();
            return;
        }
        SE se = a;
        SearchAutoComplete searchAutoComplete = this.f2150a;
        Objects.requireNonNull(se);
        SE.a();
        Method method = se.a;
        if (method != null) {
            try {
                method.invoke(searchAutoComplete, new Object[0]);
            } catch (Exception unused) {
            }
        }
        SE se2 = a;
        SearchAutoComplete searchAutoComplete2 = this.f2150a;
        Objects.requireNonNull(se2);
        SE.a();
        Method method2 = se2.b;
        if (method2 != null) {
            try {
                method2.invoke(searchAutoComplete2, new Object[0]);
            } catch (Exception unused2) {
            }
        }
    }

    public void n() {
        if (!TextUtils.isEmpty(this.f2150a.getText())) {
            this.f2150a.setText("");
            this.f2150a.requestFocus();
            this.f2150a.b(true);
        } else if (this.f2162d) {
            clearFocus();
            s(true);
        }
    }

    public void o() {
        Editable text = this.f2150a.getText();
        if (text != null && TextUtils.getTrimmedLength(text) > 0) {
            this.f2150a.b(false);
            this.f2150a.dismissDropDown();
        }
    }

    public void onDetachedFromWindow() {
        removeCallbacks(this.f2152a);
        post(this.f2157b);
        super.onDetachedFromWindow();
    }

    @Override // defpackage.C1075lu
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        if (z) {
            SearchAutoComplete searchAutoComplete = this.f2150a;
            Rect rect = this.f2145a;
            searchAutoComplete.getLocationInWindow(this.f2160c);
            getLocationInWindow(this.f2163d);
            int[] iArr = this.f2160c;
            int i5 = iArr[1];
            int[] iArr2 = this.f2163d;
            int i6 = i5 - iArr2[1];
            int i7 = iArr[0] - iArr2[0];
            rect.set(i7, i6, searchAutoComplete.getWidth() + i7, searchAutoComplete.getHeight() + i6);
            Rect rect2 = this.b;
            Rect rect3 = this.f2145a;
            rect2.set(rect3.left, 0, rect3.right, i4 - i2);
            VE ve = this.f2144a;
            if (ve == null) {
                VE ve2 = new VE(this.b, this.f2145a, this.f2150a);
                this.f2144a = ve2;
                setTouchDelegate(ve2);
                return;
            }
            ve.a(this.b, this.f2145a);
        }
    }

    @Override // defpackage.C1075lu
    public void onMeasure(int i, int i2) {
        int i3;
        if (this.f2164e) {
            super.onMeasure(i, i2);
            return;
        }
        int mode = View.MeasureSpec.getMode(i);
        int size = View.MeasureSpec.getSize(i);
        if (mode == Integer.MIN_VALUE) {
            int i4 = this.l;
            size = i4 > 0 ? Math.min(i4, size) : Math.min(getContext().getResources().getDimensionPixelSize(R.dimen.f74020_resource_name_obfuscated_RES_2131165239), size);
        } else if (mode == 0) {
            size = this.l;
            if (size <= 0) {
                size = getContext().getResources().getDimensionPixelSize(R.dimen.f74020_resource_name_obfuscated_RES_2131165239);
            }
        } else if (mode == 1073741824 && (i3 = this.l) > 0) {
            size = Math.min(i3, size);
        }
        int mode2 = View.MeasureSpec.getMode(i2);
        int size2 = View.MeasureSpec.getSize(i2);
        if (mode2 == Integer.MIN_VALUE) {
            size2 = Math.min(getContext().getResources().getDimensionPixelSize(R.dimen.f74010_resource_name_obfuscated_RES_2131165238), size2);
        } else if (mode2 == 0) {
            size2 = getContext().getResources().getDimensionPixelSize(R.dimen.f74010_resource_name_obfuscated_RES_2131165238);
        }
        super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, 1073741824), View.MeasureSpec.makeMeasureSpec(size2, 1073741824));
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof UE)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        UE ue = (UE) parcelable;
        super.onRestoreInstanceState(ue.f3764a);
        s(ue.b);
        requestLayout();
    }

    public Parcelable onSaveInstanceState() {
        UE ue = new UE(super.onSaveInstanceState());
        ue.b = this.f2164e;
        return ue;
    }

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        post(this.f2152a);
    }

    public final void p() {
        boolean z = true;
        boolean z2 = !TextUtils.isEmpty(this.f2150a.getText());
        int i = 0;
        if (!z2 && (!this.f2162d || this.g)) {
            z = false;
        }
        ImageView imageView = this.f2158c;
        if (!z) {
            i = 8;
        }
        imageView.setVisibility(i);
        Drawable drawable = this.f2158c.getDrawable();
        if (drawable != null) {
            drawable.setState(z2 ? ViewGroup.ENABLED_STATE_SET : ViewGroup.EMPTY_STATE_SET);
        }
    }

    public void q() {
        int[] iArr = this.f2150a.hasFocus() ? ViewGroup.FOCUSED_STATE_SET : ViewGroup.EMPTY_STATE_SET;
        Drawable background = this.f2154b.getBackground();
        if (background != null) {
            background.setState(iArr);
        }
        Drawable background2 = this.c.getBackground();
        if (background2 != null) {
            background2.setState(iArr);
        }
        invalidate();
    }

    public final void r() {
        SpannableStringBuilder spannableStringBuilder = this.f2156b;
        if (spannableStringBuilder == null) {
            spannableStringBuilder = this.f2151a;
        }
        SearchAutoComplete searchAutoComplete = this.f2150a;
        if (spannableStringBuilder == null) {
            spannableStringBuilder = "";
        }
        if (this.f2162d && this.f2153b != null) {
            int textSize = (int) (((double) searchAutoComplete.getTextSize()) * 1.25d);
            this.f2153b.setBounds(0, 0, textSize, textSize);
            SpannableStringBuilder spannableStringBuilder2 = new SpannableStringBuilder("   ");
            spannableStringBuilder2.setSpan(new ImageSpan(this.f2153b), 1, 2, 33);
            spannableStringBuilder2.append(spannableStringBuilder);
            spannableStringBuilder = spannableStringBuilder2;
        }
        searchAutoComplete.setHint(spannableStringBuilder);
    }

    public boolean requestFocus(int i, Rect rect) {
        if (this.f || !isFocusable()) {
            return false;
        }
        if (this.f2164e) {
            return super.requestFocus(i, rect);
        }
        boolean requestFocus = this.f2150a.requestFocus(i, rect);
        if (requestFocus) {
            s(false);
        }
        return requestFocus;
    }

    public final void s(boolean z) {
        this.f2164e = z;
        int i = 0;
        int i2 = z ? 0 : 8;
        TextUtils.isEmpty(this.f2150a.getText());
        this.f2149a.setVisibility(i2);
        this.f2155b.setVisibility(8);
        this.f2148a.setVisibility(z ? 8 : 0);
        if (this.e.getDrawable() == null || this.f2162d) {
            i = 8;
        }
        this.e.setVisibility(i);
        p();
        this.f2161d.setVisibility(8);
        this.c.setVisibility(8);
    }

    public SearchView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.f60980_resource_name_obfuscated_RES_2130969468);
    }

    public SearchView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f2145a = new Rect();
        this.b = new Rect();
        this.f2160c = new int[2];
        this.f2163d = new int[2];
        this.f2152a = new KE(this, 0);
        this.f2157b = new RunnableC0781gM(this, 2);
        new WeakHashMap();
        NE ne = new NE(this, 0);
        this.f2147a = new OE(this);
        PE pe = new PE(this);
        QE qe = new QE(this);
        RE re = new RE(this);
        this.f2146a = new JE(this);
        int[] iArr = C0180Kk.u;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i, 0);
        C1533uK uKVar = new C1533uK(context, obtainStyledAttributes);
        FO.n(this, context, iArr, attributeSet, obtainStyledAttributes, i, 0);
        LayoutInflater.from(context).inflate(uKVar.l(9, R.layout.f90710_resource_name_obfuscated_RES_2131492889), (ViewGroup) this, true);
        SearchAutoComplete searchAutoComplete = (SearchAutoComplete) findViewById(R.id.f88200_resource_name_obfuscated_RES_2131296772);
        this.f2150a = searchAutoComplete;
        searchAutoComplete.a = this;
        this.f2148a = findViewById(R.id.f88050_resource_name_obfuscated_RES_2131296757);
        View findViewById = findViewById(R.id.f88160_resource_name_obfuscated_RES_2131296768);
        this.f2154b = findViewById;
        View findViewById2 = findViewById(R.id.f88890_resource_name_obfuscated_RES_2131296841);
        this.c = findViewById2;
        ImageView imageView = (ImageView) findViewById(R.id.f88010_resource_name_obfuscated_RES_2131296753);
        this.f2149a = imageView;
        ImageView imageView2 = (ImageView) findViewById(R.id.f88090_resource_name_obfuscated_RES_2131296761);
        this.f2155b = imageView2;
        ImageView imageView3 = (ImageView) findViewById(R.id.f88030_resource_name_obfuscated_RES_2131296755);
        this.f2158c = imageView3;
        ImageView imageView4 = (ImageView) findViewById(R.id.f88240_resource_name_obfuscated_RES_2131296776);
        this.f2161d = imageView4;
        ImageView imageView5 = (ImageView) findViewById(R.id.f88120_resource_name_obfuscated_RES_2131296764);
        this.e = imageView5;
        C1160nO.q(findViewById, uKVar.g(10));
        C1160nO.q(findViewById2, uKVar.g(14));
        imageView.setImageDrawable(uKVar.g(13));
        imageView2.setImageDrawable(uKVar.g(7));
        imageView3.setImageDrawable(uKVar.g(4));
        imageView4.setImageDrawable(uKVar.g(16));
        imageView5.setImageDrawable(uKVar.g(13));
        this.f2153b = uKVar.g(12);
        C1502tq.v(imageView, getResources().getString(R.string.f93180_resource_name_obfuscated_RES_2131755029));
        uKVar.l(15, R.layout.f90700_resource_name_obfuscated_RES_2131492888);
        uKVar.l(5, 0);
        imageView.setOnClickListener(ne);
        imageView3.setOnClickListener(ne);
        imageView2.setOnClickListener(ne);
        imageView4.setOnClickListener(ne);
        searchAutoComplete.setOnClickListener(ne);
        searchAutoComplete.addTextChangedListener(this.f2146a);
        searchAutoComplete.setOnEditorActionListener(pe);
        searchAutoComplete.setOnItemClickListener(qe);
        searchAutoComplete.setOnItemSelectedListener(re);
        searchAutoComplete.setOnKeyListener(this.f2147a);
        searchAutoComplete.setOnFocusChangeListener(new LE(this));
        boolean a2 = uKVar.a(8, true);
        if (this.f2162d != a2) {
            this.f2162d = a2;
            s(a2);
            r();
        }
        int f2 = uKVar.f(1, -1);
        if (f2 != -1) {
            this.l = f2;
            requestLayout();
        }
        this.f2151a = uKVar.n(6);
        this.f2156b = uKVar.n(11);
        int j = uKVar.j(3, -1);
        if (j != -1) {
            searchAutoComplete.setImeOptions(j);
        }
        int j2 = uKVar.j(2, -1);
        if (j2 != -1) {
            searchAutoComplete.setInputType(j2);
        }
        setFocusable(uKVar.a(0, true));
        uKVar.t();
        Intent intent = new Intent("android.speech.action.WEB_SEARCH");
        intent.addFlags(268435456);
        intent.putExtra("android.speech.extra.LANGUAGE_MODEL", "web_search");
        new Intent("android.speech.action.RECOGNIZE_SPEECH").addFlags(268435456);
        View findViewById3 = findViewById(searchAutoComplete.getDropDownAnchor());
        this.d = findViewById3;
        if (findViewById3 != null) {
            findViewById3.addOnLayoutChangeListener(new ME(this));
        }
        s(this.f2162d);
        r();
    }
}
