package androidx.appcompat.widget;

import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.InputFilter;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.method.TransformationMethod;
import android.util.AttributeSet;
import android.util.Property;
import android.view.ActionMode;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.ViewConfiguration;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CompoundButton;
import io.github.nekoinverter.ehviewer.R;
import java.util.WeakHashMap;

public class SwitchCompat extends CompoundButton {
    public static final Property a = new OI(Float.class, "thumbPos");

    /* renamed from: a  reason: collision with other field name */
    public static final int[] f2166a = {16842912};

    /* renamed from: a  reason: collision with other field name */
    public float f2167a;

    /* renamed from: a  reason: collision with other field name */
    public PI f2168a;

    /* renamed from: a  reason: collision with other field name */
    public ObjectAnimator f2169a;

    /* renamed from: a  reason: collision with other field name */
    public ColorStateList f2170a = null;

    /* renamed from: a  reason: collision with other field name */
    public PorterDuff.Mode f2171a = null;

    /* renamed from: a  reason: collision with other field name */
    public final Rect f2172a = new Rect();

    /* renamed from: a  reason: collision with other field name */
    public Drawable f2173a;

    /* renamed from: a  reason: collision with other field name */
    public Layout f2174a;

    /* renamed from: a  reason: collision with other field name */
    public final TextPaint f2175a;

    /* renamed from: a  reason: collision with other field name */
    public TransformationMethod f2176a;

    /* renamed from: a  reason: collision with other field name */
    public VelocityTracker f2177a = VelocityTracker.obtain();

    /* renamed from: a  reason: collision with other field name */
    public CharSequence f2178a;

    /* renamed from: a  reason: collision with other field name */
    public C1408s3 f2179a;
    public float b;

    /* renamed from: b  reason: collision with other field name */
    public ColorStateList f2180b = null;

    /* renamed from: b  reason: collision with other field name */
    public PorterDuff.Mode f2181b = null;

    /* renamed from: b  reason: collision with other field name */
    public Drawable f2182b;

    /* renamed from: b  reason: collision with other field name */
    public Layout f2183b;

    /* renamed from: b  reason: collision with other field name */
    public CharSequence f2184b;

    /* renamed from: b  reason: collision with other field name */
    public boolean f2185b = false;
    public float c;

    /* renamed from: c  reason: collision with other field name */
    public int f2186c;

    /* renamed from: c  reason: collision with other field name */
    public ColorStateList f2187c;

    /* renamed from: c  reason: collision with other field name */
    public CharSequence f2188c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f2189c = false;
    public int d;

    /* renamed from: d  reason: collision with other field name */
    public CharSequence f2190d;

    /* renamed from: d  reason: collision with other field name */
    public boolean f2191d = false;
    public int e;

    /* renamed from: e  reason: collision with other field name */
    public boolean f2192e = false;
    public int f;

    /* renamed from: f  reason: collision with other field name */
    public boolean f2193f;
    public int g;

    /* renamed from: g  reason: collision with other field name */
    public boolean f2194g;
    public int h;
    public int i;
    public int j;
    public int k;
    public int l;
    public int m;
    public int n;
    public int o;

    public SwitchCompat(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, R.attr.f61960_resource_name_obfuscated_RES_2130969566);
        Typeface typeface;
        Typeface typeface2;
        int resourceId;
        Drawable drawable;
        Drawable drawable2;
        YJ.a(this, getContext());
        boolean z = true;
        TextPaint textPaint = new TextPaint(1);
        this.f2175a = textPaint;
        textPaint.density = getResources().getDisplayMetrics().density;
        int[] iArr = C0180Kk.w;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, R.attr.f61960_resource_name_obfuscated_RES_2130969566, 0);
        C1533uK uKVar = new C1533uK(context, obtainStyledAttributes);
        FO.n(this, context, iArr, attributeSet, obtainStyledAttributes, R.attr.f61960_resource_name_obfuscated_RES_2130969566, 0);
        Drawable g2 = uKVar.g(2);
        this.f2173a = g2;
        if (g2 != null) {
            g2.setCallback(this);
        }
        Drawable g3 = uKVar.g(11);
        this.f2182b = g3;
        if (g3 != null) {
            g3.setCallback(this);
        }
        j(uKVar.n(0));
        i(uKVar.n(1));
        this.f2194g = uKVar.a(3, true);
        this.f2186c = uKVar.f(8, 0);
        this.d = uKVar.f(5, 0);
        this.e = uKVar.f(6, 0);
        this.f2193f = uKVar.a(4, false);
        ColorStateList c2 = uKVar.c(9);
        if (c2 != null) {
            this.f2170a = c2;
            this.f2185b = true;
        }
        PorterDuff.Mode e2 = C0577cg.e(uKVar.j(10, -1), null);
        if (this.f2171a != e2) {
            this.f2171a = e2;
            this.f2189c = true;
        }
        boolean z2 = this.f2185b;
        if ((z2 || this.f2189c) && (drawable2 = this.f2173a) != null && (z2 || this.f2189c)) {
            Drawable mutate = drawable2.mutate();
            this.f2173a = mutate;
            if (this.f2185b) {
                mutate.setTintList(this.f2170a);
            }
            if (this.f2189c) {
                this.f2173a.setTintMode(this.f2171a);
            }
            if (this.f2173a.isStateful()) {
                this.f2173a.setState(getDrawableState());
            }
        }
        ColorStateList c3 = uKVar.c(12);
        if (c3 != null) {
            this.f2180b = c3;
            this.f2191d = true;
        }
        PorterDuff.Mode e3 = C0577cg.e(uKVar.j(13, -1), null);
        if (this.f2181b != e3) {
            this.f2181b = e3;
            this.f2192e = true;
        }
        boolean z3 = this.f2191d;
        if ((z3 || this.f2192e) && (drawable = this.f2182b) != null && (z3 || this.f2192e)) {
            Drawable mutate2 = drawable.mutate();
            this.f2182b = mutate2;
            if (this.f2191d) {
                mutate2.setTintList(this.f2180b);
            }
            if (this.f2192e) {
                this.f2182b.setTintMode(this.f2181b);
            }
            if (this.f2182b.isStateful()) {
                this.f2182b.setState(getDrawableState());
            }
        }
        int l2 = uKVar.l(7, 0);
        if (l2 != 0) {
            TypedArray obtainStyledAttributes2 = context.obtainStyledAttributes(l2, C0180Kk.x);
            ColorStateList colorStateList = (!obtainStyledAttributes2.hasValue(3) || (resourceId = obtainStyledAttributes2.getResourceId(3, 0)) == 0 || (colorStateList = LF.c(context, resourceId)) == null) ? obtainStyledAttributes2.getColorStateList(3) : colorStateList;
            if (colorStateList != null) {
                this.f2187c = colorStateList;
            } else {
                this.f2187c = getTextColors();
            }
            int dimensionPixelSize = obtainStyledAttributes2.getDimensionPixelSize(0, 0);
            if (dimensionPixelSize != 0) {
                float f2 = (float) dimensionPixelSize;
                if (f2 != textPaint.getTextSize()) {
                    textPaint.setTextSize(f2);
                    requestLayout();
                }
            }
            int i2 = obtainStyledAttributes2.getInt(1, -1);
            int i3 = obtainStyledAttributes2.getInt(2, -1);
            if (i2 == 1) {
                typeface = Typeface.SANS_SERIF;
            } else if (i2 == 2) {
                typeface = Typeface.SERIF;
            } else if (i2 != 3) {
                typeface = null;
            } else {
                typeface = Typeface.MONOSPACE;
            }
            float f3 = 0.0f;
            if (i3 > 0) {
                if (typeface == null) {
                    typeface2 = Typeface.defaultFromStyle(i3);
                } else {
                    typeface2 = Typeface.create(typeface, i3);
                }
                h(typeface2);
                int i4 = (~(typeface2 != null ? typeface2.getStyle() : 0)) & i3;
                textPaint.setFakeBoldText((i4 & 1) == 0 ? false : z);
                textPaint.setTextSkewX((i4 & 2) != 0 ? -0.25f : f3);
            } else {
                textPaint.setFakeBoldText(false);
                textPaint.setTextSkewX(0.0f);
                h(typeface);
            }
            if (obtainStyledAttributes2.getBoolean(14, false)) {
                this.f2176a = new G1(getContext());
            } else {
                this.f2176a = null;
            }
            j(this.f2178a);
            i(this.f2188c);
            obtainStyledAttributes2.recycle();
        }
        new R3(this).e(attributeSet, R.attr.f61960_resource_name_obfuscated_RES_2130969566);
        uKVar.t();
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        this.g = viewConfiguration.getScaledTouchSlop();
        this.h = viewConfiguration.getScaledMinimumFlingVelocity();
        b().d(attributeSet, R.attr.f61960_resource_name_obfuscated_RES_2130969566);
        refreshDrawableState();
        setChecked(isChecked());
    }

    public final CharSequence a(CharSequence charSequence) {
        TransformationMethod f2 = ((C0985kB) ((C0977k3) b().b).a).f(this.f2176a);
        return f2 != null ? f2.getTransformation(charSequence, this) : charSequence;
    }

    public final C1408s3 b() {
        if (this.f2179a == null) {
            this.f2179a = new C1408s3(this, 0);
        }
        return this.f2179a;
    }

    public final int c() {
        float f2;
        if (C1700xP.a(this)) {
            f2 = 1.0f - this.c;
        } else {
            f2 = this.c;
        }
        return (int) ((f2 * ((float) d())) + 0.5f);
    }

    public final int d() {
        Rect rect;
        Drawable drawable = this.f2182b;
        if (drawable == null) {
            return 0;
        }
        Rect rect2 = this.f2172a;
        drawable.getPadding(rect2);
        Drawable drawable2 = this.f2173a;
        if (drawable2 != null) {
            rect = C0577cg.d(drawable2);
        } else {
            rect = C0577cg.a;
        }
        return ((((this.i - this.k) - rect2.left) - rect2.right) - rect.left) - rect.right;
    }

    public void draw(Canvas canvas) {
        Rect rect;
        int i2;
        int i3;
        Rect rect2 = this.f2172a;
        int i4 = this.l;
        int i5 = this.m;
        int i6 = this.n;
        int i7 = this.o;
        int c2 = c() + i4;
        Drawable drawable = this.f2173a;
        if (drawable != null) {
            rect = C0577cg.d(drawable);
        } else {
            rect = C0577cg.a;
        }
        Drawable drawable2 = this.f2182b;
        if (drawable2 != null) {
            drawable2.getPadding(rect2);
            int i8 = rect2.left;
            c2 += i8;
            if (rect != null) {
                int i9 = rect.left;
                if (i9 > i8) {
                    i4 += i9 - i8;
                }
                int i10 = rect.top;
                int i11 = rect2.top;
                i2 = i10 > i11 ? (i10 - i11) + i5 : i5;
                int i12 = rect.right;
                int i13 = rect2.right;
                if (i12 > i13) {
                    i6 -= i12 - i13;
                }
                int i14 = rect.bottom;
                int i15 = rect2.bottom;
                if (i14 > i15) {
                    i3 = i7 - (i14 - i15);
                    this.f2182b.setBounds(i4, i2, i6, i3);
                }
            } else {
                i2 = i5;
            }
            i3 = i7;
            this.f2182b.setBounds(i4, i2, i6, i3);
        }
        Drawable drawable3 = this.f2173a;
        if (drawable3 != null) {
            drawable3.getPadding(rect2);
            int i16 = c2 - rect2.left;
            int i17 = c2 + this.k + rect2.right;
            this.f2173a.setBounds(i16, i5, i17, i7);
            Drawable background = getBackground();
            if (background != null) {
                background.setHotspotBounds(i16, i5, i17, i7);
            }
        }
        super.draw(canvas);
    }

    public void drawableHotspotChanged(float f2, float f3) {
        super.drawableHotspotChanged(f2, f3);
        Drawable drawable = this.f2173a;
        if (drawable != null) {
            drawable.setHotspot(f2, f3);
        }
        Drawable drawable2 = this.f2182b;
        if (drawable2 != null) {
            drawable2.setHotspot(f2, f3);
        }
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.f2173a;
        boolean z = false;
        if (drawable != null && drawable.isStateful()) {
            z = false | drawable.setState(drawableState);
        }
        Drawable drawable2 = this.f2182b;
        if (drawable2 != null && drawable2.isStateful()) {
            z |= drawable2.setState(drawableState);
        }
        if (z) {
            invalidate();
        }
    }

    public final Layout e(CharSequence charSequence) {
        TextPaint textPaint = this.f2175a;
        return new StaticLayout(charSequence, textPaint, charSequence != null ? (int) Math.ceil((double) Layout.getDesiredWidth(charSequence, textPaint)) : 0, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, true);
    }

    public final void f() {
        if (Build.VERSION.SDK_INT >= 30) {
            Object obj = this.f2188c;
            if (obj == null) {
                obj = getResources().getString(R.string.f93030_resource_name_obfuscated_RES_2131755014);
            }
            WeakHashMap weakHashMap = FO.f497a;
            new C0891iO(R.id.f89030_resource_name_obfuscated_RES_2131296855, CharSequence.class, 64, 30).e(this, obj);
        }
    }

    public final void g() {
        if (Build.VERSION.SDK_INT >= 30) {
            Object obj = this.f2178a;
            if (obj == null) {
                obj = getResources().getString(R.string.f93040_resource_name_obfuscated_RES_2131755015);
            }
            WeakHashMap weakHashMap = FO.f497a;
            new C0891iO(R.id.f89030_resource_name_obfuscated_RES_2131296855, CharSequence.class, 64, 30).e(this, obj);
        }
    }

    public int getCompoundPaddingLeft() {
        if (!C1700xP.a(this)) {
            return super.getCompoundPaddingLeft();
        }
        int compoundPaddingLeft = super.getCompoundPaddingLeft() + this.i;
        return !TextUtils.isEmpty(getText()) ? compoundPaddingLeft + this.e : compoundPaddingLeft;
    }

    public int getCompoundPaddingRight() {
        if (C1700xP.a(this)) {
            return super.getCompoundPaddingRight();
        }
        int compoundPaddingRight = super.getCompoundPaddingRight() + this.i;
        return !TextUtils.isEmpty(getText()) ? compoundPaddingRight + this.e : compoundPaddingRight;
    }

    public ActionMode.Callback getCustomSelectionActionModeCallback() {
        return C0736fe.C(super.getCustomSelectionActionModeCallback());
    }

    public void h(Typeface typeface) {
        if ((this.f2175a.getTypeface() != null && !this.f2175a.getTypeface().equals(typeface)) || (this.f2175a.getTypeface() == null && typeface != null)) {
            this.f2175a.setTypeface(typeface);
            requestLayout();
            invalidate();
        }
    }

    public final void i(CharSequence charSequence) {
        this.f2188c = charSequence;
        this.f2190d = a(charSequence);
        this.f2183b = null;
        if (this.f2194g) {
            k();
        }
    }

    public final void j(CharSequence charSequence) {
        this.f2178a = charSequence;
        this.f2184b = a(charSequence);
        this.f2174a = null;
        if (this.f2194g) {
            k();
        }
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f2173a;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
        Drawable drawable2 = this.f2182b;
        if (drawable2 != null) {
            drawable2.jumpToCurrentState();
        }
        ObjectAnimator objectAnimator = this.f2169a;
        if (objectAnimator != null && objectAnimator.isStarted()) {
            this.f2169a.end();
            this.f2169a = null;
        }
    }

    public final void k() {
        if (this.f2168a == null && ((C0985kB) ((C0977k3) this.f2179a.b).a).c() && C0346Uh.c()) {
            C0346Uh a2 = C0346Uh.a();
            int b2 = a2.b();
            if (b2 == 3 || b2 == 0) {
                PI pi = new PI(this);
                this.f2168a = pi;
                a2.j(pi);
            }
        }
    }

    public int[] onCreateDrawableState(int i2) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i2 + 1);
        if (isChecked()) {
            CompoundButton.mergeDrawableStates(onCreateDrawableState, f2166a);
        }
        return onCreateDrawableState;
    }

    public void onDraw(Canvas canvas) {
        int i2;
        super.onDraw(canvas);
        Rect rect = this.f2172a;
        Drawable drawable = this.f2182b;
        if (drawable != null) {
            drawable.getPadding(rect);
        } else {
            rect.setEmpty();
        }
        int i3 = this.m;
        int i4 = this.o;
        int i5 = i3 + rect.top;
        int i6 = i4 - rect.bottom;
        Drawable drawable2 = this.f2173a;
        if (drawable != null) {
            if (!this.f2193f || drawable2 == null) {
                drawable.draw(canvas);
            } else {
                Rect d2 = C0577cg.d(drawable2);
                drawable2.copyBounds(rect);
                rect.left += d2.left;
                rect.right -= d2.right;
                int save = canvas.save();
                canvas.clipRect(rect, Region.Op.DIFFERENCE);
                drawable.draw(canvas);
                canvas.restoreToCount(save);
            }
        }
        int save2 = canvas.save();
        if (drawable2 != null) {
            drawable2.draw(canvas);
        }
        Layout layout = (this.c > 0.5f ? 1 : (this.c == 0.5f ? 0 : -1)) > 0 ? this.f2174a : this.f2183b;
        if (layout != null) {
            int[] drawableState = getDrawableState();
            ColorStateList colorStateList = this.f2187c;
            if (colorStateList != null) {
                this.f2175a.setColor(colorStateList.getColorForState(drawableState, 0));
            }
            this.f2175a.drawableState = drawableState;
            if (drawable2 != null) {
                Rect bounds = drawable2.getBounds();
                i2 = bounds.left + bounds.right;
            } else {
                i2 = getWidth();
            }
            canvas.translate((float) ((i2 / 2) - (layout.getWidth() / 2)), (float) (((i5 + i6) / 2) - (layout.getHeight() / 2)));
            layout.draw(canvas);
        }
        canvas.restoreToCount(save2);
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName("android.widget.Switch");
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName("android.widget.Switch");
        if (Build.VERSION.SDK_INT < 30) {
            CharSequence charSequence = isChecked() ? this.f2178a : this.f2188c;
            if (!TextUtils.isEmpty(charSequence)) {
                CharSequence text = accessibilityNodeInfo.getText();
                if (TextUtils.isEmpty(text)) {
                    accessibilityNodeInfo.setText(charSequence);
                    return;
                }
                StringBuilder sb = new StringBuilder();
                sb.append(text);
                sb.append(' ');
                sb.append(charSequence);
                accessibilityNodeInfo.setText(sb);
            }
        }
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        super.onLayout(z, i2, i3, i4, i5);
        int i11 = 0;
        if (this.f2173a != null) {
            Rect rect = this.f2172a;
            Drawable drawable = this.f2182b;
            if (drawable != null) {
                drawable.getPadding(rect);
            } else {
                rect.setEmpty();
            }
            Rect d2 = C0577cg.d(this.f2173a);
            i6 = Math.max(0, d2.left - rect.left);
            i11 = Math.max(0, d2.right - rect.right);
        } else {
            i6 = 0;
        }
        if (C1700xP.a(this)) {
            i8 = getPaddingLeft() + i6;
            i7 = ((this.i + i8) - i6) - i11;
        } else {
            i7 = (getWidth() - getPaddingRight()) - i11;
            i8 = (i7 - this.i) + i6 + i11;
        }
        int gravity = getGravity() & 112;
        if (gravity == 16) {
            int paddingTop = getPaddingTop();
            int i12 = this.j;
            int height = (((getHeight() + paddingTop) - getPaddingBottom()) / 2) - (i12 / 2);
            i9 = i12 + height;
            i10 = height;
        } else if (gravity != 80) {
            i10 = getPaddingTop();
            i9 = this.j + i10;
        } else {
            i9 = getHeight() - getPaddingBottom();
            i10 = i9 - this.j;
        }
        this.l = i8;
        this.m = i10;
        this.o = i9;
        this.n = i7;
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        int i6;
        if (this.f2194g) {
            if (this.f2174a == null) {
                this.f2174a = e(this.f2184b);
            }
            if (this.f2183b == null) {
                this.f2183b = e(this.f2190d);
            }
        }
        Rect rect = this.f2172a;
        Drawable drawable = this.f2173a;
        int i7 = 0;
        if (drawable != null) {
            drawable.getPadding(rect);
            i5 = (this.f2173a.getIntrinsicWidth() - rect.left) - rect.right;
            i4 = this.f2173a.getIntrinsicHeight();
        } else {
            i5 = 0;
            i4 = 0;
        }
        if (this.f2194g) {
            i6 = (this.f2186c * 2) + Math.max(this.f2174a.getWidth(), this.f2183b.getWidth());
        } else {
            i6 = 0;
        }
        this.k = Math.max(i6, i5);
        Drawable drawable2 = this.f2182b;
        if (drawable2 != null) {
            drawable2.getPadding(rect);
            i7 = this.f2182b.getIntrinsicHeight();
        } else {
            rect.setEmpty();
        }
        int i8 = rect.left;
        int i9 = rect.right;
        Drawable drawable3 = this.f2173a;
        if (drawable3 != null) {
            Rect d2 = C0577cg.d(drawable3);
            i8 = Math.max(i8, d2.left);
            i9 = Math.max(i9, d2.right);
        }
        int max = Math.max(this.d, (this.k * 2) + i8 + i9);
        int max2 = Math.max(i7, i4);
        this.i = max;
        this.j = max2;
        super.onMeasure(i2, i3);
        if (getMeasuredHeight() < max2) {
            setMeasuredDimension(getMeasuredWidthAndState(), max2);
        }
    }

    public void onPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onPopulateAccessibilityEvent(accessibilityEvent);
        CharSequence charSequence = isChecked() ? this.f2178a : this.f2188c;
        if (charSequence != null) {
            accessibilityEvent.getText().add(charSequence);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:5:0x0014, code lost:
        if (r0 != 3) goto L_0x0156;
     */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z;
        this.f2177a.addMovement(motionEvent);
        int actionMasked = motionEvent.getActionMasked();
        boolean z2 = false;
        if (actionMasked != 0) {
            float f2 = 0.0f;
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    int i2 = this.f;
                    if (i2 == 1) {
                        float x = motionEvent.getX();
                        float y = motionEvent.getY();
                        if (Math.abs(x - this.f2167a) > ((float) this.g) || Math.abs(y - this.b) > ((float) this.g)) {
                            this.f = 2;
                            getParent().requestDisallowInterceptTouchEvent(true);
                            this.f2167a = x;
                            this.b = y;
                            return true;
                        }
                    } else if (i2 == 2) {
                        float x2 = motionEvent.getX();
                        int d2 = d();
                        float f3 = x2 - this.f2167a;
                        float f4 = d2 != 0 ? f3 / ((float) d2) : f3 > 0.0f ? 1.0f : -1.0f;
                        if (C1700xP.a(this)) {
                            f4 = -f4;
                        }
                        float f5 = this.c;
                        float f6 = f4 + f5;
                        if (f6 >= 0.0f) {
                            f2 = f6 > 1.0f ? 1.0f : f6;
                        }
                        if (f2 != f5) {
                            this.f2167a = x2;
                            this.c = f2;
                            invalidate();
                        }
                        return true;
                    }
                }
            }
            if (this.f == 2) {
                this.f = 0;
                boolean z3 = motionEvent.getAction() == 1 && isEnabled();
                boolean isChecked = isChecked();
                if (z3) {
                    this.f2177a.computeCurrentVelocity(1000);
                    float xVelocity = this.f2177a.getXVelocity();
                    z = Math.abs(xVelocity) <= ((float) this.h) ? this.c > 0.5f : !(!C1700xP.a(this) ? xVelocity <= 0.0f : xVelocity >= 0.0f);
                } else {
                    z = isChecked;
                }
                if (z != isChecked) {
                    playSoundEffect(0);
                }
                setChecked(z);
                MotionEvent obtain = MotionEvent.obtain(motionEvent);
                obtain.setAction(3);
                super.onTouchEvent(obtain);
                obtain.recycle();
                super.onTouchEvent(motionEvent);
                return true;
            }
            this.f = 0;
            this.f2177a.clear();
        } else {
            float x3 = motionEvent.getX();
            float y2 = motionEvent.getY();
            if (isEnabled()) {
                if (this.f2173a != null) {
                    int c2 = c();
                    this.f2173a.getPadding(this.f2172a);
                    int i3 = this.m;
                    int i4 = this.g;
                    int i5 = i3 - i4;
                    int i6 = (this.l + c2) - i4;
                    Rect rect = this.f2172a;
                    int i7 = this.k + i6 + rect.left + rect.right + i4;
                    int i8 = this.o + i4;
                    if (x3 > ((float) i6) && x3 < ((float) i7) && y2 > ((float) i5) && y2 < ((float) i8)) {
                        z2 = true;
                    }
                }
                if (z2) {
                    this.f = 1;
                    this.f2167a = x3;
                    this.b = y2;
                }
            }
        }
        return super.onTouchEvent(motionEvent);
    }

    public void setAllCaps(boolean z) {
        super.setAllCaps(z);
        ((C0985kB) ((C0977k3) b().b).a).d(z);
    }

    public void setChecked(boolean z) {
        super.setChecked(z);
        boolean isChecked = isChecked();
        if (isChecked) {
            g();
        } else {
            f();
        }
        float f2 = 1.0f;
        if (getWindowToken() != null) {
            WeakHashMap weakHashMap = FO.f497a;
            if (C1322qO.c(this)) {
                if (!isChecked) {
                    f2 = 0.0f;
                }
                ObjectAnimator ofFloat = ObjectAnimator.ofFloat(this, a, f2);
                this.f2169a = ofFloat;
                ofFloat.setDuration(250L);
                this.f2169a.setAutoCancel(true);
                this.f2169a.start();
                return;
            }
        }
        ObjectAnimator objectAnimator = this.f2169a;
        if (objectAnimator != null) {
            objectAnimator.cancel();
        }
        if (!isChecked) {
            f2 = 0.0f;
        }
        this.c = f2;
        invalidate();
    }

    public void setCustomSelectionActionModeCallback(ActionMode.Callback callback) {
        super.setCustomSelectionActionModeCallback(C0736fe.D(this, callback));
    }

    public void setFilters(InputFilter[] inputFilterArr) {
        super.setFilters(((C0985kB) ((C0977k3) b().b).a).a(inputFilterArr));
    }

    public void toggle() {
        setChecked(!isChecked());
    }

    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f2173a || drawable == this.f2182b;
    }
}
