package androidx.coordinatorlayout.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcelable;
import android.os.SystemClock;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.Gravity;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import io.github.nekoinverter.ehviewer.R;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashSet;
import java.util.List;
import java.util.Objects;
import java.util.WeakHashMap;

public class CoordinatorLayout extends ViewGroup implements Xx, Yx {
    public static final C0608dA a = new C0715fA(12);

    /* renamed from: a  reason: collision with other field name */
    public static final String f2231a;

    /* renamed from: a  reason: collision with other field name */
    public static final ThreadLocal f2232a = new ThreadLocal();

    /* renamed from: a  reason: collision with other field name */
    public static final Comparator f2233a = new C0324Tb();

    /* renamed from: a  reason: collision with other field name */
    public static final Class[] f2234a = {Context.class, AttributeSet.class};

    /* renamed from: a  reason: collision with other field name */
    public Jy f2235a;

    /* renamed from: a  reason: collision with other field name */
    public ViewTreeObserver$OnPreDrawListenerC0273Qb f2236a;

    /* renamed from: a  reason: collision with other field name */
    public final Zx f2237a;

    /* renamed from: a  reason: collision with other field name */
    public Drawable f2238a;

    /* renamed from: a  reason: collision with other field name */
    public View f2239a;

    /* renamed from: a  reason: collision with other field name */
    public ViewGroup.OnHierarchyChangeListener f2240a;

    /* renamed from: a  reason: collision with other field name */
    public final List f2241a = new ArrayList();

    /* renamed from: a  reason: collision with other field name */
    public C1755yQ f2242a;

    /* renamed from: a  reason: collision with other field name */
    public final C1814ze f2243a;

    /* renamed from: a  reason: collision with other field name */
    public final int[] f2244a;
    public View b;

    /* renamed from: b  reason: collision with other field name */
    public final List f2245b;

    /* renamed from: b  reason: collision with other field name */
    public boolean f2246b;

    /* renamed from: b  reason: collision with other field name */
    public final int[] f2247b;
    public final List c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f2248c;

    /* renamed from: c  reason: collision with other field name */
    public int[] f2249c;
    public boolean d;
    public boolean e;

    static {
        Package r0 = CoordinatorLayout.class.getPackage();
        f2231a = r0 != null ? r0.getName() : null;
    }

    public CoordinatorLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, R.attr.f54940_resource_name_obfuscated_RES_2130968864);
        this.f2243a = new C1814ze(0);
        this.f2245b = new ArrayList();
        this.c = new ArrayList();
        this.f2244a = new int[2];
        this.f2247b = new int[2];
        this.f2237a = new Zx();
        int[] iArr = C0101Fq.a;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, R.attr.f54940_resource_name_obfuscated_RES_2130968864, 0);
        if (Build.VERSION.SDK_INT >= 29) {
            saveAttributeDataForStyleable(context, iArr, attributeSet, obtainStyledAttributes, R.attr.f54940_resource_name_obfuscated_RES_2130968864, 0);
        }
        int resourceId = obtainStyledAttributes.getResourceId(0, 0);
        if (resourceId != 0) {
            Resources resources = context.getResources();
            this.f2249c = resources.getIntArray(resourceId);
            float f = resources.getDisplayMetrics().density;
            int length = this.f2249c.length;
            for (int i = 0; i < length; i++) {
                int[] iArr2 = this.f2249c;
                iArr2[i] = (int) (((float) iArr2[i]) * f);
            }
        }
        this.f2238a = obtainStyledAttributes.getDrawable(1);
        obtainStyledAttributes.recycle();
        y();
        super.setOnHierarchyChangeListener(new ViewGroup$OnHierarchyChangeListenerC0239Ob(this));
        WeakHashMap weakHashMap = FO.f497a;
        if (C1160nO.c(this) == 0) {
            C1160nO.s(this, 1);
        }
    }

    public static Rect a() {
        Rect rect = (Rect) a.a();
        return rect == null ? new Rect() : rect;
    }

    public final void b(C0256Pb pb, Rect rect, int i, int i2) {
        int width = getWidth();
        int height = getHeight();
        int max = Math.max(getPaddingLeft() + ((ViewGroup.MarginLayoutParams) pb).leftMargin, Math.min(rect.left, ((width - getPaddingRight()) - i) - ((ViewGroup.MarginLayoutParams) pb).rightMargin));
        int max2 = Math.max(getPaddingTop() + ((ViewGroup.MarginLayoutParams) pb).topMargin, Math.min(rect.top, ((height - getPaddingBottom()) - i2) - ((ViewGroup.MarginLayoutParams) pb).bottomMargin));
        rect.set(max, max2, i + max, i2 + max2);
    }

    public void c(View view) {
        List list = (List) ((RF) this.f2243a.b).getOrDefault(view, null);
        if (!(list == null || list.isEmpty())) {
            for (int i = 0; i < list.size(); i++) {
                View view2 = (View) list.get(i);
                AbstractC0205Mb mb = ((C0256Pb) view2.getLayoutParams()).f1312a;
                if (mb != null) {
                    mb.d(this, view2, view);
                }
            }
        }
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof C0256Pb) && super.checkLayoutParams(layoutParams);
    }

    public void d(View view, boolean z, Rect rect) {
        if (view.isLayoutRequested() || view.getVisibility() == 8) {
            rect.setEmpty();
        } else if (z) {
            g(view, rect);
        } else {
            rect.set(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
        }
    }

    public boolean drawChild(Canvas canvas, View view, long j) {
        AbstractC0205Mb mb = ((C0256Pb) view.getLayoutParams()).f1312a;
        if (mb != null) {
            Objects.requireNonNull(mb);
        }
        return super.drawChild(canvas, view, j);
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.f2238a;
        boolean z = false;
        if (drawable != null && drawable.isStateful()) {
            z = false | drawable.setState(drawableState);
        }
        if (z) {
            invalidate();
        }
    }

    public List e(View view) {
        C1814ze zeVar = this.f2243a;
        int i = ((RF) zeVar.b).f1414c;
        ArrayList arrayList = null;
        for (int i2 = 0; i2 < i; i2++) {
            ArrayList arrayList2 = (ArrayList) ((RF) zeVar.b).k(i2);
            if (arrayList2 != null && arrayList2.contains(view)) {
                if (arrayList == null) {
                    arrayList = new ArrayList();
                }
                arrayList.add(((RF) zeVar.b).h(i2));
            }
        }
        this.c.clear();
        if (arrayList != null) {
            this.c.addAll(arrayList);
        }
        return this.c;
    }

    public List f(View view) {
        List list = (List) ((RF) this.f2243a.b).getOrDefault(view, null);
        this.c.clear();
        if (list != null) {
            this.c.addAll(list);
        }
        return this.c;
    }

    public void g(View view, Rect rect) {
        ThreadLocal threadLocal = KO.a;
        rect.set(0, 0, view.getWidth(), view.getHeight());
        ThreadLocal threadLocal2 = KO.a;
        Matrix matrix = (Matrix) threadLocal2.get();
        if (matrix == null) {
            matrix = new Matrix();
            threadLocal2.set(matrix);
        } else {
            matrix.reset();
        }
        KO.a(this, view, matrix);
        ThreadLocal threadLocal3 = KO.b;
        RectF rectF = (RectF) threadLocal3.get();
        if (rectF == null) {
            rectF = new RectF();
            threadLocal3.set(rectF);
        }
        rectF.set(rect);
        matrix.mapRect(rectF);
        rect.set((int) (rectF.left + 0.5f), (int) (rectF.top + 0.5f), (int) (rectF.right + 0.5f), (int) (rectF.bottom + 0.5f));
    }

    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new C0256Pb(-2, -2);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new C0256Pb(getContext(), attributeSet);
    }

    public int getNestedScrollAxes() {
        return this.f2237a.a();
    }

    public int getSuggestedMinimumHeight() {
        return Math.max(super.getSuggestedMinimumHeight(), getPaddingBottom() + getPaddingTop());
    }

    public int getSuggestedMinimumWidth() {
        return Math.max(super.getSuggestedMinimumWidth(), getPaddingRight() + getPaddingLeft());
    }

    public final void h(int i, Rect rect, Rect rect2, C0256Pb pb, int i2, int i3) {
        int i4;
        int i5;
        int i6 = pb.a;
        if (i6 == 0) {
            i6 = 17;
        }
        int absoluteGravity = Gravity.getAbsoluteGravity(i6, i);
        int i7 = pb.b;
        if ((i7 & 7) == 0) {
            i7 |= 8388611;
        }
        if ((i7 & 112) == 0) {
            i7 |= 48;
        }
        int absoluteGravity2 = Gravity.getAbsoluteGravity(i7, i);
        int i8 = absoluteGravity & 7;
        int i9 = absoluteGravity & 112;
        int i10 = absoluteGravity2 & 7;
        int i11 = absoluteGravity2 & 112;
        if (i10 == 1) {
            i4 = rect.left + (rect.width() / 2);
        } else if (i10 != 5) {
            i4 = rect.left;
        } else {
            i4 = rect.right;
        }
        if (i11 == 16) {
            i5 = rect.top + (rect.height() / 2);
        } else if (i11 != 80) {
            i5 = rect.top;
        } else {
            i5 = rect.bottom;
        }
        if (i8 == 1) {
            i4 -= i2 / 2;
        } else if (i8 != 5) {
            i4 -= i2;
        }
        if (i9 == 16) {
            i5 -= i3 / 2;
        } else if (i9 != 80) {
            i5 -= i3;
        }
        rect2.set(i4, i5, i2 + i4, i3 + i5);
    }

    public final int i(int i) {
        int[] iArr = this.f2249c;
        if (iArr == null) {
            Log.e("CoordinatorLayout", "No keylines defined for " + this + " - attempted index lookup " + i);
            return 0;
        } else if (i >= 0 && i < iArr.length) {
            return iArr[i];
        } else {
            Log.e("CoordinatorLayout", "Keyline index " + i + " out of range for " + this);
            return 0;
        }
    }

    @Override // defpackage.Xx
    public boolean j(View view, View view2, int i, int i2) {
        int childCount = getChildCount();
        boolean z = false;
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt = getChildAt(i3);
            if (childAt.getVisibility() != 8) {
                C0256Pb pb = (C0256Pb) childAt.getLayoutParams();
                AbstractC0205Mb mb = pb.f1312a;
                if (mb != null) {
                    boolean p = mb.p(this, childAt, view, view2, i, i2);
                    z |= p;
                    pb.c(i2, p);
                } else {
                    pb.c(i2, false);
                }
            }
        }
        return z;
    }

    @Override // defpackage.Xx
    public void k(View view, int i, int i2, int[] iArr, int i3) {
        AbstractC0205Mb mb;
        int i4;
        int i5;
        int childCount = getChildCount();
        boolean z = false;
        int i6 = 0;
        int i7 = 0;
        for (int i8 = 0; i8 < childCount; i8++) {
            View childAt = getChildAt(i8);
            if (childAt.getVisibility() != 8) {
                C0256Pb pb = (C0256Pb) childAt.getLayoutParams();
                if (pb.a(i3) && (mb = pb.f1312a) != null) {
                    int[] iArr2 = this.f2244a;
                    iArr2[0] = 0;
                    iArr2[1] = 0;
                    mb.k(this, childAt, view, i, i2, iArr2, i3);
                    int[] iArr3 = this.f2244a;
                    if (i > 0) {
                        i4 = Math.max(i6, iArr3[0]);
                    } else {
                        i4 = Math.min(i6, iArr3[0]);
                    }
                    i6 = i4;
                    int[] iArr4 = this.f2244a;
                    if (i2 > 0) {
                        i5 = Math.max(i7, iArr4[1]);
                    } else {
                        i5 = Math.min(i7, iArr4[1]);
                    }
                    i7 = i5;
                    z = true;
                }
            }
        }
        iArr[0] = i6;
        iArr[1] = i7;
        if (z) {
            r(1);
        }
    }

    @Override // defpackage.Xx
    public void l(View view, View view2, int i, int i2) {
        Zx zx = this.f2237a;
        if (i2 == 1) {
            zx.b = i;
        } else {
            zx.a = i;
        }
        this.b = view2;
        int childCount = getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            ((C0256Pb) getChildAt(i3).getLayoutParams()).a(i2);
        }
    }

    @Override // defpackage.Xx
    public void m(View view, int i, int i2, int i3, int i4, int i5) {
        o(view, i, i2, i3, i4, 0, this.f2247b);
    }

    @Override // defpackage.Xx
    public void n(View view, int i) {
        Zx zx = this.f2237a;
        if (i == 1) {
            zx.b = 0;
        } else {
            zx.a = 0;
        }
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            C0256Pb pb = (C0256Pb) childAt.getLayoutParams();
            if (pb.a(i)) {
                AbstractC0205Mb mb = pb.f1312a;
                if (mb != null) {
                    mb.q(this, childAt, view, i);
                }
                pb.c(i, false);
                pb.f1320e = false;
            }
        }
        this.b = null;
    }

    @Override // defpackage.Yx
    public void o(View view, int i, int i2, int i3, int i4, int i5, int[] iArr) {
        AbstractC0205Mb mb;
        int i6;
        boolean z;
        int i7;
        int childCount = getChildCount();
        boolean z2 = false;
        int i8 = 0;
        int i9 = 0;
        for (int i10 = 0; i10 < childCount; i10++) {
            View childAt = getChildAt(i10);
            if (childAt.getVisibility() != 8) {
                C0256Pb pb = (C0256Pb) childAt.getLayoutParams();
                if (pb.a(i5) && (mb = pb.f1312a) != null) {
                    int[] iArr2 = this.f2244a;
                    iArr2[0] = 0;
                    iArr2[1] = 0;
                    mb.l(this, childAt, view, i, i2, i3, i4, i5, iArr2);
                    int[] iArr3 = this.f2244a;
                    if (i3 > 0) {
                        i6 = Math.max(i8, iArr3[0]);
                    } else {
                        i6 = Math.min(i8, iArr3[0]);
                    }
                    i8 = i6;
                    if (i4 > 0) {
                        z = true;
                        i7 = Math.max(i9, this.f2244a[1]);
                    } else {
                        z = true;
                        i7 = Math.min(i9, this.f2244a[1]);
                    }
                    i9 = i7;
                    z2 = z;
                }
            }
        }
        iArr[0] = iArr[0] + i8;
        iArr[1] = iArr[1] + i9;
        if (z2) {
            r(1);
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        v(false);
        if (this.d) {
            if (this.f2236a == null) {
                this.f2236a = new ViewTreeObserver$OnPreDrawListenerC0273Qb(this);
            }
            getViewTreeObserver().addOnPreDrawListener(this.f2236a);
        }
        if (this.f2242a == null) {
            WeakHashMap weakHashMap = FO.f497a;
            if (C1160nO.b(this)) {
                C1375rO.c(this);
            }
        }
        this.f2248c = true;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        v(false);
        if (this.d && this.f2236a != null) {
            getViewTreeObserver().removeOnPreDrawListener(this.f2236a);
        }
        View view = this.b;
        if (view != null) {
            onStopNestedScroll(view);
        }
        this.f2248c = false;
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.e && this.f2238a != null) {
            C1755yQ yQVar = this.f2242a;
            int f = yQVar != null ? yQVar.f() : 0;
            if (f > 0) {
                this.f2238a.setBounds(0, 0, getWidth(), f);
                this.f2238a.draw(canvas);
            }
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            v(true);
        }
        boolean u = u(motionEvent, 0);
        if (actionMasked == 1 || actionMasked == 3) {
            v(true);
        }
        return u;
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        AbstractC0205Mb mb;
        WeakHashMap weakHashMap = FO.f497a;
        int d2 = C1214oO.d(this);
        int size = this.f2241a.size();
        for (int i5 = 0; i5 < size; i5++) {
            View view = (View) this.f2241a.get(i5);
            if (view.getVisibility() != 8 && ((mb = ((C0256Pb) view.getLayoutParams()).f1312a) == null || !mb.h(this, view, d2))) {
                s(view, d2);
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:180:0x036d, code lost:
        if (r0.i(r30, r19, r23, r0, r24, 0) == false) goto L_0x037d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:0x007e, code lost:
        if (r6 != false) goto L_0x00d5;
     */
    /* JADX WARNING: Removed duplicated region for block: B:207:0x0181 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x011b  */
    public void onMeasure(int i, int i2) {
        boolean z;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        C0256Pb pb;
        int i12;
        int i13;
        boolean z2;
        boolean z3;
        AbstractC0205Mb mb;
        boolean z4;
        this.f2241a.clear();
        C1814ze zeVar = this.f2243a;
        int i14 = ((RF) zeVar.b).f1414c;
        int i15 = 0;
        for (int i16 = 0; i16 < i14; i16++) {
            ArrayList arrayList = (ArrayList) ((RF) zeVar.b).k(i16);
            if (arrayList != null) {
                arrayList.clear();
                ((C0608dA) zeVar.f5044a).b(arrayList);
            }
        }
        ((RF) zeVar.b).clear();
        int childCount = getChildCount();
        for (int i17 = 0; i17 < childCount; i17++) {
            View childAt = getChildAt(i17);
            C0256Pb p = p(childAt);
            if (p.d == -1) {
                p.f1316b = null;
                p.f1314a = null;
            } else {
                View view = p.f1314a;
                if (view != null) {
                    if (view.getId() == p.d) {
                        View view2 = p.f1314a;
                        for (ViewParent parent = view2.getParent(); parent != this; parent = parent.getParent()) {
                            if (parent == null || parent == childAt) {
                                p.f1316b = null;
                                p.f1314a = null;
                            } else {
                                if (parent instanceof View) {
                                    view2 = (View) parent;
                                }
                            }
                        }
                        p.f1316b = view2;
                        z4 = true;
                    }
                    z4 = false;
                    break;
                }
                View findViewById = findViewById(p.d);
                p.f1314a = findViewById;
                if (findViewById != null) {
                    if (findViewById != this) {
                        ViewParent parent2 = findViewById.getParent();
                        while (true) {
                            if (parent2 == this || parent2 == null) {
                                p.f1316b = findViewById;
                            } else if (parent2 != childAt) {
                                if (parent2 instanceof View) {
                                    findViewById = (View) parent2;
                                }
                                parent2 = parent2.getParent();
                            } else if (isInEditMode()) {
                                p.f1316b = null;
                                p.f1314a = null;
                            } else {
                                throw new IllegalStateException("Anchor must not be a descendant of the anchored view");
                            }
                        }
                    } else if (isInEditMode()) {
                        p.f1316b = null;
                        p.f1314a = null;
                    } else {
                        throw new IllegalStateException("View can not be anchored to the the parent CoordinatorLayout");
                    }
                } else if (isInEditMode()) {
                    p.f1316b = null;
                    p.f1314a = null;
                } else {
                    StringBuilder a2 = C0894ia.a("Could not find CoordinatorLayout descendant view with id ");
                    a2.append(getResources().getResourceName(p.d));
                    a2.append(" to anchor view ");
                    a2.append(childAt);
                    throw new IllegalStateException(a2.toString());
                }
            }
            this.f2243a.a(childAt);
            for (int i18 = 0; i18 < childCount; i18++) {
                if (i18 != i17) {
                    View childAt2 = getChildAt(i18);
                    if (childAt2 != p.f1316b) {
                        WeakHashMap weakHashMap = FO.f497a;
                        int d2 = C1214oO.d(this);
                        int absoluteGravity = Gravity.getAbsoluteGravity(((C0256Pb) childAt2.getLayoutParams()).e, d2);
                        if (!(absoluteGravity != 0 && (Gravity.getAbsoluteGravity(p.f, d2) & absoluteGravity) == absoluteGravity) && ((mb = p.f1312a) == null || !mb.b(this, childAt, childAt2))) {
                            z3 = false;
                            if (!z3) {
                                continue;
                            } else {
                                if (!(((RF) this.f2243a.b).e(childAt2) >= 0)) {
                                    this.f2243a.a(childAt2);
                                }
                                C1814ze zeVar2 = this.f2243a;
                                if (((RF) zeVar2.b).e(childAt2) >= 0) {
                                    if (((RF) zeVar2.b).e(childAt) >= 0) {
                                        ArrayList arrayList2 = (ArrayList) ((RF) zeVar2.b).getOrDefault(childAt2, null);
                                        if (arrayList2 == null) {
                                            arrayList2 = (ArrayList) ((C0608dA) zeVar2.f5044a).a();
                                            if (arrayList2 == null) {
                                                arrayList2 = new ArrayList();
                                            }
                                            ((RF) zeVar2.b).put(childAt2, arrayList2);
                                        }
                                        arrayList2.add(childAt);
                                    }
                                }
                                throw new IllegalArgumentException("All nodes must be present in the graph before being added as an edge");
                            }
                        }
                    }
                    z3 = true;
                    if (!z3) {
                    }
                }
            }
        }
        List list = this.f2241a;
        C1814ze zeVar3 = this.f2243a;
        ((ArrayList) zeVar3.c).clear();
        ((HashSet) zeVar3.d).clear();
        int i19 = ((RF) zeVar3.b).f1414c;
        for (int i20 = 0; i20 < i19; i20++) {
            zeVar3.c(((RF) zeVar3.b).h(i20), (ArrayList) zeVar3.c, (HashSet) zeVar3.d);
        }
        list.addAll((ArrayList) zeVar3.c);
        Collections.reverse(this.f2241a);
        int childCount2 = getChildCount();
        int i21 = 0;
        while (true) {
            if (i21 >= childCount2) {
                z = false;
                break;
            }
            View childAt3 = getChildAt(i21);
            C1814ze zeVar4 = this.f2243a;
            int i22 = ((RF) zeVar4.b).f1414c;
            int i23 = 0;
            while (true) {
                if (i23 >= i22) {
                    z2 = false;
                    break;
                }
                ArrayList arrayList3 = (ArrayList) ((RF) zeVar4.b).k(i23);
                if (arrayList3 != null && arrayList3.contains(childAt3)) {
                    z2 = true;
                    break;
                }
                i23++;
            }
            if (z2) {
                z = true;
                break;
            }
            i21++;
        }
        if (z != this.d) {
            if (z) {
                if (this.f2248c) {
                    if (this.f2236a == null) {
                        this.f2236a = new ViewTreeObserver$OnPreDrawListenerC0273Qb(this);
                    }
                    getViewTreeObserver().addOnPreDrawListener(this.f2236a);
                }
                this.d = true;
            } else {
                if (this.f2248c && this.f2236a != null) {
                    getViewTreeObserver().removeOnPreDrawListener(this.f2236a);
                }
                this.d = false;
            }
        }
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingRight = getPaddingRight();
        int paddingBottom = getPaddingBottom();
        WeakHashMap weakHashMap2 = FO.f497a;
        int d3 = C1214oO.d(this);
        boolean z5 = d3 == 1;
        int mode = View.MeasureSpec.getMode(i);
        int size = View.MeasureSpec.getSize(i);
        int mode2 = View.MeasureSpec.getMode(i2);
        int size2 = View.MeasureSpec.getSize(i2);
        int i24 = paddingLeft + paddingRight;
        int i25 = paddingTop + paddingBottom;
        int suggestedMinimumWidth = getSuggestedMinimumWidth();
        int suggestedMinimumHeight = getSuggestedMinimumHeight();
        boolean z6 = this.f2242a != null && C1160nO.b(this);
        int size3 = this.f2241a.size();
        int i26 = suggestedMinimumWidth;
        int i27 = suggestedMinimumHeight;
        int i28 = 0;
        int i29 = 0;
        while (i29 < size3) {
            View view3 = (View) this.f2241a.get(i29);
            if (view3.getVisibility() == 8) {
                i5 = i29;
                i3 = size3;
                i4 = paddingLeft;
            } else {
                C0256Pb pb2 = (C0256Pb) view3.getLayoutParams();
                int i30 = pb2.c;
                if (i30 < 0 || mode == 0) {
                    i7 = i15;
                    i6 = i29;
                    i8 = i28;
                } else {
                    int i31 = i(i30);
                    i7 = i15;
                    int i32 = pb2.a;
                    if (i32 == 0) {
                        i32 = 8388661;
                    }
                    int absoluteGravity2 = Gravity.getAbsoluteGravity(i32, d3) & 7;
                    i6 = i29;
                    i8 = ((absoluteGravity2 != 3 || z5) && (absoluteGravity2 != 5 || !z5)) ? ((absoluteGravity2 != 5 || z5) && (absoluteGravity2 != 3 || !z5)) ? 0 : Math.max(0, i31 - paddingLeft) : Math.max(0, (size - paddingRight) - i31);
                }
                if (!z6 || C1160nO.b(view3)) {
                    i10 = i;
                    i9 = i2;
                } else {
                    int e2 = this.f2242a.e() + this.f2242a.d();
                    int c2 = this.f2242a.c() + this.f2242a.f();
                    i10 = View.MeasureSpec.makeMeasureSpec(size - e2, mode);
                    i9 = View.MeasureSpec.makeMeasureSpec(size2 - c2, mode2);
                }
                AbstractC0205Mb mb2 = pb2.f1312a;
                if (mb2 != null) {
                    i12 = i7;
                    pb = pb2;
                    i5 = i6;
                    i11 = i27;
                    i4 = paddingLeft;
                    i13 = i26;
                    i3 = size3;
                } else {
                    pb = pb2;
                    i11 = i27;
                    i3 = size3;
                    i12 = i7;
                    i5 = i6;
                    i4 = paddingLeft;
                    i13 = i26;
                }
                measureChildWithMargins(view3, i10, i8, i9, 0);
                int max = Math.max(i13, view3.getMeasuredWidth() + i24 + ((ViewGroup.MarginLayoutParams) pb).leftMargin + ((ViewGroup.MarginLayoutParams) pb).rightMargin);
                int max2 = Math.max(i11, view3.getMeasuredHeight() + i25 + ((ViewGroup.MarginLayoutParams) pb).topMargin + ((ViewGroup.MarginLayoutParams) pb).bottomMargin);
                i15 = View.combineMeasuredStates(i12, view3.getMeasuredState());
                i26 = max;
                i27 = max2;
            }
            i29 = i5 + 1;
            i28 = 0;
            paddingLeft = i4;
            size3 = i3;
        }
        setMeasuredDimension(View.resolveSizeAndState(i26, i, -16777216 & i15), View.resolveSizeAndState(i27, i2, i15 << 16));
    }

    public boolean onNestedFling(View view, float f, float f2, boolean z) {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() != 8) {
                C0256Pb pb = (C0256Pb) childAt.getLayoutParams();
                if (pb.a(0)) {
                    AbstractC0205Mb mb = pb.f1312a;
                }
            }
        }
        return false;
    }

    public boolean onNestedPreFling(View view, float f, float f2) {
        AbstractC0205Mb mb;
        int childCount = getChildCount();
        boolean z = false;
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() != 8) {
                C0256Pb pb = (C0256Pb) childAt.getLayoutParams();
                if (pb.a(0) && (mb = pb.f1312a) != null) {
                    z |= mb.j(this, childAt, view, f, f2);
                }
            }
        }
        return z;
    }

    public void onNestedPreScroll(View view, int i, int i2, int[] iArr) {
        k(view, i, i2, iArr, 0);
    }

    public void onNestedScroll(View view, int i, int i2, int i3, int i4) {
        o(view, i, i2, i3, i4, 0, this.f2247b);
    }

    public void onNestedScrollAccepted(View view, View view2, int i) {
        l(view, view2, i, 0);
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        Parcelable parcelable2;
        if (!(parcelable instanceof C0307Sb)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        C0307Sb sb = (C0307Sb) parcelable;
        super.onRestoreInstanceState(((AbstractC0919j) sb).f3764a);
        SparseArray sparseArray = sb.a;
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            int id = childAt.getId();
            AbstractC0205Mb mb = p(childAt).f1312a;
            if (!(id == -1 || mb == null || (parcelable2 = (Parcelable) sparseArray.get(id)) == null)) {
                mb.n(this, childAt, parcelable2);
            }
        }
    }

    public Parcelable onSaveInstanceState() {
        Parcelable o;
        C0307Sb sb = new C0307Sb(super.onSaveInstanceState());
        SparseArray sparseArray = new SparseArray();
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            int id = childAt.getId();
            AbstractC0205Mb mb = ((C0256Pb) childAt.getLayoutParams()).f1312a;
            if (!(id == -1 || mb == null || (o = mb.o(this, childAt)) == null)) {
                sparseArray.append(id, o);
            }
        }
        sb.a = sparseArray;
        return sb;
    }

    public boolean onStartNestedScroll(View view, View view2, int i) {
        return j(view, view2, i, 0);
    }

    public void onStopNestedScroll(View view) {
        n(view, 0);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:3:0x0012, code lost:
        if (r3 != false) goto L_0x0016;
     */
    /* JADX WARNING: Removed duplicated region for block: B:11:0x002f  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0035  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x004a  */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z;
        boolean z2;
        MotionEvent motionEvent2;
        int actionMasked = motionEvent.getActionMasked();
        if (this.f2239a == null) {
            z2 = u(motionEvent, 1);
        } else {
            z2 = false;
        }
        AbstractC0205Mb mb = ((C0256Pb) this.f2239a.getLayoutParams()).f1312a;
        if (mb != null) {
            z = mb.r(this, this.f2239a, motionEvent);
            motionEvent2 = null;
            if (this.f2239a != null) {
                z |= super.onTouchEvent(motionEvent);
            } else if (z2) {
                long uptimeMillis = SystemClock.uptimeMillis();
                motionEvent2 = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
                super.onTouchEvent(motionEvent2);
            }
            if (motionEvent2 != null) {
                motionEvent2.recycle();
            }
            if (actionMasked == 1 || actionMasked == 3) {
                v(false);
            }
            return z;
        }
        z = false;
        motionEvent2 = null;
        if (this.f2239a != null) {
        }
        if (motionEvent2 != null) {
        }
        v(false);
        return z;
    }

    public C0256Pb p(View view) {
        C0256Pb pb = (C0256Pb) view.getLayoutParams();
        if (!pb.f1315a) {
            if (view instanceof AbstractC0188Lb) {
                AbstractC0205Mb b2 = ((AbstractC0188Lb) view).b();
                if (b2 == null) {
                    Log.e("CoordinatorLayout", "Attached behavior class is null");
                }
                pb.b(b2);
                pb.f1315a = true;
            } else {
                AbstractC0222Nb nb = null;
                for (Class<?> cls = view.getClass(); cls != null; cls = cls.getSuperclass()) {
                    nb = (AbstractC0222Nb) cls.getAnnotation(AbstractC0222Nb.class);
                    if (nb != null) {
                        break;
                    }
                }
                if (nb != null) {
                    try {
                        pb.b((AbstractC0205Mb) nb.value().getDeclaredConstructor(new Class[0]).newInstance(new Object[0]));
                    } catch (Exception e2) {
                        StringBuilder a2 = C0894ia.a("Default behavior class ");
                        a2.append(nb.value().getName());
                        a2.append(" could not be instantiated. Did you forget a default constructor?");
                        Log.e("CoordinatorLayout", a2.toString(), e2);
                    }
                }
                pb.f1315a = true;
            }
        }
        return pb;
    }

    public boolean q(View view, int i, int i2) {
        Rect a2 = a();
        g(view, a2);
        try {
            return a2.contains(i, i2);
        } finally {
            a2.setEmpty();
            a.b(a2);
        }
    }

    public final void r(int i) {
        int i2;
        Rect rect;
        int i3;
        boolean z;
        boolean z2;
        boolean z3;
        int width;
        int i4;
        int i5;
        int i6;
        int height;
        int i7;
        int i8;
        int i9;
        Rect rect2;
        int i10;
        int i11;
        int i12;
        C0256Pb pb;
        AbstractC0205Mb mb;
        WeakHashMap weakHashMap = FO.f497a;
        int d2 = C1214oO.d(this);
        int size = this.f2241a.size();
        Rect a2 = a();
        Rect a3 = a();
        Rect a4 = a();
        int i13 = 0;
        while (i13 < size) {
            View view = (View) this.f2241a.get(i13);
            C0256Pb pb2 = (C0256Pb) view.getLayoutParams();
            if (i == 0 && view.getVisibility() == 8) {
                i3 = size;
                rect = a4;
                i2 = i13;
            } else {
                int i14 = 0;
                while (i14 < i13) {
                    if (pb2.f1316b == ((View) this.f2241a.get(i14))) {
                        C0256Pb pb3 = (C0256Pb) view.getLayoutParams();
                        if (pb3.f1314a != null) {
                            Rect a5 = a();
                            Rect a6 = a();
                            Rect a7 = a();
                            g(pb3.f1314a, a5);
                            d(view, false, a6);
                            int measuredWidth = view.getMeasuredWidth();
                            i12 = size;
                            int measuredHeight = view.getMeasuredHeight();
                            i11 = i13;
                            i10 = i14;
                            rect2 = a4;
                            pb = pb2;
                            h(d2, a5, a7, pb3, measuredWidth, measuredHeight);
                            boolean z4 = (a7.left == a6.left && a7.top == a6.top) ? false : true;
                            b(pb3, a7, measuredWidth, measuredHeight);
                            int i15 = a7.left - a6.left;
                            int i16 = a7.top - a6.top;
                            if (i15 != 0) {
                                WeakHashMap weakHashMap2 = FO.f497a;
                                view.offsetLeftAndRight(i15);
                            }
                            if (i16 != 0) {
                                WeakHashMap weakHashMap3 = FO.f497a;
                                view.offsetTopAndBottom(i16);
                            }
                            if (z4 && (mb = pb3.f1312a) != null) {
                                mb.d(this, view, pb3.f1314a);
                            }
                            a5.setEmpty();
                            C0608dA dAVar = a;
                            dAVar.b(a5);
                            a6.setEmpty();
                            dAVar.b(a6);
                            a7.setEmpty();
                            dAVar.b(a7);
                            i14 = i10 + 1;
                            pb2 = pb;
                            size = i12;
                            i13 = i11;
                            a4 = rect2;
                        }
                    }
                    i10 = i14;
                    i12 = size;
                    rect2 = a4;
                    i11 = i13;
                    pb = pb2;
                    i14 = i10 + 1;
                    pb2 = pb;
                    size = i12;
                    i13 = i11;
                    a4 = rect2;
                }
                i2 = i13;
                d(view, true, a3);
                if (pb2.e != 0 && !a3.isEmpty()) {
                    int absoluteGravity = Gravity.getAbsoluteGravity(pb2.e, d2);
                    int i17 = absoluteGravity & 112;
                    if (i17 == 48) {
                        a2.top = Math.max(a2.top, a3.bottom);
                    } else if (i17 == 80) {
                        a2.bottom = Math.max(a2.bottom, getHeight() - a3.top);
                    }
                    int i18 = absoluteGravity & 7;
                    if (i18 == 3) {
                        a2.left = Math.max(a2.left, a3.right);
                    } else if (i18 == 5) {
                        a2.right = Math.max(a2.right, getWidth() - a3.left);
                    }
                }
                if (pb2.f != 0 && view.getVisibility() == 0) {
                    WeakHashMap weakHashMap4 = FO.f497a;
                    if (C1322qO.c(view) && view.getWidth() > 0 && view.getHeight() > 0) {
                        C0256Pb pb4 = (C0256Pb) view.getLayoutParams();
                        AbstractC0205Mb mb2 = pb4.f1312a;
                        Rect a8 = a();
                        Rect a9 = a();
                        a9.set(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
                        if (mb2 == null || !mb2.a(this, view, a8)) {
                            a8.set(a9);
                        } else if (!a9.contains(a8)) {
                            StringBuilder a10 = C0894ia.a("Rect should be within the child's bounds. Rect:");
                            a10.append(a8.toShortString());
                            a10.append(" | Bounds:");
                            a10.append(a9.toShortString());
                            throw new IllegalArgumentException(a10.toString());
                        }
                        a9.setEmpty();
                        C0608dA dAVar2 = a;
                        dAVar2.b(a9);
                        if (a8.isEmpty()) {
                            a8.setEmpty();
                            dAVar2.b(a8);
                        } else {
                            int absoluteGravity2 = Gravity.getAbsoluteGravity(pb4.f, d2);
                            if ((absoluteGravity2 & 48) != 48 || (i8 = (a8.top - ((ViewGroup.MarginLayoutParams) pb4).topMargin) - pb4.h) >= (i9 = a2.top)) {
                                z2 = false;
                            } else {
                                x(view, i9 - i8);
                                z2 = true;
                            }
                            if ((absoluteGravity2 & 80) == 80 && (height = ((getHeight() - a8.bottom) - ((ViewGroup.MarginLayoutParams) pb4).bottomMargin) + pb4.h) < (i7 = a2.bottom)) {
                                x(view, height - i7);
                                z2 = true;
                            }
                            if (!z2) {
                                x(view, 0);
                            }
                            if ((absoluteGravity2 & 3) != 3 || (i5 = (a8.left - ((ViewGroup.MarginLayoutParams) pb4).leftMargin) - pb4.g) >= (i6 = a2.left)) {
                                z3 = false;
                            } else {
                                w(view, i6 - i5);
                                z3 = true;
                            }
                            if ((absoluteGravity2 & 5) == 5 && (width = ((getWidth() - a8.right) - ((ViewGroup.MarginLayoutParams) pb4).rightMargin) + pb4.g) < (i4 = a2.right)) {
                                w(view, width - i4);
                                z3 = true;
                            }
                            if (!z3) {
                                w(view, 0);
                            }
                            a8.setEmpty();
                            dAVar2.b(a8);
                        }
                    }
                }
                if (i != 2) {
                    rect = a4;
                    rect.set(((C0256Pb) view.getLayoutParams()).f1313a);
                    if (rect.equals(a3)) {
                        i3 = size;
                    } else {
                        ((C0256Pb) view.getLayoutParams()).f1313a.set(a3);
                    }
                } else {
                    rect = a4;
                }
                i3 = size;
                for (int i19 = i2 + 1; i19 < i3; i19++) {
                    View view2 = (View) this.f2241a.get(i19);
                    C0256Pb pb5 = (C0256Pb) view2.getLayoutParams();
                    AbstractC0205Mb mb3 = pb5.f1312a;
                    if (mb3 != null && mb3.b(this, view2, view)) {
                        if (i != 0 || !pb5.f1320e) {
                            if (i != 2) {
                                z = mb3.d(this, view2, view);
                            } else {
                                mb3.e(this, view2, view);
                                z = true;
                            }
                            if (i == 1) {
                                pb5.f1320e = z;
                            }
                        } else {
                            pb5.f1320e = false;
                        }
                    }
                }
            }
            i13 = i2 + 1;
            size = i3;
            a4 = rect;
        }
        a2.setEmpty();
        C0608dA dAVar3 = a;
        dAVar3.b(a2);
        a3.setEmpty();
        dAVar3.b(a3);
        a4.setEmpty();
        dAVar3.b(a4);
    }

    public boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z) {
        AbstractC0205Mb mb = ((C0256Pb) view.getLayoutParams()).f1312a;
        if (mb == null || !mb.m(this, view, rect, z)) {
            return super.requestChildRectangleOnScreen(view, rect, z);
        }
        return true;
    }

    public void requestDisallowInterceptTouchEvent(boolean z) {
        super.requestDisallowInterceptTouchEvent(z);
        if (z && !this.f2246b) {
            v(false);
            this.f2246b = true;
        }
    }

    public void s(View view, int i) {
        C0256Pb pb = (C0256Pb) view.getLayoutParams();
        View view2 = pb.f1314a;
        int i2 = 0;
        if (view2 == null && pb.d != -1) {
            throw new IllegalStateException("An anchor may not be changed after CoordinatorLayout measurement begins before layout is complete.");
        } else if (view2 != null) {
            Rect a2 = a();
            Rect a3 = a();
            try {
                g(view2, a2);
                C0256Pb pb2 = (C0256Pb) view.getLayoutParams();
                int measuredWidth = view.getMeasuredWidth();
                int measuredHeight = view.getMeasuredHeight();
                h(i, a2, a3, pb2, measuredWidth, measuredHeight);
                b(pb2, a3, measuredWidth, measuredHeight);
                view.layout(a3.left, a3.top, a3.right, a3.bottom);
            } finally {
                a2.setEmpty();
                C0608dA dAVar = a;
                dAVar.b(a2);
                a3.setEmpty();
                dAVar.b(a3);
            }
        } else {
            int i3 = pb.c;
            if (i3 >= 0) {
                C0256Pb pb3 = (C0256Pb) view.getLayoutParams();
                int i4 = pb3.a;
                if (i4 == 0) {
                    i4 = 8388661;
                }
                int absoluteGravity = Gravity.getAbsoluteGravity(i4, i);
                int i5 = absoluteGravity & 7;
                int i6 = absoluteGravity & 112;
                int width = getWidth();
                int height = getHeight();
                int measuredWidth2 = view.getMeasuredWidth();
                int measuredHeight2 = view.getMeasuredHeight();
                if (i == 1) {
                    i3 = width - i3;
                }
                int i7 = i(i3) - measuredWidth2;
                if (i5 == 1) {
                    i7 += measuredWidth2 / 2;
                } else if (i5 == 5) {
                    i7 += measuredWidth2;
                }
                if (i6 == 16) {
                    i2 = 0 + (measuredHeight2 / 2);
                } else if (i6 == 80) {
                    i2 = measuredHeight2 + 0;
                }
                int max = Math.max(getPaddingLeft() + ((ViewGroup.MarginLayoutParams) pb3).leftMargin, Math.min(i7, ((width - getPaddingRight()) - measuredWidth2) - ((ViewGroup.MarginLayoutParams) pb3).rightMargin));
                int max2 = Math.max(getPaddingTop() + ((ViewGroup.MarginLayoutParams) pb3).topMargin, Math.min(i2, ((height - getPaddingBottom()) - measuredHeight2) - ((ViewGroup.MarginLayoutParams) pb3).bottomMargin));
                view.layout(max, max2, measuredWidth2 + max, measuredHeight2 + max2);
                return;
            }
            C0256Pb pb4 = (C0256Pb) view.getLayoutParams();
            Rect a4 = a();
            a4.set(getPaddingLeft() + ((ViewGroup.MarginLayoutParams) pb4).leftMargin, getPaddingTop() + ((ViewGroup.MarginLayoutParams) pb4).topMargin, (getWidth() - getPaddingRight()) - ((ViewGroup.MarginLayoutParams) pb4).rightMargin, (getHeight() - getPaddingBottom()) - ((ViewGroup.MarginLayoutParams) pb4).bottomMargin);
            if (this.f2242a != null) {
                WeakHashMap weakHashMap = FO.f497a;
                if (C1160nO.b(this) && !C1160nO.b(view)) {
                    a4.left = this.f2242a.d() + a4.left;
                    a4.top = this.f2242a.f() + a4.top;
                    a4.right -= this.f2242a.e();
                    a4.bottom -= this.f2242a.c();
                }
            }
            Rect a5 = a();
            int i8 = pb4.a;
            if ((i8 & 7) == 0) {
                i8 |= 8388611;
            }
            if ((i8 & 112) == 0) {
                i8 |= 48;
            }
            Gravity.apply(i8, view.getMeasuredWidth(), view.getMeasuredHeight(), a4, a5, i);
            view.layout(a5.left, a5.top, a5.right, a5.bottom);
            a4.setEmpty();
            C0608dA dAVar2 = a;
            dAVar2.b(a4);
            a5.setEmpty();
            dAVar2.b(a5);
        }
    }

    public void setFitsSystemWindows(boolean z) {
        super.setFitsSystemWindows(z);
        y();
    }

    public void setOnHierarchyChangeListener(ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener) {
        this.f2240a = onHierarchyChangeListener;
    }

    public void setVisibility(int i) {
        super.setVisibility(i);
        boolean z = i == 0;
        Drawable drawable = this.f2238a;
        if (drawable != null && drawable.isVisible() != z) {
            this.f2238a.setVisible(z, false);
        }
    }

    public void t(View view, int i, int i2, int i3, int i4) {
        measureChildWithMargins(view, i, i2, i3, i4);
    }

    public final boolean u(MotionEvent motionEvent, int i) {
        boolean z;
        int actionMasked = motionEvent.getActionMasked();
        List list = this.f2245b;
        list.clear();
        boolean isChildrenDrawingOrderEnabled = isChildrenDrawingOrderEnabled();
        int childCount = getChildCount();
        for (int i2 = childCount - 1; i2 >= 0; i2--) {
            list.add(getChildAt(isChildrenDrawingOrderEnabled ? getChildDrawingOrder(childCount, i2) : i2));
        }
        Comparator comparator = f2233a;
        if (comparator != null) {
            Collections.sort(list, comparator);
        }
        int size = list.size();
        MotionEvent motionEvent2 = null;
        boolean z2 = false;
        boolean z3 = false;
        for (int i3 = 0; i3 < size; i3++) {
            View view = (View) list.get(i3);
            C0256Pb pb = (C0256Pb) view.getLayoutParams();
            AbstractC0205Mb mb = pb.f1312a;
            if (!(z2 || z3) || actionMasked == 0) {
                if (!z2 && mb != null) {
                    if (i == 0) {
                        z2 = mb.g(this, view, motionEvent);
                    } else if (i == 1) {
                        z2 = mb.r(this, view, motionEvent);
                    }
                    if (z2) {
                        this.f2239a = view;
                    }
                }
                if (pb.f1312a == null) {
                    pb.f1317b = false;
                }
                boolean z4 = pb.f1317b;
                if (z4) {
                    z = true;
                } else {
                    z = z4 | false;
                    pb.f1317b = z;
                }
                z3 = z && !z4;
                if (z && !z3) {
                    break;
                }
            } else if (mb != null) {
                if (motionEvent2 == null) {
                    long uptimeMillis = SystemClock.uptimeMillis();
                    motionEvent2 = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
                }
                if (i == 0) {
                    mb.g(this, view, motionEvent2);
                } else if (i == 1) {
                    mb.r(this, view, motionEvent2);
                }
            }
        }
        list.clear();
        return z2;
    }

    public final void v(boolean z) {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            AbstractC0205Mb mb = ((C0256Pb) childAt.getLayoutParams()).f1312a;
            if (mb != null) {
                long uptimeMillis = SystemClock.uptimeMillis();
                MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
                if (z) {
                    mb.g(this, childAt, obtain);
                } else {
                    mb.r(this, childAt, obtain);
                }
                obtain.recycle();
            }
        }
        for (int i2 = 0; i2 < childCount; i2++) {
            ((C0256Pb) getChildAt(i2).getLayoutParams()).f1317b = false;
        }
        this.f2239a = null;
        this.f2246b = false;
    }

    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f2238a;
    }

    public final void w(View view, int i) {
        C0256Pb pb = (C0256Pb) view.getLayoutParams();
        int i2 = pb.g;
        if (i2 != i) {
            WeakHashMap weakHashMap = FO.f497a;
            view.offsetLeftAndRight(i - i2);
            pb.g = i;
        }
    }

    public final void x(View view, int i) {
        C0256Pb pb = (C0256Pb) view.getLayoutParams();
        int i2 = pb.h;
        if (i2 != i) {
            WeakHashMap weakHashMap = FO.f497a;
            view.offsetTopAndBottom(i - i2);
            pb.h = i;
        }
    }

    public final void y() {
        WeakHashMap weakHashMap = FO.f497a;
        if (C1160nO.b(this)) {
            if (this.f2235a == null) {
                this.f2235a = new C0171Kb(this);
            }
            C1483tO.u(this, this.f2235a);
            setSystemUiVisibility(1280);
            return;
        }
        C1483tO.u(this, null);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof C0256Pb) {
            return new C0256Pb((C0256Pb) layoutParams);
        }
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new C0256Pb((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new C0256Pb(layoutParams);
    }
}
