package androidx.fragment.app;

import android.animation.LayoutTransition;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowInsets;
import android.widget.FrameLayout;
import io.github.nekoinverter.ehviewer.R;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.WeakHashMap;

public final class FragmentContainerView extends FrameLayout {
    public View.OnApplyWindowInsetsListener a;

    /* renamed from: a  reason: collision with other field name */
    public final List f2308a = new ArrayList();
    public final List b = new ArrayList();

    /* renamed from: b  reason: collision with other field name */
    public boolean f2309b = true;

    public FragmentContainerView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, 0);
        String str;
        if (attributeSet != null) {
            String classAttribute = attributeSet.getClassAttribute();
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C1556uq.f4659b, 0, 0);
            if (classAttribute == null) {
                classAttribute = obtainStyledAttributes.getString(0);
                str = "android:name";
            } else {
                str = "class";
            }
            obtainStyledAttributes.recycle();
            if (classAttribute != null && !isInEditMode()) {
                throw new UnsupportedOperationException("FragmentContainerView must be within a FragmentActivity to use " + str + "=\"" + ((Object) classAttribute) + '\"');
            }
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        Object tag = view.getTag(R.id.f85500_resource_name_obfuscated_RES_2131296502);
        if ((tag instanceof ComponentCallbacksC1013km ? (ComponentCallbacksC1013km) tag : null) != null) {
            super.addView(view, i, layoutParams);
            return;
        }
        throw new IllegalStateException(("Views added to a FragmentContainerView must be associated with a Fragment. View " + view + " is not associated with a Fragment.").toString());
    }

    public WindowInsets dispatchApplyWindowInsets(WindowInsets windowInsets) {
        C1755yQ yQVar;
        C1755yQ l = C1755yQ.l(windowInsets, null);
        View.OnApplyWindowInsetsListener onApplyWindowInsetsListener = this.a;
        if (onApplyWindowInsetsListener != null) {
            yQVar = C1755yQ.l(onApplyWindowInsetsListener.onApplyWindowInsets(this, windowInsets), null);
        } else {
            WeakHashMap weakHashMap = FO.f497a;
            WindowInsets j = l.j();
            if (j != null) {
                WindowInsets b2 = C1375rO.b(this, j);
                if (!b2.equals(j)) {
                    l = C1755yQ.l(b2, this);
                }
            }
            yQVar = l;
        }
        if (!yQVar.i()) {
            int i = 0;
            int childCount = getChildCount();
            if (childCount > 0) {
                while (true) {
                    int i2 = i + 1;
                    FO.c(getChildAt(i), yQVar);
                    if (i2 >= childCount) {
                        break;
                    }
                    i = i2;
                }
            }
        }
        return windowInsets;
    }

    public void dispatchDraw(Canvas canvas) {
        if (this.f2309b) {
            for (View view : this.f2308a) {
                super.drawChild(canvas, view, getDrawingTime());
            }
        }
        super.dispatchDraw(canvas);
    }

    public boolean drawChild(Canvas canvas, View view, long j) {
        if (!this.f2309b || !(!this.f2308a.isEmpty()) || !this.f2308a.contains(view)) {
            return super.drawChild(canvas, view, j);
        }
        return false;
    }

    public void endViewTransition(View view) {
        this.b.remove(view);
        if (this.f2308a.remove(view)) {
            this.f2309b = true;
        }
        super.endViewTransition(view);
    }

    public WindowInsets onApplyWindowInsets(WindowInsets windowInsets) {
        return windowInsets;
    }

    public void removeAllViewsInLayout() {
        int childCount = getChildCount() - 1;
        if (childCount >= 0) {
            while (true) {
                int i = childCount - 1;
                View childAt = getChildAt(childCount);
                if (this.b.contains(childAt)) {
                    this.f2308a.add(childAt);
                }
                if (i < 0) {
                    break;
                }
                childCount = i;
            }
        }
        super.removeAllViewsInLayout();
    }

    public void removeView(View view) {
        if (this.b.contains(view)) {
            this.f2308a.add(view);
        }
        super.removeView(view);
    }

    public void removeViewAt(int i) {
        View childAt = getChildAt(i);
        if (this.b.contains(childAt)) {
            this.f2308a.add(childAt);
        }
        super.removeViewAt(i);
    }

    public void removeViewInLayout(View view) {
        if (this.b.contains(view)) {
            this.f2308a.add(view);
        }
        super.removeViewInLayout(view);
    }

    public void removeViews(int i, int i2) {
        int i3 = i + i2;
        if (i < i3) {
            int i4 = i;
            while (true) {
                int i5 = i4 + 1;
                View childAt = getChildAt(i4);
                if (this.b.contains(childAt)) {
                    this.f2308a.add(childAt);
                }
                if (i5 >= i3) {
                    break;
                }
                i4 = i5;
            }
        }
        super.removeViews(i, i2);
    }

    public void removeViewsInLayout(int i, int i2) {
        int i3 = i + i2;
        if (i < i3) {
            int i4 = i;
            while (true) {
                int i5 = i4 + 1;
                View childAt = getChildAt(i4);
                if (this.b.contains(childAt)) {
                    this.f2308a.add(childAt);
                }
                if (i5 >= i3) {
                    break;
                }
                i4 = i5;
            }
        }
        super.removeViewsInLayout(i, i2);
    }

    public void setLayoutTransition(LayoutTransition layoutTransition) {
        throw new UnsupportedOperationException("FragmentContainerView does not support Layout Transitions or animateLayoutChanges=\"true\".");
    }

    public void setOnApplyWindowInsetsListener(View.OnApplyWindowInsetsListener onApplyWindowInsetsListener) {
        this.a = onApplyWindowInsetsListener;
    }

    public void startViewTransition(View view) {
        if (view.getParent() == this) {
            this.b.add(view);
        }
        super.startViewTransition(view);
    }

    public FragmentContainerView(Context context, AttributeSet attributeSet, C0131Hm hm) {
        super(context, attributeSet);
        View view;
        String classAttribute = attributeSet.getClassAttribute();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C1556uq.f4659b, 0, 0);
        classAttribute = classAttribute == null ? obtainStyledAttributes.getString(0) : classAttribute;
        String string = obtainStyledAttributes.getString(1);
        obtainStyledAttributes.recycle();
        int id = getId();
        ComponentCallbacksC1013km J = hm.J(id);
        if (classAttribute != null && J == null) {
            if (id == -1) {
                String E = string != null ? C0033Bq.E(" with tag ", string) : "";
                throw new IllegalStateException("FragmentContainerView must have an android:id to add Fragment " + ((Object) classAttribute) + E);
            }
            C1768ym P = hm.P();
            context.getClassLoader();
            ComponentCallbacksC1013km a2 = P.a(classAttribute);
            a2.t0(context, attributeSet, null);
            X4 x4 = new X4(hm);
            x4.f1775c = true;
            a2.f3893a = this;
            x4.j(getId(), a2, string, 1);
            if (!x4.f1770a) {
                x4.f1773b = false;
                x4.f1766a.F(x4, true);
            } else {
                throw new IllegalStateException("This transaction is already being added to the back stack");
            }
        }
        Iterator it = ((ArrayList) hm.f711a.e()).iterator();
        while (it.hasNext()) {
            a aVar = (a) it.next();
            ComponentCallbacksC1013km kmVar = aVar.f2311a;
            if (kmVar.g == getId() && (view = kmVar.f3892a) != null && view.getParent() == null) {
                kmVar.f3893a = this;
                aVar.b();
            }
        }
    }
}
