package com.google.android.material.button;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.text.TextPaint;
import android.util.AttributeSet;
import android.util.Log;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.Button;
import android.widget.Checkable;
import android.widget.CompoundButton;
import io.github.nekoinverter.ehviewer.R;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.Objects;
import java.util.WeakHashMap;

public class MaterialButton extends P2 implements Checkable, IF {
    public static final int[] a = {16842911};
    public static final int[] b = {16842912};

    /* renamed from: a  reason: collision with other field name */
    public final Xv f2641a;

    /* renamed from: a  reason: collision with other field name */
    public ColorStateList f2642a;

    /* renamed from: a  reason: collision with other field name */
    public PorterDuff.Mode f2643a;

    /* renamed from: a  reason: collision with other field name */
    public Drawable f2644a;

    /* renamed from: a  reason: collision with other field name */
    public final LinkedHashSet f2645a = new LinkedHashSet();

    /* renamed from: a  reason: collision with other field name */
    public C1729y0 f2646a;

    /* renamed from: b  reason: collision with other field name */
    public boolean f2647b;
    public int c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f2648c;
    public int d;
    public int e;
    public int f;
    public int g;

    public MaterialButton(Context context, AttributeSet attributeSet) {
        super(Gu.J(context, attributeSet, R.attr.f59010_resource_name_obfuscated_RES_2130969271, R.style.f112400_resource_name_obfuscated_RES_2131821567), attributeSet, R.attr.f59010_resource_name_obfuscated_RES_2130969271);
        boolean z = false;
        this.f2647b = false;
        this.f2648c = false;
        Context context2 = getContext();
        TypedArray E = C0345Ug.E(context2, attributeSet, C0506bG.s, R.attr.f59010_resource_name_obfuscated_RES_2130969271, R.style.f112400_resource_name_obfuscated_RES_2131821567, new int[0]);
        this.f = E.getDimensionPixelSize(12, 0);
        this.f2643a = C0736fe.x(E.getInt(15, -1), PorterDuff.Mode.SRC_IN);
        this.f2642a = C0067Dq.c(getContext(), E, 14);
        this.f2644a = C0067Dq.e(getContext(), E, 10);
        this.g = E.getInteger(11, 1);
        this.c = E.getDimensionPixelSize(13, 0);
        Xv xv = new Xv(this, C1690xF.b(context2, attributeSet, R.attr.f59010_resource_name_obfuscated_RES_2130969271, R.style.f112400_resource_name_obfuscated_RES_2131821567).a());
        this.f2641a = xv;
        xv.a = E.getDimensionPixelOffset(1, 0);
        xv.b = E.getDimensionPixelOffset(2, 0);
        xv.c = E.getDimensionPixelOffset(3, 0);
        xv.d = E.getDimensionPixelOffset(4, 0);
        if (E.hasValue(8)) {
            int dimensionPixelSize = E.getDimensionPixelSize(8, -1);
            C1690xF xFVar = xv.f1848a;
            float f2 = (float) dimensionPixelSize;
            Objects.requireNonNull(xFVar);
            C1636wF wFVar = new C1636wF(xFVar);
            wFVar.f(f2);
            wFVar.g(f2);
            wFVar.e(f2);
            wFVar.d(f2);
            xv.e(wFVar.a());
        }
        xv.e = E.getDimensionPixelSize(20, 0);
        xv.f1844a = C0736fe.x(E.getInt(7, -1), PorterDuff.Mode.SRC_IN);
        xv.f1843a = C0067Dq.c(getContext(), E, 6);
        xv.f1850b = C0067Dq.c(getContext(), E, 19);
        xv.f1852c = C0067Dq.c(getContext(), E, 16);
        xv.f1853c = E.getBoolean(5, false);
        xv.f = E.getDimensionPixelSize(9, 0);
        WeakHashMap weakHashMap = FO.f497a;
        int f3 = C1214oO.f(this);
        int paddingTop = getPaddingTop();
        int e2 = C1214oO.e(this);
        int paddingBottom = getPaddingBottom();
        if (E.hasValue(0)) {
            xv.f1851b = true;
            o(xv.f1843a);
            p(xv.f1844a);
        } else {
            xv.f();
        }
        C1214oO.k(this, f3 + xv.a, paddingTop + xv.c, e2 + xv.b, paddingBottom + xv.d);
        E.recycle();
        setCompoundDrawablePadding(this.f);
        q(this.f2644a != null ? true : z);
    }

    public ColorStateList d() {
        if (l()) {
            return this.f2641a.f1843a;
        }
        O2 o2 = ((P2) this).a;
        if (o2 != null) {
            return o2.b();
        }
        return null;
    }

    @Override // defpackage.IF
    public void e(C1690xF xFVar) {
        if (l()) {
            this.f2641a.e(xFVar);
            return;
        }
        throw new IllegalStateException("Attempted to set ShapeAppearanceModel on a MaterialButton which has an overwritten background.");
    }

    public PorterDuff.Mode g() {
        if (l()) {
            return this.f2641a.f1844a;
        }
        O2 o2 = ((P2) this).a;
        if (o2 != null) {
            return o2.c();
        }
        return null;
    }

    public ColorStateList getBackgroundTintList() {
        return d();
    }

    public PorterDuff.Mode getBackgroundTintMode() {
        return g();
    }

    public boolean h() {
        Xv xv = this.f2641a;
        return xv != null && xv.f1853c;
    }

    public final boolean i() {
        int i = this.g;
        return i == 3 || i == 4;
    }

    public boolean isChecked() {
        return this.f2647b;
    }

    public final boolean j() {
        int i = this.g;
        return i == 1 || i == 2;
    }

    public final boolean k() {
        int i = this.g;
        return i == 16 || i == 32;
    }

    public final boolean l() {
        Xv xv = this.f2641a;
        return xv != null && !xv.f1851b;
    }

    public final void m() {
        if (j()) {
            setCompoundDrawablesRelative(this.f2644a, null, null, null);
        } else if (i()) {
            setCompoundDrawablesRelative(null, null, this.f2644a, null);
        } else if (k()) {
            setCompoundDrawablesRelative(null, this.f2644a, null, null);
        }
    }

    public void n(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
    }

    public void o(ColorStateList colorStateList) {
        if (l()) {
            Xv xv = this.f2641a;
            if (xv.f1843a != colorStateList) {
                xv.f1843a = colorStateList;
                if (xv.b() != null) {
                    xv.b().setTintList(xv.f1843a);
                    return;
                }
                return;
            }
            return;
        }
        O2 o2 = ((P2) this).a;
        if (o2 != null) {
            o2.h(colorStateList);
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (l()) {
            C1502tq.u(this, this.f2641a.b());
        }
    }

    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 2);
        if (h()) {
            Button.mergeDrawableStates(onCreateDrawableState, a);
        }
        if (isChecked()) {
            Button.mergeDrawableStates(onCreateDrawableState, b);
        }
        return onCreateDrawableState;
    }

    @Override // defpackage.P2
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName((h() ? CompoundButton.class : Button.class).getName());
        accessibilityEvent.setChecked(isChecked());
    }

    @Override // defpackage.P2
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName((h() ? CompoundButton.class : Button.class).getName());
        accessibilityNodeInfo.setCheckable(h());
        accessibilityNodeInfo.setChecked(isChecked());
        accessibilityNodeInfo.setClickable(isClickable());
    }

    @Override // defpackage.P2
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof Wv)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        Wv wv = (Wv) parcelable;
        super.onRestoreInstanceState(wv.f3764a);
        setChecked(wv.b);
    }

    public Parcelable onSaveInstanceState() {
        Wv wv = new Wv(super.onSaveInstanceState());
        wv.b = this.f2647b;
        return wv;
    }

    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        r(i, i2);
    }

    @Override // defpackage.P2
    public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        super.onTextChanged(charSequence, i, i2, i3);
        r(getMeasuredWidth(), getMeasuredHeight());
    }

    public void p(PorterDuff.Mode mode) {
        if (l()) {
            Xv xv = this.f2641a;
            if (xv.f1844a != mode) {
                xv.f1844a = mode;
                if (xv.b() != null && xv.f1844a != null) {
                    xv.b().setTintMode(xv.f1844a);
                    return;
                }
                return;
            }
            return;
        }
        O2 o2 = ((P2) this).a;
        if (o2 != null) {
            o2.i(mode);
        }
    }

    public boolean performClick() {
        toggle();
        return super.performClick();
    }

    public final void q(boolean z) {
        Drawable drawable = this.f2644a;
        boolean z2 = true;
        if (drawable != null) {
            Drawable mutate = drawable.mutate();
            this.f2644a = mutate;
            mutate.setTintList(this.f2642a);
            PorterDuff.Mode mode = this.f2643a;
            if (mode != null) {
                this.f2644a.setTintMode(mode);
            }
            int i = this.c;
            if (i == 0) {
                i = this.f2644a.getIntrinsicWidth();
            }
            int i2 = this.c;
            if (i2 == 0) {
                i2 = this.f2644a.getIntrinsicHeight();
            }
            Drawable drawable2 = this.f2644a;
            int i3 = this.d;
            int i4 = this.e;
            drawable2.setBounds(i3, i4, i + i3, i2 + i4);
            this.f2644a.setVisible(true, z);
        }
        if (z) {
            m();
            return;
        }
        Drawable[] compoundDrawablesRelative = getCompoundDrawablesRelative();
        Drawable drawable3 = compoundDrawablesRelative[0];
        Drawable drawable4 = compoundDrawablesRelative[1];
        Drawable drawable5 = compoundDrawablesRelative[2];
        if ((!j() || drawable3 == this.f2644a) && ((!i() || drawable5 == this.f2644a) && (!k() || drawable4 == this.f2644a))) {
            z2 = false;
        }
        if (z2) {
            m();
        }
    }

    public final void r(int i, int i2) {
        if (this.f2644a != null && getLayout() != null) {
            if (j() || i()) {
                this.e = 0;
                int i3 = this.g;
                boolean z = true;
                if (i3 == 1 || i3 == 3) {
                    this.d = 0;
                    q(false);
                    return;
                }
                int i4 = this.c;
                if (i4 == 0) {
                    i4 = this.f2644a.getIntrinsicWidth();
                }
                TextPaint paint = getPaint();
                String charSequence = getText().toString();
                if (getTransformationMethod() != null) {
                    charSequence = getTransformationMethod().getTransformation(charSequence, this).toString();
                }
                int min = i - Math.min((int) paint.measureText(charSequence), getLayout().getEllipsizedWidth());
                WeakHashMap weakHashMap = FO.f497a;
                int e2 = ((((min - C1214oO.e(this)) - i4) - this.f) - C1214oO.f(this)) / 2;
                boolean z2 = C1214oO.d(this) == 1;
                if (this.g != 4) {
                    z = false;
                }
                if (z2 != z) {
                    e2 = -e2;
                }
                if (this.d != e2) {
                    this.d = e2;
                    q(false);
                }
            } else if (k()) {
                this.d = 0;
                if (this.g == 16) {
                    this.e = 0;
                    q(false);
                    return;
                }
                int i5 = this.c;
                if (i5 == 0) {
                    i5 = this.f2644a.getIntrinsicHeight();
                }
                TextPaint paint2 = getPaint();
                String charSequence2 = getText().toString();
                if (getTransformationMethod() != null) {
                    charSequence2 = getTransformationMethod().getTransformation(charSequence2, this).toString();
                }
                Rect rect = new Rect();
                paint2.getTextBounds(charSequence2, 0, charSequence2.length(), rect);
                int min2 = (((((i2 - Math.min(rect.height(), getLayout().getHeight())) - getPaddingTop()) - i5) - this.f) - getPaddingBottom()) / 2;
                if (this.e != min2) {
                    this.e = min2;
                    q(false);
                }
            }
        }
    }

    public void refreshDrawableState() {
        super.refreshDrawableState();
        if (this.f2644a != null) {
            if (this.f2644a.setState(getDrawableState())) {
                invalidate();
            }
        }
    }

    public void setBackground(Drawable drawable) {
        setBackgroundDrawable(drawable);
    }

    public void setBackgroundColor(int i) {
        if (l()) {
            Xv xv = this.f2641a;
            if (xv.b() != null) {
                xv.b().setTint(i);
                return;
            }
            return;
        }
        super.setBackgroundColor(i);
    }

    @Override // defpackage.P2
    public void setBackgroundDrawable(Drawable drawable) {
        if (!l()) {
            super.setBackgroundDrawable(drawable);
        } else if (drawable != getBackground()) {
            Log.w("MaterialButton", "MaterialButton manages its own background to control elevation, shape, color and states. Consider using backgroundTint, shapeAppearance and other attributes where available. A custom background will ignore these attributes and you should consider handling interaction states such as pressed, focused and disabled");
            Xv xv = this.f2641a;
            xv.f1851b = true;
            xv.f1847a.o(xv.f1843a);
            xv.f1847a.p(xv.f1844a);
            super.setBackgroundDrawable(drawable);
        } else {
            getBackground().setState(drawable.getState());
        }
    }

    @Override // defpackage.P2
    public void setBackgroundResource(int i) {
        setBackgroundDrawable(i != 0 ? LF.d(getContext(), i) : null);
    }

    public void setBackgroundTintList(ColorStateList colorStateList) {
        o(colorStateList);
    }

    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        p(mode);
    }

    public void setChecked(boolean z) {
        if (h() && isEnabled() && this.f2647b != z) {
            this.f2647b = z;
            refreshDrawableState();
            if (!this.f2648c) {
                this.f2648c = true;
                Iterator it = this.f2645a.iterator();
                while (it.hasNext()) {
                    ((Uv) it.next()).a(this, this.f2647b);
                }
                this.f2648c = false;
            }
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        if (l()) {
            C1616vw b2 = this.f2641a.b();
            C1562uw uwVar = b2.f4773a;
            if (uwVar.e != f2) {
                uwVar.e = f2;
                b2.A();
            }
        }
    }

    public void setPressed(boolean z) {
        C1729y0 y0Var = this.f2646a;
        if (y0Var != null) {
            ((MaterialButtonToggleGroup) y0Var.a).invalidate();
        }
        super.setPressed(z);
    }

    public void toggle() {
        setChecked(!this.f2647b);
    }
}
