package com.google.android.material.button;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.LinearLayout;
import io.github.nekoinverter.ehviewer.R;
import java.util.ArrayList;
import java.util.Comparator;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Objects;
import java.util.TreeMap;
import java.util.WeakHashMap;

public class MaterialButtonToggleGroup extends LinearLayout {
    public static final /* synthetic */ int d = 0;
    public final C0485aw a = new C0485aw(this, null);

    /* renamed from: a  reason: collision with other field name */
    public final Comparator f2649a = new Yv(this);

    /* renamed from: a  reason: collision with other field name */
    public final LinkedHashSet f2650a = new LinkedHashSet();

    /* renamed from: a  reason: collision with other field name */
    public final List f2651a = new ArrayList();

    /* renamed from: a  reason: collision with other field name */
    public final C1729y0 f2652a = new C1729y0(this, (Yv) null);

    /* renamed from: a  reason: collision with other field name */
    public Integer[] f2653a;
    public boolean b = false;
    public int c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f2654c;

    /* renamed from: d  reason: collision with other field name */
    public boolean f2655d;

    public MaterialButtonToggleGroup(Context context, AttributeSet attributeSet) {
        super(Gu.J(context, attributeSet, R.attr.f59020_resource_name_obfuscated_RES_2130969272, R.style.f112720_resource_name_obfuscated_RES_2131821599), attributeSet, R.attr.f59020_resource_name_obfuscated_RES_2130969272);
        TypedArray E = C0345Ug.E(getContext(), attributeSet, C0506bG.t, R.attr.f59020_resource_name_obfuscated_RES_2130969272, R.style.f112720_resource_name_obfuscated_RES_2131821599, new int[0]);
        boolean z = E.getBoolean(2, false);
        if (this.f2654c != z) {
            this.f2654c = z;
            this.b = true;
            for (int i = 0; i < getChildCount(); i++) {
                MaterialButton c2 = c(i);
                c2.setChecked(false);
                b(c2.getId(), false);
            }
            this.b = false;
            this.c = -1;
            b(-1, true);
        }
        this.c = E.getResourceId(0, -1);
        this.f2655d = E.getBoolean(1, false);
        setChildrenDrawingOrderEnabled(true);
        E.recycle();
        WeakHashMap weakHashMap = FO.f497a;
        C1160nO.s(this, 1);
    }

    public final void a() {
        LinearLayout.LayoutParams layoutParams;
        int d2 = d();
        if (d2 != -1) {
            for (int i = d2 + 1; i < getChildCount(); i++) {
                MaterialButton c2 = c(i);
                MaterialButton c3 = c(i - 1);
                int min = Math.min(c2.l() ? c2.f2641a.e : 0, c3.l() ? c3.f2641a.e : 0);
                ViewGroup.LayoutParams layoutParams2 = c2.getLayoutParams();
                if (layoutParams2 instanceof LinearLayout.LayoutParams) {
                    layoutParams = (LinearLayout.LayoutParams) layoutParams2;
                } else {
                    layoutParams = new LinearLayout.LayoutParams(layoutParams2.width, layoutParams2.height);
                }
                if (getOrientation() == 0) {
                    layoutParams.setMarginEnd(0);
                    layoutParams.setMarginStart(-min);
                    layoutParams.topMargin = 0;
                } else {
                    layoutParams.bottomMargin = 0;
                    layoutParams.topMargin = -min;
                    layoutParams.setMarginStart(0);
                }
                c2.setLayoutParams(layoutParams);
            }
            if (!(getChildCount() == 0 || d2 == -1)) {
                LinearLayout.LayoutParams layoutParams3 = (LinearLayout.LayoutParams) ((MaterialButton) getChildAt(d2)).getLayoutParams();
                if (getOrientation() == 1) {
                    layoutParams3.topMargin = 0;
                    layoutParams3.bottomMargin = 0;
                    return;
                }
                layoutParams3.setMarginEnd(0);
                layoutParams3.setMarginStart(0);
                layoutParams3.leftMargin = 0;
                layoutParams3.rightMargin = 0;
            }
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        if (!(view instanceof MaterialButton)) {
            Log.e("MaterialButtonToggleGroup", "Child views must be of type MaterialButton.");
            return;
        }
        super.addView(view, i, layoutParams);
        MaterialButton materialButton = (MaterialButton) view;
        if (materialButton.getId() == -1) {
            WeakHashMap weakHashMap = FO.f497a;
            materialButton.setId(C1214oO.a());
        }
        materialButton.setMaxLines(1);
        materialButton.setEllipsize(TextUtils.TruncateAt.END);
        if (materialButton.l()) {
            materialButton.f2641a.f1853c = true;
        }
        materialButton.f2645a.add(this.a);
        materialButton.f2646a = this.f2652a;
        if (materialButton.l()) {
            Xv xv = materialButton.f2641a;
            xv.f1849a = true;
            C1616vw b2 = xv.b();
            C1616vw d2 = xv.d();
            if (b2 != null) {
                b2.w((float) xv.e, xv.f1850b);
                if (d2 != null) {
                    d2.v((float) xv.e, xv.f1849a ? C0033Bq.p(xv.f1847a, R.attr.f54570_resource_name_obfuscated_RES_2130968827) : 0);
                }
            }
        }
        if (materialButton.isChecked()) {
            g(materialButton.getId(), true);
            int id = materialButton.getId();
            this.c = id;
            b(id, true);
        }
        if (materialButton.l()) {
            C1690xF xFVar = materialButton.f2641a.f1848a;
            this.f2651a.add(new C0539bw(xFVar.f4874a, xFVar.f4880d, xFVar.f4876b, xFVar.f4878c));
            FO.o(materialButton, new Zv(this, 0));
            return;
        }
        throw new IllegalStateException("Attempted to get ShapeAppearanceModel from a MaterialButton which has an overwritten background.");
    }

    public final void b(int i, boolean z) {
        Iterator it = this.f2650a.iterator();
        while (it.hasNext()) {
            ((AbstractC0593cw) it.next()).a(this, i, z);
        }
    }

    public final MaterialButton c(int i) {
        return (MaterialButton) getChildAt(i);
    }

    public final int d() {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            if (e(i)) {
                return i;
            }
        }
        return -1;
    }

    public void dispatchDraw(Canvas canvas) {
        TreeMap treeMap = new TreeMap(this.f2649a);
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            treeMap.put(c(i), Integer.valueOf(i));
        }
        this.f2653a = (Integer[]) treeMap.values().toArray(new Integer[0]);
        super.dispatchDraw(canvas);
    }

    public final boolean e(int i) {
        return getChildAt(i).getVisibility() != 8;
    }

    public final void f(int i, boolean z) {
        View findViewById = findViewById(i);
        if (findViewById instanceof MaterialButton) {
            this.b = true;
            ((MaterialButton) findViewById).setChecked(z);
            this.b = false;
        }
    }

    public final boolean g(int i, boolean z) {
        ArrayList arrayList = new ArrayList();
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            MaterialButton c2 = c(i2);
            if (c2.isChecked()) {
                arrayList.add(Integer.valueOf(c2.getId()));
            }
        }
        if (!this.f2655d || !arrayList.isEmpty()) {
            if (z && this.f2654c) {
                arrayList.remove(Integer.valueOf(i));
                Iterator it = arrayList.iterator();
                while (it.hasNext()) {
                    int intValue = ((Integer) it.next()).intValue();
                    f(intValue, false);
                    b(intValue, false);
                }
            }
            return true;
        }
        f(i, true);
        this.c = i;
        return false;
    }

    public CharSequence getAccessibilityClassName() {
        return MaterialButtonToggleGroup.class.getName();
    }

    public int getChildDrawingOrder(int i, int i2) {
        Integer[] numArr = this.f2653a;
        if (numArr != null && i2 < numArr.length) {
            return numArr[i2].intValue();
        }
        Log.w("MaterialButtonToggleGroup", "Child order wasn't updated");
        return i2;
    }

    public void h() {
        C0539bw bwVar;
        int childCount = getChildCount();
        int d2 = d();
        int i = -1;
        int childCount2 = getChildCount() - 1;
        while (true) {
            if (childCount2 < 0) {
                break;
            } else if (e(childCount2)) {
                i = childCount2;
                break;
            } else {
                childCount2--;
            }
        }
        for (int i2 = 0; i2 < childCount; i2++) {
            MaterialButton c2 = c(i2);
            if (c2.getVisibility() != 8) {
                if (c2.l()) {
                    C1690xF xFVar = c2.f2641a.f1848a;
                    Objects.requireNonNull(xFVar);
                    C1636wF wFVar = new C1636wF(xFVar);
                    C0539bw bwVar2 = (C0539bw) this.f2651a.get(i2);
                    if (d2 != i) {
                        boolean z = getOrientation() == 0;
                        if (i2 == d2) {
                            if (!z) {
                                AbstractC0356Vb vb = bwVar2.a;
                                AbstractC0356Vb vb2 = C0539bw.e;
                                bwVar = new C0539bw(vb, vb2, bwVar2.b, vb2);
                            } else if (C0736fe.v(this)) {
                                AbstractC0356Vb vb3 = C0539bw.e;
                                bwVar = new C0539bw(vb3, vb3, bwVar2.b, bwVar2.c);
                            } else {
                                AbstractC0356Vb vb4 = bwVar2.a;
                                AbstractC0356Vb vb5 = bwVar2.d;
                                AbstractC0356Vb vb6 = C0539bw.e;
                                bwVar = new C0539bw(vb4, vb5, vb6, vb6);
                            }
                        } else if (i2 != i) {
                            bwVar2 = null;
                        } else if (!z) {
                            AbstractC0356Vb vb7 = C0539bw.e;
                            bwVar = new C0539bw(vb7, bwVar2.d, vb7, bwVar2.c);
                        } else if (C0736fe.v(this)) {
                            AbstractC0356Vb vb8 = bwVar2.a;
                            AbstractC0356Vb vb9 = bwVar2.d;
                            AbstractC0356Vb vb10 = C0539bw.e;
                            bwVar = new C0539bw(vb8, vb9, vb10, vb10);
                        } else {
                            AbstractC0356Vb vb11 = C0539bw.e;
                            bwVar = new C0539bw(vb11, vb11, bwVar2.b, bwVar2.c);
                        }
                        bwVar2 = bwVar;
                    }
                    if (bwVar2 == null) {
                        wFVar.c(0.0f);
                    } else {
                        wFVar.f4825a = bwVar2.a;
                        wFVar.f4831d = bwVar2.d;
                        wFVar.f4827b = bwVar2.b;
                        wFVar.f4829c = bwVar2.c;
                    }
                    c2.e(wFVar.a());
                } else {
                    throw new IllegalStateException("Attempted to get ShapeAppearanceModel from a MaterialButton which has an overwritten background.");
                }
            }
        }
    }

    public void onFinishInflate() {
        MaterialButton materialButton;
        super.onFinishInflate();
        int i = this.c;
        if (i != -1 && (materialButton = (MaterialButton) findViewById(i)) != null) {
            materialButton.setChecked(true);
        }
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        int i = 0;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            if ((getChildAt(i2) instanceof MaterialButton) && e(i2)) {
                i++;
            }
        }
        accessibilityNodeInfo.setCollectionInfo((AccessibilityNodeInfo.CollectionInfo) O.a(1, i, false, this.f2654c ? 1 : 2).a);
    }

    public void onMeasure(int i, int i2) {
        h();
        a();
        super.onMeasure(i, i2);
    }

    public void onViewRemoved(View view) {
        super.onViewRemoved(view);
        if (view instanceof MaterialButton) {
            MaterialButton materialButton = (MaterialButton) view;
            materialButton.f2645a.remove(this.a);
            materialButton.f2646a = null;
        }
        int indexOfChild = indexOfChild(view);
        if (indexOfChild >= 0) {
            this.f2651a.remove(indexOfChild);
        }
        h();
        a();
    }
}
