package com.google.android.material.chip;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.PointerIcon;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.TextView;
import androidx.appcompat.widget.AppCompatCheckBox;
import io.github.nekoinverter.ehviewer.R;
import java.lang.ref.WeakReference;
import java.util.Objects;
import java.util.WeakHashMap;

public class Chip extends AppCompatCheckBox implements N8, IF {
    public static final int[] a = {16842913};
    public static final Rect b = new Rect();

    /* renamed from: b  reason: collision with other field name */
    public static final int[] f2657b = {16842911};

    /* renamed from: a  reason: collision with other field name */
    public O8 f2658a;

    /* renamed from: a  reason: collision with other field name */
    public final Ou f2659a = new K8(this);

    /* renamed from: a  reason: collision with other field name */
    public final Rect f2660a = new Rect();

    /* renamed from: a  reason: collision with other field name */
    public final RectF f2661a = new RectF();

    /* renamed from: a  reason: collision with other field name */
    public InsetDrawable f2662a;

    /* renamed from: a  reason: collision with other field name */
    public RippleDrawable f2663a;

    /* renamed from: a  reason: collision with other field name */
    public CompoundButton.OnCheckedChangeListener f2664a;

    /* renamed from: b  reason: collision with other field name */
    public boolean f2665b;
    public int c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f2666c;
    public int d;

    /* renamed from: d  reason: collision with other field name */
    public boolean f2667d;
    public boolean e;
    public boolean f;

    public Chip(Context context, AttributeSet attributeSet) {
        super(Gu.J(context, attributeSet, R.attr.f53900_resource_name_obfuscated_RES_2130968760, R.style.f112540_resource_name_obfuscated_RES_2131821581), attributeSet, R.attr.f53900_resource_name_obfuscated_RES_2130968760);
        ColorStateList c2;
        int resourceId;
        Context context2 = getContext();
        if (attributeSet != null) {
            if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "background") != null) {
                Log.w("Chip", "Do not set the background; Chip manages its own background drawable.");
            }
            if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "drawableLeft") != null) {
                throw new UnsupportedOperationException("Please set left drawable using R.attr#chipIcon.");
            } else if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "drawableStart") != null) {
                throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
            } else if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "drawableEnd") != null) {
                throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
            } else if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "drawableRight") != null) {
                throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
            } else if (!attributeSet.getAttributeBooleanValue("http://schemas.android.com/apk/res/android", "singleLine", true) || attributeSet.getAttributeIntValue("http://schemas.android.com/apk/res/android", "lines", 1) != 1 || attributeSet.getAttributeIntValue("http://schemas.android.com/apk/res/android", "minLines", 1) != 1 || attributeSet.getAttributeIntValue("http://schemas.android.com/apk/res/android", "maxLines", 1) != 1) {
                throw new UnsupportedOperationException("Chip does not support multi-line text");
            } else if (attributeSet.getAttributeIntValue("http://schemas.android.com/apk/res/android", "gravity", 8388627) != 8388627) {
                Log.w("Chip", "Chip text must be vertically center and start aligned");
            }
        }
        O8 o8 = new O8(context2, attributeSet, R.attr.f53900_resource_name_obfuscated_RES_2130968760, R.style.f112540_resource_name_obfuscated_RES_2131821581);
        Context context3 = o8.f1203a;
        int[] iArr = C0506bG.g;
        TypedArray E = C0345Ug.E(context3, attributeSet, iArr, R.attr.f53900_resource_name_obfuscated_RES_2130968760, R.style.f112540_resource_name_obfuscated_RES_2131821581, new int[0]);
        o8.f1247l = E.hasValue(37);
        ColorStateList c3 = C0067Dq.c(o8.f1203a, E, 24);
        if (o8.f1204a != c3) {
            o8.f1204a = c3;
            o8.onStateChange(o8.getState());
        }
        ColorStateList c4 = C0067Dq.c(o8.f1203a, E, 11);
        if (o8.f1215b != c4) {
            o8.f1215b = c4;
            o8.onStateChange(o8.getState());
        }
        float dimension = E.getDimension(19, 0.0f);
        if (o8.f1201a != dimension) {
            o8.f1201a = dimension;
            o8.invalidateSelf();
            o8.K();
        }
        if (E.hasValue(12)) {
            float dimension2 = E.getDimension(12, 0.0f);
            if (o8.f1214b != dimension2) {
                o8.f1214b = dimension2;
                C1690xF xFVar = ((C1616vw) o8).f4773a.f4694a;
                Objects.requireNonNull(xFVar);
                C1636wF wFVar = new C1636wF(xFVar);
                wFVar.f(dimension2);
                wFVar.g(dimension2);
                wFVar.e(dimension2);
                wFVar.d(dimension2);
                ((C1616vw) o8).f4773a.f4694a = wFVar.a();
                o8.invalidateSelf();
            }
        }
        ColorStateList c5 = C0067Dq.c(o8.f1203a, E, 22);
        if (o8.f1217c != c5) {
            o8.f1217c = c5;
            if (o8.f1247l) {
                o8.x(c5);
            }
            o8.onStateChange(o8.getState());
        }
        float dimension3 = E.getDimension(23, 0.0f);
        if (o8.c != dimension3) {
            o8.c = dimension3;
            o8.f1223d.setStrokeWidth(dimension3);
            if (o8.f1247l) {
                ((C1616vw) o8).f4773a.c = dimension3;
                o8.invalidateSelf();
            }
            o8.invalidateSelf();
        }
        ColorStateList c6 = C0067Dq.c(o8.f1203a, E, 36);
        if (o8.f1222d != c6) {
            o8.f1222d = c6;
            o8.f1240i = o8.f1243j ? C1580vD.b(c6) : null;
            o8.onStateChange(o8.getState());
        }
        o8.Q(E.getText(5));
        DJ dj = (!E.hasValue(0) || (resourceId = E.getResourceId(0, 0)) == 0) ? null : new DJ(o8.f1203a, resourceId);
        dj.e = E.getDimension(1, dj.e);
        o8.R(dj);
        int i = E.getInt(3, 0);
        if (i == 1) {
            o8.f1210a = TextUtils.TruncateAt.START;
        } else if (i == 2) {
            o8.f1210a = TextUtils.TruncateAt.MIDDLE;
        } else if (i == 3) {
            o8.f1210a = TextUtils.TruncateAt.END;
        }
        o8.N(E.getBoolean(18, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "chipIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "chipIconVisible") != null)) {
            o8.N(E.getBoolean(15, false));
        }
        Drawable e2 = C0067Dq.e(o8.f1203a, E, 14);
        Drawable drawable = o8.f1209a;
        Drawable y = drawable != null ? LF.y(drawable) : null;
        if (y != e2) {
            float D = o8.D();
            o8.f1209a = e2 != null ? e2.mutate() : null;
            float D2 = o8.D();
            o8.W(y);
            if (o8.U()) {
                o8.B(o8.f1209a);
            }
            o8.invalidateSelf();
            if (D != D2) {
                o8.K();
            }
        }
        if (E.hasValue(17)) {
            ColorStateList c7 = C0067Dq.c(o8.f1203a, E, 17);
            o8.f1229e = true;
            if (o8.f1228e != c7) {
                o8.f1228e = c7;
                if (o8.U()) {
                    o8.f1209a.setTintList(c7);
                }
                o8.onStateChange(o8.getState());
            }
        }
        float dimension4 = E.getDimension(16, -1.0f);
        if (o8.d != dimension4) {
            float D3 = o8.D();
            o8.d = dimension4;
            float D4 = o8.D();
            o8.invalidateSelf();
            if (D3 != D4) {
                o8.K();
            }
        }
        o8.P(E.getBoolean(31, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "closeIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "closeIconVisible") != null)) {
            o8.P(E.getBoolean(26, false));
        }
        Drawable e3 = C0067Dq.e(o8.f1203a, E, 25);
        Drawable drawable2 = o8.f1216b;
        Drawable y2 = drawable2 != null ? LF.y(drawable2) : null;
        if (y2 != e3) {
            float F = o8.F();
            o8.f1216b = e3 != null ? e3.mutate() : null;
            int[] iArr2 = C1580vD.f4716a;
            o8.f1220c = new RippleDrawable(C1580vD.b(o8.f1222d), o8.f1216b, O8.a);
            float F2 = o8.F();
            o8.W(y2);
            if (o8.V()) {
                o8.B(o8.f1216b);
            }
            o8.invalidateSelf();
            if (F != F2) {
                o8.K();
            }
        }
        ColorStateList c8 = C0067Dq.c(o8.f1203a, E, 30);
        if (o8.f1231f != c8) {
            o8.f1231f = c8;
            if (o8.V()) {
                o8.f1216b.setTintList(c8);
            }
            o8.onStateChange(o8.getState());
        }
        float dimension5 = E.getDimension(28, 0.0f);
        if (o8.e != dimension5) {
            o8.e = dimension5;
            o8.invalidateSelf();
            if (o8.V()) {
                o8.K();
            }
        }
        boolean z = E.getBoolean(6, false);
        if (o8.f1235g != z) {
            o8.f1235g = z;
            float D5 = o8.D();
            if (!z && o8.f1241i) {
                o8.f1241i = false;
            }
            float D6 = o8.D();
            o8.invalidateSelf();
            if (D5 != D6) {
                o8.K();
            }
        }
        o8.M(E.getBoolean(10, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "checkedIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "checkedIconVisible") != null)) {
            o8.M(E.getBoolean(8, false));
        }
        Drawable e4 = C0067Dq.e(o8.f1203a, E, 7);
        if (o8.f1225d != e4) {
            float D7 = o8.D();
            o8.f1225d = e4;
            float D8 = o8.D();
            o8.W(o8.f1225d);
            o8.B(o8.f1225d);
            o8.invalidateSelf();
            if (D7 != D8) {
                o8.K();
            }
        }
        if (E.hasValue(9) && o8.f1234g != (c2 = C0067Dq.c(o8.f1203a, E, 9))) {
            o8.f1234g = c2;
            if (o8.f1238h && o8.f1225d != null && o8.f1235g) {
                o8.f1225d.setTintList(c2);
            }
            o8.onStateChange(o8.getState());
        }
        C0970jx.a(o8.f1203a, E, 39);
        C0970jx.a(o8.f1203a, E, 33);
        float dimension6 = E.getDimension(21, 0.0f);
        if (o8.f != dimension6) {
            o8.f = dimension6;
            o8.invalidateSelf();
            o8.K();
        }
        float dimension7 = E.getDimension(35, 0.0f);
        if (o8.g != dimension7) {
            float D9 = o8.D();
            o8.g = dimension7;
            float D10 = o8.D();
            o8.invalidateSelf();
            if (D9 != D10) {
                o8.K();
            }
        }
        float dimension8 = E.getDimension(34, 0.0f);
        if (o8.h != dimension8) {
            float D11 = o8.D();
            o8.h = dimension8;
            float D12 = o8.D();
            o8.invalidateSelf();
            if (D11 != D12) {
                o8.K();
            }
        }
        float dimension9 = E.getDimension(41, 0.0f);
        if (o8.i != dimension9) {
            o8.i = dimension9;
            o8.invalidateSelf();
            o8.K();
        }
        float dimension10 = E.getDimension(40, 0.0f);
        if (o8.j != dimension10) {
            o8.j = dimension10;
            o8.invalidateSelf();
            o8.K();
        }
        float dimension11 = E.getDimension(29, 0.0f);
        if (o8.k != dimension11) {
            o8.k = dimension11;
            o8.invalidateSelf();
            if (o8.V()) {
                o8.K();
            }
        }
        float dimension12 = E.getDimension(27, 0.0f);
        if (o8.l != dimension12) {
            o8.l = dimension12;
            o8.invalidateSelf();
            if (o8.V()) {
                o8.K();
            }
        }
        float dimension13 = E.getDimension(13, 0.0f);
        if (o8.m != dimension13) {
            o8.m = dimension13;
            o8.invalidateSelf();
            o8.K();
        }
        o8.f1246l = E.getDimensionPixelSize(4, Integer.MAX_VALUE);
        E.recycle();
        C0345Ug.f(context2, attributeSet, R.attr.f53900_resource_name_obfuscated_RES_2130968760, R.style.f112540_resource_name_obfuscated_RES_2131821581);
        C0345Ug.g(context2, attributeSet, iArr, R.attr.f53900_resource_name_obfuscated_RES_2130968760, R.style.f112540_resource_name_obfuscated_RES_2131821581, new int[0]);
        TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(attributeSet, iArr, R.attr.f53900_resource_name_obfuscated_RES_2130968760, R.style.f112540_resource_name_obfuscated_RES_2131821581);
        this.f = obtainStyledAttributes.getBoolean(32, false);
        this.d = (int) Math.ceil((double) obtainStyledAttributes.getDimension(20, (float) Math.ceil((double) C0736fe.j(getContext(), 48))));
        obtainStyledAttributes.recycle();
        O8 o82 = this.f2658a;
        if (o82 != o8) {
            if (o82 != null) {
                o82.f1212a = new WeakReference(null);
            }
            this.f2658a = o8;
            o8.f1245k = false;
            o8.f1212a = new WeakReference(this);
            c(this.d);
        }
        o8.r(C1483tO.i(this));
        C0345Ug.f(context2, attributeSet, R.attr.f53900_resource_name_obfuscated_RES_2130968760, R.style.f112540_resource_name_obfuscated_RES_2131821581);
        C0345Ug.g(context2, attributeSet, iArr, R.attr.f53900_resource_name_obfuscated_RES_2130968760, R.style.f112540_resource_name_obfuscated_RES_2131821581, new int[0]);
        TypedArray obtainStyledAttributes2 = context2.obtainStyledAttributes(attributeSet, iArr, R.attr.f53900_resource_name_obfuscated_RES_2130968760, R.style.f112540_resource_name_obfuscated_RES_2131821581);
        boolean hasValue = obtainStyledAttributes2.hasValue(37);
        obtainStyledAttributes2.recycle();
        new M8(this, this);
        h();
        FO.o(this, null);
        if (!hasValue) {
            setOutlineProvider(new L8(this));
        }
        setChecked(this.f2665b);
        setText(o8.f1211a);
        setEllipsize(o8.f1210a);
        n();
        if (!this.f2658a.f1245k) {
            setLines(1);
            setHorizontallyScrolling(true);
        }
        setGravity(8388627);
        m();
        if (this.f) {
            setMinHeight(this.d);
        }
        this.c = C1214oO.d(this);
    }

    @Override // defpackage.N8
    public void a() {
        c(this.d);
        requestLayout();
        invalidateOutline();
    }

    public boolean c(int i) {
        this.d = i;
        int i2 = 0;
        if (!this.f) {
            if (this.f2662a != null) {
                j();
            } else {
                l();
            }
            return false;
        }
        int max = Math.max(0, i - ((int) this.f2658a.f1201a));
        int max2 = Math.max(0, i - this.f2658a.getIntrinsicWidth());
        if (max2 > 0 || max > 0) {
            int i3 = max2 > 0 ? max2 / 2 : 0;
            if (max > 0) {
                i2 = max / 2;
            }
            if (this.f2662a != null) {
                Rect rect = new Rect();
                this.f2662a.getPadding(rect);
                if (rect.top == i2 && rect.bottom == i2 && rect.left == i3 && rect.right == i3) {
                    l();
                    return true;
                }
            }
            if (getMinHeight() != i) {
                setMinHeight(i);
            }
            if (getMinWidth() != i) {
                setMinWidth(i);
            }
            this.f2662a = new InsetDrawable((Drawable) this.f2658a, i3, i2, i3, i2);
            l();
            return true;
        }
        if (this.f2662a != null) {
            j();
        } else {
            l();
        }
        return false;
    }

    public Drawable d() {
        InsetDrawable insetDrawable = this.f2662a;
        return insetDrawable == null ? this.f2658a : insetDrawable;
    }

    public boolean dispatchHoverEvent(MotionEvent motionEvent) {
        return super.dispatchHoverEvent(motionEvent);
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent);
    }

    /* JADX WARN: Type inference failed for: r2v0, types: [boolean, int] */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // androidx.appcompat.widget.AppCompatCheckBox
    public void drawableStateChanged() {
        super.drawableStateChanged();
        O8 o8 = this.f2658a;
        boolean z = false;
        int i = 0;
        z = false;
        if (o8 != null && O8.J(o8.f1216b)) {
            O8 o82 = this.f2658a;
            ?? isEnabled = isEnabled();
            int i2 = isEnabled;
            if (this.e) {
                i2 = isEnabled + 1;
            }
            int i3 = i2;
            if (this.f2667d) {
                i3 = i2 + 1;
            }
            int i4 = i3;
            if (this.f2666c) {
                i4 = i3 + 1;
            }
            int i5 = i4;
            if (isChecked()) {
                i5 = i4 + 1;
            }
            int[] iArr = new int[i5];
            if (isEnabled()) {
                iArr[0] = 16842910;
                i = 1;
            }
            if (this.e) {
                iArr[i] = 16842908;
                i++;
            }
            if (this.f2667d) {
                iArr[i] = 16843623;
                i++;
            }
            if (this.f2666c) {
                iArr[i] = 16842919;
                i++;
            }
            if (isChecked()) {
                iArr[i] = 16842913;
            }
            z = o82.O(iArr);
        }
        if (z) {
            invalidate();
        }
    }

    @Override // defpackage.IF
    public void e(C1690xF xFVar) {
        O8 o8 = this.f2658a;
        ((C1616vw) o8).f4773a.f4694a = xFVar;
        o8.invalidateSelf();
    }

    public final RectF f() {
        this.f2661a.setEmpty();
        h();
        return this.f2661a;
    }

    public final Rect g() {
        RectF f2 = f();
        this.f2660a.set((int) f2.left, (int) f2.top, (int) f2.right, (int) f2.bottom);
        return this.f2660a;
    }

    public CharSequence getAccessibilityClassName() {
        if (!i()) {
            return isClickable() ? "android.widget.Button" : "android.view.View";
        }
        ViewParent parent = getParent();
        return (!(parent instanceof ChipGroup) || !((ChipGroup) parent).c) ? "android.widget.CompoundButton" : "android.widget.RadioButton";
    }

    public TextUtils.TruncateAt getEllipsize() {
        O8 o8 = this.f2658a;
        if (o8 != null) {
            return o8.f1210a;
        }
        return null;
    }

    public void getFocusedRect(Rect rect) {
        super.getFocusedRect(rect);
    }

    public final boolean h() {
        O8 o8 = this.f2658a;
        if (o8 != null) {
            Drawable drawable = o8.f1216b;
            if ((drawable != null ? LF.y(drawable) : null) != null) {
                return true;
            }
        }
        return false;
    }

    public boolean i() {
        O8 o8 = this.f2658a;
        return o8 != null && o8.f1235g;
    }

    public final void j() {
        if (this.f2662a != null) {
            this.f2662a = null;
            setMinWidth(0);
            O8 o8 = this.f2658a;
            setMinHeight((int) (o8 != null ? o8.f1201a : 0.0f));
            l();
        }
    }

    public final void k(boolean z) {
        if (this.f2666c != z) {
            this.f2666c = z;
            refreshDrawableState();
        }
    }

    public final void l() {
        int[] iArr = C1580vD.f4716a;
        this.f2663a = new RippleDrawable(C1580vD.b(this.f2658a.f1222d), d(), null);
        this.f2658a.S(false);
        RippleDrawable rippleDrawable = this.f2663a;
        WeakHashMap weakHashMap = FO.f497a;
        C1160nO.q(this, rippleDrawable);
        m();
    }

    public final void m() {
        O8 o8;
        if (!TextUtils.isEmpty(getText()) && (o8 = this.f2658a) != null) {
            int F = (int) (o8.F() + o8.m + o8.j);
            O8 o82 = this.f2658a;
            int D = (int) (o82.D() + o82.f + o82.i);
            if (this.f2662a != null) {
                Rect rect = new Rect();
                this.f2662a.getPadding(rect);
                D += rect.left;
                F += rect.right;
            }
            int paddingTop = getPaddingTop();
            int paddingBottom = getPaddingBottom();
            WeakHashMap weakHashMap = FO.f497a;
            C1214oO.k(this, D, paddingTop, F, paddingBottom);
        }
    }

    public final void n() {
        TextPaint paint = getPaint();
        O8 o8 = this.f2658a;
        if (o8 != null) {
            paint.drawableState = o8.getState();
        }
        O8 o82 = this.f2658a;
        DJ dj = o82 != null ? o82.f1202a.f1077a : null;
        if (dj != null) {
            dj.e(getContext(), paint, this.f2659a);
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        C1502tq.u(this, this.f2658a);
    }

    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 2);
        if (isChecked()) {
            CheckBox.mergeDrawableStates(onCreateDrawableState, a);
        }
        if (i()) {
            CheckBox.mergeDrawableStates(onCreateDrawableState, f2657b);
        }
        return onCreateDrawableState;
    }

    public void onFocusChanged(boolean z, int i, Rect rect) {
        super.onFocusChanged(z, i, rect);
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 7) {
            boolean contains = f().contains(motionEvent.getX(), motionEvent.getY());
            if (this.f2667d != contains) {
                this.f2667d = contains;
                refreshDrawableState();
            }
        } else if (actionMasked == 10 && this.f2667d) {
            this.f2667d = false;
            refreshDrawableState();
        }
        return super.onHoverEvent(motionEvent);
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        int i;
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName(getAccessibilityClassName());
        accessibilityNodeInfo.setCheckable(i());
        accessibilityNodeInfo.setClickable(isClickable());
        if (getParent() instanceof ChipGroup) {
            ChipGroup chipGroup = (ChipGroup) getParent();
            int i2 = -1;
            if (chipGroup.b) {
                int i3 = 0;
                int i4 = 0;
                while (true) {
                    if (i3 >= chipGroup.getChildCount()) {
                        i4 = -1;
                        break;
                    }
                    if (chipGroup.getChildAt(i3) instanceof Chip) {
                        if (((Chip) chipGroup.getChildAt(i3)) == this) {
                            break;
                        }
                        i4++;
                    }
                    i3++;
                }
                i = i4;
            } else {
                i = -1;
            }
            Object tag = getTag(R.id.f87810_resource_name_obfuscated_RES_2131296733);
            if (tag instanceof Integer) {
                i2 = ((Integer) tag).intValue();
            }
            accessibilityNodeInfo.setCollectionItemInfo((AccessibilityNodeInfo.CollectionItemInfo) P.a(i2, 1, i, 1, false, isChecked()).a);
        }
    }

    @TargetApi(24)
    public PointerIcon onResolvePointerIcon(MotionEvent motionEvent, int i) {
        if (!f().contains(motionEvent.getX(), motionEvent.getY()) || !isEnabled()) {
            return null;
        }
        return PointerIcon.getSystemIcon(getContext(), 1002);
    }

    @TargetApi(17)
    public void onRtlPropertiesChanged(int i) {
        super.onRtlPropertiesChanged(i);
        if (this.c != i) {
            this.c = i;
            m();
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:6:0x001e, code lost:
        if (r0 != 3) goto L_0x0040;
     */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0043  */
    @SuppressLint({"ClickableViewAccessibility"})
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z;
        int actionMasked = motionEvent.getActionMasked();
        boolean contains = f().contains(motionEvent.getX(), motionEvent.getY());
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    if (this.f2666c) {
                        if (!contains) {
                            k(false);
                        }
                    }
                }
                z = false;
                return !z || super.onTouchEvent(motionEvent);
            } else if (this.f2666c) {
                playSoundEffect(0);
                z = true;
                k(false);
                if (!z) {
                }
            }
            z = false;
            k(false);
            if (!z) {
            }
        }
        if (contains) {
            k(true);
        }
        z = false;
        if (!z) {
        }
        z = true;
        if (!z) {
        }
    }

    public void setBackground(Drawable drawable) {
        if (drawable == d() || drawable == this.f2663a) {
            super.setBackground(drawable);
        } else {
            Log.w("Chip", "Do not set the background; Chip manages its own background drawable.");
        }
    }

    public void setBackgroundColor(int i) {
        Log.w("Chip", "Do not set the background color; Chip manages its own background drawable.");
    }

    @Override // androidx.appcompat.widget.AppCompatCheckBox
    public void setBackgroundDrawable(Drawable drawable) {
        if (drawable == d() || drawable == this.f2663a) {
            super.setBackgroundDrawable(drawable);
        } else {
            Log.w("Chip", "Do not set the background drawable; Chip manages its own background drawable.");
        }
    }

    @Override // androidx.appcompat.widget.AppCompatCheckBox
    public void setBackgroundResource(int i) {
        Log.w("Chip", "Do not set the background resource; Chip manages its own background drawable.");
    }

    public void setBackgroundTintList(ColorStateList colorStateList) {
        Log.w("Chip", "Do not set the background tint list; Chip manages its own background drawable.");
    }

    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        Log.w("Chip", "Do not set the background tint mode; Chip manages its own background drawable.");
    }

    public void setChecked(boolean z) {
        CompoundButton.OnCheckedChangeListener onCheckedChangeListener;
        O8 o8 = this.f2658a;
        if (o8 == null) {
            this.f2665b = z;
        } else if (o8.f1235g) {
            boolean isChecked = isChecked();
            super.setChecked(z);
            if (isChecked != z && (onCheckedChangeListener = this.f2664a) != null) {
                onCheckedChangeListener.onCheckedChanged(this, z);
            }
        }
    }

    public void setCompoundDrawables(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawables(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    public void setCompoundDrawablesRelative(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesRelative(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(int i, int i2, int i3, int i4) {
        if (i != 0) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (i3 == 0) {
            super.setCompoundDrawablesRelativeWithIntrinsicBounds(i, i2, i3, i4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(int i, int i2, int i3, int i4) {
        if (i != 0) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (i3 == 0) {
            super.setCompoundDrawablesWithIntrinsicBounds(i, i2, i3, i4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        O8 o8 = this.f2658a;
        if (o8 != null) {
            C1562uw uwVar = ((C1616vw) o8).f4773a;
            if (uwVar.e != f2) {
                uwVar.e = f2;
                o8.A();
            }
        }
    }

    public void setEllipsize(TextUtils.TruncateAt truncateAt) {
        if (this.f2658a != null) {
            if (truncateAt != TextUtils.TruncateAt.MARQUEE) {
                super.setEllipsize(truncateAt);
                O8 o8 = this.f2658a;
                if (o8 != null) {
                    o8.f1210a = truncateAt;
                    return;
                }
                return;
            }
            throw new UnsupportedOperationException("Text within a chip are not allowed to scroll.");
        }
    }

    public void setGravity(int i) {
        if (i != 8388627) {
            Log.w("Chip", "Chip text must be vertically center and start aligned");
        } else {
            super.setGravity(i);
        }
    }

    public void setLayoutDirection(int i) {
        if (this.f2658a != null) {
            super.setLayoutDirection(i);
        }
    }

    public void setLines(int i) {
        if (i <= 1) {
            super.setLines(i);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setMaxLines(int i) {
        if (i <= 1) {
            super.setMaxLines(i);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setMaxWidth(int i) {
        super.setMaxWidth(i);
        O8 o8 = this.f2658a;
        if (o8 != null) {
            o8.f1246l = i;
        }
    }

    public void setMinLines(int i) {
        if (i <= 1) {
            super.setMinLines(i);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setSingleLine(boolean z) {
        if (z) {
            super.setSingleLine(z);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    @Override // android.widget.TextView
    public void setText(CharSequence charSequence, TextView.BufferType bufferType) {
        O8 o8 = this.f2658a;
        if (o8 != null) {
            if (charSequence == null) {
                charSequence = "";
            }
            super.setText(o8.f1245k ? null : charSequence, bufferType);
            O8 o82 = this.f2658a;
            if (o82 != null) {
                o82.Q(charSequence);
            }
        }
    }

    public void setTextAppearance(Context context, int i) {
        super.setTextAppearance(context, i);
        O8 o8 = this.f2658a;
        if (o8 != null) {
            o8.R(new DJ(o8.f1203a, i));
        }
        n();
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesRelativeWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set left drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set right drawable using R.attr#closeIcon.");
        }
    }

    public void setTextAppearance(int i) {
        super.setTextAppearance(i);
        O8 o8 = this.f2658a;
        if (o8 != null) {
            o8.R(new DJ(o8.f1203a, i));
        }
        n();
    }
}
