package com.google.android.material.timepicker;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Build;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Checkable;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.TextView;
import com.google.android.material.chip.Chip;
import com.google.android.material.textfield.TextInputLayout;
import io.github.nekoinverter.ehviewer.R;

/* access modifiers changed from: package-private */
public class ChipTextInputComboView extends FrameLayout implements Checkable {
    public final EditText a;

    /* renamed from: a  reason: collision with other field name */
    public final Chip f2787a;

    public ChipTextInputComboView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, 0);
        LayoutInflater from = LayoutInflater.from(context);
        Chip chip = (Chip) from.inflate(R.layout.f91570_resource_name_obfuscated_RES_2131492975, (ViewGroup) this, false);
        this.f2787a = chip;
        TextInputLayout textInputLayout = (TextInputLayout) from.inflate(R.layout.f91580_resource_name_obfuscated_RES_2131492976, (ViewGroup) this, false);
        EditText editText = textInputLayout.f2736a;
        this.a = editText;
        editText.setVisibility(4);
        editText.addTextChangedListener(new a(this, null));
        b();
        addView(chip);
        addView(textInputLayout);
        TextView textView = (TextView) findViewById(R.id.f86370_resource_name_obfuscated_RES_2131296589);
        editText.setSaveEnabled(false);
    }

    public static String a(ChipTextInputComboView chipTextInputComboView, CharSequence charSequence) {
        return String.format(chipTextInputComboView.getResources().getConfiguration().locale, "%02d", Integer.valueOf(Integer.parseInt(String.valueOf(charSequence))));
    }

    public final void b() {
        if (Build.VERSION.SDK_INT >= 24) {
            this.a.setImeHintLocales(getContext().getResources().getConfiguration().getLocales());
        }
    }

    public boolean isChecked() {
        return this.f2787a.isChecked();
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        b();
    }

    public void setChecked(boolean z) {
        this.f2787a.setChecked(z);
        int i = 0;
        this.a.setVisibility(z ? 0 : 4);
        Chip chip = this.f2787a;
        if (z) {
            i = 8;
        }
        chip.setVisibility(i);
        if (isChecked()) {
            EditText editText = this.a;
            editText.requestFocus();
            editText.post(new T5(editText, 1));
            if (!TextUtils.isEmpty(this.a.getText())) {
                EditText editText2 = this.a;
                editText2.setSelection(editText2.getText().length());
            }
        }
    }

    public void setOnClickListener(View.OnClickListener onClickListener) {
        this.f2787a.setOnClickListener(onClickListener);
    }

    public void setTag(int i, Object obj) {
        this.f2787a.setTag(i, obj);
    }

    public void toggle() {
        this.f2787a.toggle();
    }
}
