package com.google.android.material.timepicker;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.RadialGradient;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.TextView;
import io.github.nekoinverter.ehviewer.R;
import java.util.Arrays;

/* access modifiers changed from: package-private */
public class ClockFaceView extends C1039lB implements AbstractC1630w9 {
    public float a;

    /* renamed from: a  reason: collision with other field name */
    public final M f2788a;

    /* renamed from: a  reason: collision with other field name */
    public final ColorStateList f2789a;

    /* renamed from: a  reason: collision with other field name */
    public final Rect f2790a = new Rect();

    /* renamed from: a  reason: collision with other field name */
    public final RectF f2791a = new RectF();

    /* renamed from: a  reason: collision with other field name */
    public final ClockHandView f2792a;

    /* renamed from: a  reason: collision with other field name */
    public final float[] f2793a;

    /* renamed from: a  reason: collision with other field name */
    public final int[] f2794a;

    /* renamed from: a  reason: collision with other field name */
    public String[] f2795a;
    public final SparseArray c;
    public final int j;
    public final int k;
    public final int l;
    public final int m;

    public ClockFaceView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, R.attr.f59230_resource_name_obfuscated_RES_2130969293);
        SparseArray sparseArray = new SparseArray();
        this.c = sparseArray;
        this.f2793a = new float[]{0.0f, 0.9f, 1.0f};
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0506bG.j, R.attr.f59230_resource_name_obfuscated_RES_2130969293, R.style.f113310_resource_name_obfuscated_RES_2131821658);
        Resources resources = getResources();
        ColorStateList c2 = C0067Dq.c(context, obtainStyledAttributes, 1);
        this.f2789a = c2;
        LayoutInflater.from(context).inflate(R.layout.f91540_resource_name_obfuscated_RES_2131492972, (ViewGroup) this, true);
        ClockHandView clockHandView = (ClockHandView) findViewById(R.id.f86310_resource_name_obfuscated_RES_2131296583);
        this.f2792a = clockHandView;
        this.j = resources.getDimensionPixelSize(R.dimen.f77340_resource_name_obfuscated_RES_2131165571);
        int colorForState = c2.getColorForState(new int[]{16842913}, c2.getDefaultColor());
        this.f2794a = new int[]{colorForState, colorForState, c2.getDefaultColor()};
        clockHandView.f2800a.add(this);
        int defaultColor = LF.c(context, R.color.f72100_resource_name_obfuscated_RES_2131100448).getDefaultColor();
        ColorStateList c3 = C0067Dq.c(context, obtainStyledAttributes, 0);
        setBackgroundColor(c3 != null ? c3.getDefaultColor() : defaultColor);
        getViewTreeObserver().addOnPreDrawListener(new b(this));
        setFocusable(true);
        obtainStyledAttributes.recycle();
        this.f2788a = new c(this);
        String[] strArr = new String[12];
        Arrays.fill(strArr, "");
        this.f2795a = strArr;
        LayoutInflater from = LayoutInflater.from(getContext());
        int size = sparseArray.size();
        for (int i = 0; i < Math.max(this.f2795a.length, size); i++) {
            TextView textView = (TextView) this.c.get(i);
            if (i >= this.f2795a.length) {
                removeView(textView);
                this.c.remove(i);
            } else {
                if (textView == null) {
                    textView = (TextView) from.inflate(R.layout.f91530_resource_name_obfuscated_RES_2131492971, (ViewGroup) this, false);
                    this.c.put(i, textView);
                    addView(textView);
                }
                textView.setVisibility(0);
                textView.setText(this.f2795a[i]);
                textView.setTag(R.id.f86470_resource_name_obfuscated_RES_2131296599, Integer.valueOf(i));
                FO.o(textView, this.f2788a);
                textView.setTextColor(this.f2789a);
            }
        }
        this.k = resources.getDimensionPixelSize(R.dimen.f77640_resource_name_obfuscated_RES_2131165601);
        this.l = resources.getDimensionPixelSize(R.dimen.f77650_resource_name_obfuscated_RES_2131165602);
        this.m = resources.getDimensionPixelSize(R.dimen.f77400_resource_name_obfuscated_RES_2131165577);
    }

    @Override // defpackage.AbstractC1630w9
    public void a(float f, boolean z) {
        if (Math.abs(this.a - f) > 0.001f) {
            this.a = f;
            k();
        }
    }

    public final void k() {
        RadialGradient radialGradient;
        RectF rectF = this.f2792a.f2799a;
        for (int i = 0; i < this.c.size(); i++) {
            TextView textView = (TextView) this.c.get(i);
            if (textView != null) {
                textView.getDrawingRect(this.f2790a);
                this.f2790a.offset(textView.getPaddingLeft(), textView.getPaddingTop());
                offsetDescendantRectToMyCoords(textView, this.f2790a);
                this.f2791a.set(this.f2790a);
                if (!RectF.intersects(rectF, this.f2791a)) {
                    radialGradient = null;
                } else {
                    radialGradient = new RadialGradient(rectF.centerX() - this.f2791a.left, rectF.centerY() - this.f2791a.top, 0.5f * rectF.width(), this.f2794a, this.f2793a, Shader.TileMode.CLAMP);
                }
                textView.getPaint().setShader(radialGradient);
                textView.invalidate();
            }
        }
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setCollectionInfo((AccessibilityNodeInfo.CollectionInfo) O.a(1, this.f2795a.length, false, 1).a);
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        k();
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onMeasure(int i, int i2) {
        DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
        int max = (int) (((float) this.m) / Math.max(Math.max(((float) this.k) / ((float) displayMetrics.heightPixels), ((float) this.l) / ((float) displayMetrics.widthPixels)), 1.0f));
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(max, 1073741824);
        setMeasuredDimension(max, max);
        super.onMeasure(makeMeasureSpec, makeMeasureSpec);
    }
}
