package com.google.android.material.timepicker;

import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.util.Pair;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import io.github.nekoinverter.ehviewer.R;
import java.util.ArrayList;
import java.util.List;
import java.util.WeakHashMap;

/* access modifiers changed from: package-private */
public class ClockHandView extends View {
    public static final /* synthetic */ int g = 0;
    public double a;

    /* renamed from: a  reason: collision with other field name */
    public float f2796a;

    /* renamed from: a  reason: collision with other field name */
    public ValueAnimator f2797a;

    /* renamed from: a  reason: collision with other field name */
    public final Paint f2798a;

    /* renamed from: a  reason: collision with other field name */
    public final RectF f2799a;

    /* renamed from: a  reason: collision with other field name */
    public final List f2800a = new ArrayList();
    public float b;

    /* renamed from: b  reason: collision with other field name */
    public boolean f2801b;
    public final float c;

    /* renamed from: c  reason: collision with other field name */
    public int f2802c;
    public float d;

    /* renamed from: d  reason: collision with other field name */
    public final int f2803d;
    public final int e;
    public int f;

    public ClockHandView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, R.attr.f59230_resource_name_obfuscated_RES_2130969293);
        Paint paint = new Paint();
        this.f2798a = paint;
        this.f2799a = new RectF();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0506bG.k, R.attr.f59230_resource_name_obfuscated_RES_2130969293, R.style.f113310_resource_name_obfuscated_RES_2131821658);
        this.f = obtainStyledAttributes.getDimensionPixelSize(1, 0);
        this.f2803d = obtainStyledAttributes.getDimensionPixelSize(2, 0);
        Resources resources = getResources();
        this.e = resources.getDimensionPixelSize(R.dimen.f77350_resource_name_obfuscated_RES_2131165572);
        this.c = (float) resources.getDimensionPixelSize(R.dimen.f77330_resource_name_obfuscated_RES_2131165570);
        int color = obtainStyledAttributes.getColor(0, 0);
        paint.setAntiAlias(true);
        paint.setColor(color);
        b(0.0f, false);
        this.f2802c = ViewConfiguration.get(context).getScaledTouchSlop();
        WeakHashMap weakHashMap = FO.f497a;
        C1160nO.s(this, 2);
        obtainStyledAttributes.recycle();
    }

    public final int a(float f2, float f3) {
        int degrees = ((int) Math.toDegrees(Math.atan2((double) (f3 - ((float) (getHeight() / 2))), (double) (f2 - ((float) (getWidth() / 2)))))) + 90;
        return degrees < 0 ? degrees + 360 : degrees;
    }

    public void b(float f2, boolean z) {
        ValueAnimator valueAnimator = this.f2797a;
        if (valueAnimator != null) {
            valueAnimator.cancel();
        }
        if (!z) {
            c(f2, false);
            return;
        }
        float f3 = this.d;
        if (Math.abs(f3 - f2) > 180.0f) {
            if (f3 > 180.0f && f2 < 180.0f) {
                f2 += 360.0f;
            }
            if (f3 < 180.0f && f2 > 180.0f) {
                f3 += 360.0f;
            }
        }
        Pair pair = new Pair(Float.valueOf(f3), Float.valueOf(f2));
        ValueAnimator ofFloat = ValueAnimator.ofFloat(((Float) pair.first).floatValue(), ((Float) pair.second).floatValue());
        this.f2797a = ofFloat;
        ofFloat.setDuration(200L);
        this.f2797a.addUpdateListener(new d(this));
        this.f2797a.addListener(new e(this));
        this.f2797a.start();
    }

    public final void c(float f2, boolean z) {
        float f3 = f2 % 360.0f;
        this.d = f3;
        this.a = Math.toRadians((double) (f3 - 90.0f));
        float cos = (((float) this.f) * ((float) Math.cos(this.a))) + ((float) (getWidth() / 2));
        float sin = (((float) this.f) * ((float) Math.sin(this.a))) + ((float) (getHeight() / 2));
        RectF rectF = this.f2799a;
        int i = this.f2803d;
        rectF.set(cos - ((float) i), sin - ((float) i), cos + ((float) i), sin + ((float) i));
        for (AbstractC1630w9 w9Var : this.f2800a) {
            w9Var.a(f3, z);
        }
        invalidate();
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int height = getHeight() / 2;
        int width = getWidth() / 2;
        float f2 = (float) width;
        float f3 = (float) height;
        this.f2798a.setStrokeWidth(0.0f);
        canvas.drawCircle((((float) this.f) * ((float) Math.cos(this.a))) + f2, (((float) this.f) * ((float) Math.sin(this.a))) + f3, (float) this.f2803d, this.f2798a);
        double sin = Math.sin(this.a);
        double cos = Math.cos(this.a);
        double d2 = (double) ((float) (this.f - this.f2803d));
        this.f2798a.setStrokeWidth((float) this.e);
        canvas.drawLine(f2, f3, (float) (width + ((int) (cos * d2))), (float) (height + ((int) (d2 * sin))), this.f2798a);
        canvas.drawCircle(f2, f3, this.c, this.f2798a);
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        b(this.d, false);
    }

    @SuppressLint({"ClickableViewAccessibility"})
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z;
        boolean z2;
        int actionMasked = motionEvent.getActionMasked();
        float x = motionEvent.getX();
        float y = motionEvent.getY();
        boolean z3 = false;
        if (actionMasked == 0) {
            this.f2796a = x;
            this.b = y;
            this.f2801b = false;
            z2 = false;
            z = true;
        } else if (actionMasked == 1 || actionMasked == 2) {
            z2 = this.f2801b;
            z = false;
        } else {
            z2 = false;
            z = false;
        }
        boolean z4 = this.f2801b;
        float a2 = (float) a(x, y);
        boolean z5 = this.d != a2;
        if (!z || !z5) {
            if (z5 || z2) {
                b(a2, false);
            }
            this.f2801b = z4 | z3;
            return true;
        }
        z3 = true;
        this.f2801b = z4 | z3;
        return true;
    }
}
