package com.hippo.drawable;

import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import io.github.nekoinverter.ehviewer.R;

public class DrawerArrowDrawable extends Drawable {
    public static final float h = ((float) Math.toRadians(45.0d));
    public final float a;

    /* renamed from: a  reason: collision with other field name */
    public final int f2814a;

    /* renamed from: a  reason: collision with other field name */
    public final Paint f2815a;

    /* renamed from: a  reason: collision with other field name */
    public final Path f2816a = new Path();

    /* renamed from: a  reason: collision with other field name */
    public final boolean f2817a;
    public final float b;

    /* renamed from: b  reason: collision with other field name */
    public boolean f2818b = false;
    public final float c;
    public final float d;
    public final float e;
    public final float f;
    public float g;

    public DrawerArrowDrawable(Context context, int i) {
        Paint paint = new Paint();
        this.f2815a = paint;
        Resources resources = context.getResources();
        paint.setAntiAlias(true);
        paint.setColor(i);
        this.f2814a = resources.getDimensionPixelSize(R.dimen.f74630_resource_name_obfuscated_RES_2131165300);
        this.c = (float) Math.round(resources.getDimension(R.dimen.f74620_resource_name_obfuscated_RES_2131165299));
        this.b = (float) Math.round(resources.getDimension(R.dimen.f74670_resource_name_obfuscated_RES_2131165304));
        float dimension = resources.getDimension(R.dimen.f74660_resource_name_obfuscated_RES_2131165303);
        this.a = dimension;
        this.e = (float) Math.round(resources.getDimension(R.dimen.f74640_resource_name_obfuscated_RES_2131165301));
        this.f2817a = resources.getBoolean(R.bool.f63930_resource_name_obfuscated_RES_2131034115);
        this.d = resources.getDimension(R.dimen.f74650_resource_name_obfuscated_RES_2131165302);
        paint.setStyle(Paint.Style.STROKE);
        paint.setStrokeJoin(Paint.Join.MITER);
        paint.setStrokeCap(Paint.Cap.BUTT);
        paint.setStrokeWidth(dimension);
        this.f = (float) (Math.cos((double) h) * ((double) (dimension / 2.0f)));
    }

    public void a(boolean z, long j) {
        float f2 = 0.0f;
        if (!z && this.g == 0.0f) {
            return;
        }
        if (!z || this.g != 1.0f) {
            if (z) {
                f2 = 1.0f;
            }
            if (j <= 0) {
                setProgress(f2);
                return;
            }
            ObjectAnimator ofFloat = ObjectAnimator.ofFloat(this, "progress", f2);
            ofFloat.setDuration(j);
            ofFloat.setAutoCancel(true);
            ofFloat.start();
        }
    }

    public void draw(Canvas canvas) {
        Rect bounds = getBounds();
        float e2 = C1832zw.e(this.c, this.b, this.g);
        float e3 = C1832zw.e(this.c, this.d, this.g);
        float round = (float) Math.round(C1832zw.e(0.0f, this.f, this.g));
        float e4 = C1832zw.e(0.0f, h, this.g);
        float f2 = (float) C1832zw.f(-180, 0, this.g);
        double d2 = (double) e2;
        double d3 = (double) e4;
        float round2 = (float) Math.round(Math.cos(d3) * d2);
        float round3 = (float) Math.round(Math.sin(d3) * d2);
        this.f2816a.rewind();
        float e5 = C1832zw.e(this.e + this.a, -this.f, this.g);
        float f3 = (-e3) / 2.0f;
        this.f2816a.moveTo(f3 + round, 0.0f);
        this.f2816a.rLineTo(e3 - (round * 2.0f), 0.0f);
        this.f2816a.moveTo(f3, e5);
        this.f2816a.rLineTo(round2, round3);
        this.f2816a.moveTo(f3, -e5);
        this.f2816a.rLineTo(round2, -round3);
        this.f2816a.close();
        canvas.save();
        canvas.translate((float) bounds.centerX(), (float) bounds.centerY());
        if (this.f2817a) {
            canvas.rotate(f2 * ((float) (this.f2818b ? -1 : 1)));
        }
        canvas.drawPath(this.f2816a, this.f2815a);
        canvas.restore();
    }

    public int getIntrinsicHeight() {
        return this.f2814a;
    }

    public int getIntrinsicWidth() {
        return this.f2814a;
    }

    public int getOpacity() {
        return -3;
    }

    @Bt
    public float getProgress() {
        return this.g;
    }

    public void setAlpha(int i) {
        this.f2815a.setAlpha(i);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.f2815a.setColorFilter(colorFilter);
    }

    @Bt
    public void setProgress(float f2) {
        if (f2 == 1.0f) {
            this.f2818b = true;
        } else if (f2 == 0.0f) {
            this.f2818b = false;
        }
        this.g = f2;
        invalidateSelf();
    }
}
