package com.hippo.easyrecyclerview;

import android.animation.ObjectAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.os.Handler;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import androidx.recyclerview.widget.RecyclerView;
import java.util.Random;

public class FastScroller extends View {
    public static final /* synthetic */ int g = 0;
    public float a = -1.0f;

    /* renamed from: a  reason: collision with other field name */
    public MB f2825a;

    /* renamed from: a  reason: collision with other field name */
    public OB f2826a;

    /* renamed from: a  reason: collision with other field name */
    public WB f2827a;

    /* renamed from: a  reason: collision with other field name */
    public ObjectAnimator f2828a;

    /* renamed from: a  reason: collision with other field name */
    public Drawable f2829a;

    /* renamed from: a  reason: collision with other field name */
    public Handler f2830a = YF.a();

    /* renamed from: a  reason: collision with other field name */
    public RecyclerView f2831a;

    /* renamed from: a  reason: collision with other field name */
    public final Runnable f2832a = new RunnableC0105Gd(this, 2);

    /* renamed from: a  reason: collision with other field name */
    public AbstractC1712xk f2833a;
    public float b = -1.0f;

    /* renamed from: b  reason: collision with other field name */
    public ObjectAnimator f2834b;

    /* renamed from: b  reason: collision with other field name */
    public boolean f2835b;
    public float c = -1.0f;

    /* renamed from: c  reason: collision with other field name */
    public int f2836c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f2837c = false;
    public int d = -1;

    /* renamed from: d  reason: collision with other field name */
    public boolean f2838d = false;
    public int e = -1;
    public int f;

    public FastScroller(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C1385rh.d, 0, 0);
        this.f2829a = obtainStyledAttributes.getDrawable(1);
        this.f2835b = obtainStyledAttributes.getBoolean(0, true);
        obtainStyledAttributes.recycle();
        setAlpha(0.0f);
        setVisibility(4);
        this.f2836c = C1556uq.g(context, 32.0f);
        this.f = ViewConfiguration.get(context).getScaledTouchSlop();
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(this, "alpha", 1.0f);
        this.f2828a = ofFloat;
        ofFloat.setInterpolator(C1246p2.a);
        this.f2828a.setDuration(500L);
        ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(this, "alpha", 0.0f);
        this.f2834b = ofFloat2;
        ofFloat2.setInterpolator(C1246p2.b);
        this.f2834b.setDuration(500L);
        this.f2834b.addListener(new C1388rk(this));
    }

    public void a(RecyclerView recyclerView) {
        if (recyclerView != null) {
            if (this.f2831a == null) {
                this.f2831a = recyclerView;
                C1496tk tkVar = new C1496tk(this);
                this.f2827a = tkVar;
                recyclerView.k(tkVar);
                MB mb = recyclerView.f2383a;
                this.f2825a = mb;
                if (mb != null) {
                    C1550uk ukVar = new C1550uk(this);
                    this.f2826a = ukVar;
                    mb.f1062a.registerObserver(ukVar);
                    return;
                }
                return;
            }
            throw new IllegalStateException("The FastScroller is already attached to a RecyclerView, call detachedFromRecyclerView first");
        }
    }

    public final void b(boolean z) {
        if (this.f2831a != null) {
            int paddingTop = getPaddingTop();
            int height = (getHeight() - paddingTop) - getPaddingBottom();
            int computeVerticalScrollOffset = this.f2831a.computeVerticalScrollOffset();
            int computeVerticalScrollExtent = this.f2831a.computeVerticalScrollExtent();
            int computeVerticalScrollRange = this.f2831a.computeVerticalScrollRange();
            if (height > 0 && computeVerticalScrollExtent < computeVerticalScrollRange && computeVerticalScrollExtent > 0) {
                int max = Math.max((computeVerticalScrollExtent * height) / computeVerticalScrollRange, this.f2836c);
                this.d = Math.min((computeVerticalScrollOffset * height) / computeVerticalScrollRange, height - max) + paddingTop;
                this.e = max;
                if (z) {
                    if (this.f2834b.isRunning()) {
                        this.f2834b.cancel();
                        this.f2828a.start();
                    } else if (getVisibility() != 0 && !this.f2828a.isRunning()) {
                        setVisibility(0);
                        this.f2828a.start();
                    }
                    Handler handler = this.f2830a;
                    handler.removeCallbacks(this.f2832a);
                    if (!this.f2837c) {
                        handler.postDelayed(this.f2832a, 1000);
                    }
                }
            }
        }
    }

    public void onDraw(Canvas canvas) {
        if (this.f2831a != null && this.f2829a != null) {
            if (this.e == -1) {
                b(false);
            }
            if (this.e != -1) {
                int paddingLeft = getPaddingLeft();
                int save = canvas.save();
                canvas.translate((float) paddingLeft, (float) this.d);
                this.f2829a.setBounds(0, 0, (getWidth() - paddingLeft) - getPaddingRight(), this.e);
                this.f2829a.draw(canvas);
                canvas.restoreToCount(save);
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:20:0x002c, code lost:
        if (r0 != 3) goto L_0x0107;
     */
    @SuppressLint({"ClickableViewAccessibility"})
    public boolean onTouchEvent(MotionEvent motionEvent) {
        AbstractC1712xk xkVar;
        if (this.f2835b && getVisibility() == 0 && this.f2831a != null && this.e != -1) {
            int action = motionEvent.getAction();
            if (action == 0) {
                this.f2838d = false;
            }
            if (this.f2838d) {
                return false;
            }
            if (action != 0) {
                if (action != 1) {
                    if (action == 2) {
                        if (!this.f2837c) {
                            float x = motionEvent.getX();
                            float y = motionEvent.getY();
                            float f2 = this.a;
                            float f3 = this.b;
                            Random random = C1832zw.a;
                            if (((float) Math.hypot((double) (f2 - x), (double) (f3 - y))) < ((float) this.f)) {
                                return true;
                            }
                            if (Math.abs(x - this.a) <= Math.abs(y - this.b)) {
                                int i = this.d;
                                if (y >= ((float) i) && y <= ((float) (i + this.e))) {
                                    this.f2837c = true;
                                    this.f2830a.removeCallbacks(this.f2832a);
                                    float f4 = this.b;
                                    int i2 = this.d;
                                    if (f4 < ((float) i2) || f4 >= ((float) (this.e + i2))) {
                                        this.c = (float) ((this.e / 2) + i2);
                                    } else {
                                        this.c = f4;
                                    }
                                    AbstractC1712xk xkVar2 = this.f2833a;
                                    if (xkVar2 != null) {
                                        xkVar2.r();
                                    }
                                }
                            }
                            this.f2838d = true;
                            return false;
                        }
                        int computeVerticalScrollRange = this.f2831a.computeVerticalScrollRange();
                        if (computeVerticalScrollRange > 0) {
                            float y2 = motionEvent.getY();
                            this.f2831a.scrollBy(0, (int) (((y2 - this.c) * ((float) computeVerticalScrollRange)) / ((float) ((getHeight() - getPaddingTop()) - getPaddingBottom()))));
                            this.c = y2;
                        }
                    }
                }
                if (this.f2837c && (xkVar = this.f2833a) != null) {
                    xkVar.v();
                }
                this.f2837c = false;
                this.f2830a.postDelayed(this.f2832a, 1000);
            } else {
                this.f2837c = false;
                this.a = motionEvent.getX();
                float y3 = motionEvent.getY();
                this.b = y3;
                int i3 = this.d;
                if (y3 < ((float) i3) || y3 > ((float) (i3 + this.e))) {
                    this.f2838d = true;
                }
            }
            return true;
        }
        return false;
    }
}
