package com.hippo.ehviewer.ui;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.pm.verify.domain.DomainVerificationManager;
import android.content.pm.verify.domain.DomainVerificationUserState;
import android.graphics.Bitmap;
import android.graphics.drawable.ColorDrawable;
import android.net.ConnectivityManager;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcelable;
import android.os.PersistableBundle;
import android.text.TextUtils;
import android.util.SparseArray;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;
import androidx.drawerlayout.widget.DrawerLayout;
import com.google.android.material.navigation.NavigationView;
import com.hippo.ehviewer.ui.scene.AnalyticsScene;
import com.hippo.ehviewer.ui.scene.BaseScene;
import com.hippo.ehviewer.ui.scene.CookieSignInScene;
import com.hippo.ehviewer.ui.scene.DownloadsScene;
import com.hippo.ehviewer.ui.scene.FavoritesScene;
import com.hippo.ehviewer.ui.scene.GalleryCommentsScene;
import com.hippo.ehviewer.ui.scene.GalleryDetailScene;
import com.hippo.ehviewer.ui.scene.GalleryInfoScene;
import com.hippo.ehviewer.ui.scene.GalleryListScene;
import com.hippo.ehviewer.ui.scene.GalleryPreviewsScene;
import com.hippo.ehviewer.ui.scene.HistoryScene;
import com.hippo.ehviewer.ui.scene.ProgressScene;
import com.hippo.ehviewer.ui.scene.SecurityScene;
import com.hippo.ehviewer.ui.scene.SelectSiteScene;
import com.hippo.ehviewer.ui.scene.SignInScene;
import com.hippo.ehviewer.ui.scene.SolidScene;
import com.hippo.ehviewer.ui.scene.WarningScene;
import com.hippo.ehviewer.ui.scene.WebViewSignInScene;
import com.hippo.ehviewer.widget.EhStageLayout;
import com.hippo.widget.DrawerView;
import com.hippo.widget.LoadImageView;
import io.github.nekoinverter.ehviewer.R;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Iterator;
import java.util.Map;
import java.util.Objects;

public final class MainActivity extends AbstractActivityC1045lH implements Qx {
    public static final /* synthetic */ int e = 0;
    public AbstractC0437a1 a = m(new Z0(), new C1723xv(this));

    /* renamed from: a  reason: collision with other field name */
    public TextView f2890a;

    /* renamed from: a  reason: collision with other field name */
    public DrawerLayout f2891a;

    /* renamed from: a  reason: collision with other field name */
    public NavigationView f2892a;

    /* renamed from: a  reason: collision with other field name */
    public EhStageLayout f2893a;

    /* renamed from: a  reason: collision with other field name */
    public DrawerView f2894a;

    /* renamed from: a  reason: collision with other field name */
    public LoadImageView f2895a;
    public int d = 0;

    static {
        AbstractActivityC1045lH.P(SecurityScene.class, 2);
        AbstractActivityC1045lH.P(WarningScene.class, 2);
        AbstractActivityC1045lH.P(AnalyticsScene.class, 2);
        AbstractActivityC1045lH.P(SignInScene.class, 2);
        AbstractActivityC1045lH.P(WebViewSignInScene.class, 2);
        AbstractActivityC1045lH.P(CookieSignInScene.class, 2);
        AbstractActivityC1045lH.P(SelectSiteScene.class, 2);
        AbstractActivityC1045lH.P(GalleryListScene.class, 1);
        AbstractActivityC1045lH.P(GalleryDetailScene.class, 0);
        AbstractActivityC1045lH.P(GalleryInfoScene.class, 0);
        AbstractActivityC1045lH.P(GalleryCommentsScene.class, 0);
        AbstractActivityC1045lH.P(GalleryPreviewsScene.class, 0);
        AbstractActivityC1045lH.P(DownloadsScene.class, 2);
        AbstractActivityC1045lH.P(FavoritesScene.class, 2);
        AbstractActivityC1045lH.P(HistoryScene.class, 1);
        AbstractActivityC1045lH.P(ProgressScene.class, 0);
    }

    @Override // defpackage.AbstractActivityC1045lH
    public int B() {
        return R.id.f85490_resource_name_obfuscated_RES_2131296501;
    }

    @Override // defpackage.AbstractActivityC1045lH
    public C1407s2 C() {
        if (!TextUtils.isEmpty(C1826zq.H())) {
            return new C1407s2(SecurityScene.class);
        }
        if (C1826zq.L()) {
            return new C1407s2(WarningScene.class);
        }
        if (C1826zq.n()) {
            return new C1407s2(AnalyticsScene.class);
        }
        if (C0092Fh.f(this)) {
            return new C1407s2(SignInScene.class);
        }
        if (C1826zq.I()) {
            return new C1407s2(SelectSiteScene.class);
        }
        Bundle bundle = new Bundle();
        bundle.putString("action", C1826zq.A());
        C1407s2 s2Var = new C1407s2(GalleryListScene.class);
        s2Var.f4505a = bundle;
        return s2Var;
    }

    @Override // defpackage.AbstractActivityC1045lH
    public void H(Bundle bundle) {
        DrawerLayout drawerLayout;
        setContentView(R.layout.f90770_resource_name_obfuscated_RES_2131492895);
        this.f2893a = (EhStageLayout) C1646wP.a(this, R.id.f85490_resource_name_obfuscated_RES_2131296501);
        DrawerLayout drawerLayout2 = (DrawerLayout) C1646wP.a(this, R.id.f85090_resource_name_obfuscated_RES_2131296461);
        this.f2891a = drawerLayout2;
        Objects.requireNonNull(drawerLayout2);
        drawerLayout2.f2289a = new ColorDrawable(0);
        drawerLayout2.invalidate();
        this.f2892a = (NavigationView) C1646wP.a(this, R.id.f86930_resource_name_obfuscated_RES_2131296645);
        this.f2894a = (DrawerView) C1646wP.a(this, R.id.f87770_resource_name_obfuscated_RES_2131296729);
        View childAt = this.f2892a.f2694a.f1178a.getChildAt(0);
        this.f2895a = (LoadImageView) C1646wP.c(childAt, R.id.f84080_resource_name_obfuscated_RES_2131296360);
        this.f2890a = (TextView) C1646wP.c(childAt, R.id.f85000_resource_name_obfuscated_RES_2131296452);
        C1646wP.c(childAt, R.id.f87040_resource_name_obfuscated_RES_2131296656).setOnClickListener(new Cv(this));
        Z();
        NavigationView navigationView = this.f2892a;
        if (navigationView != null) {
            navigationView.f2695a = this;
        }
        if (bundle == null) {
            AbstractC1536uN r = C1826zq.r();
            if (r != null && !r.e()) {
                E1 e1 = new E1(this);
                e1.i(R.string.f102100_resource_name_obfuscated_RES_2131755921);
                e1.d(R.string.f96360_resource_name_obfuscated_RES_2131755347);
                e1.g(R.string.f96030_resource_name_obfuscated_RES_2131755314, null);
                e1.l();
            }
            if (C1826zq.o("cellular_network_warning", false) && ((ConnectivityManager) getSystemService("connectivity")).isActiveNetworkMetered()) {
                if (Build.VERSION.SDK_INT < 29 || (drawerLayout = this.f2891a) == null) {
                    X(R.string.f97350_resource_name_obfuscated_RES_2131755446, 1);
                } else {
                    int[] iArr = BG.b;
                    BG j = BG.j(drawerLayout, drawerLayout.getResources().getText(R.string.f97350_resource_name_obfuscated_RES_2131755446), 0);
                    j.k(R.string.f99590_resource_name_obfuscated_RES_2131755670, new Bv(this));
                    j.l();
                }
            }
            if (Build.VERSION.SDK_INT >= 31 && !C1826zq.o("app_link_verify_tip", false)) {
                try {
                    T();
                } catch (PackageManager.NameNotFoundException unused) {
                }
            }
        } else {
            this.d = bundle.getInt("nav_checked_item");
        }
        C0075Eh.g(this);
    }

    @Override // defpackage.AbstractActivityC1045lH
    public void J(ZD zd, Bundle bundle) {
        U(zd);
    }

    @Override // defpackage.AbstractActivityC1045lH
    public void L(ZD zd) {
        if (zd instanceof BaseScene) {
            BaseScene baseScene = (BaseScene) zd;
            if (baseScene.f2905b != null) {
                SparseArray<Parcelable> sparseArray = new SparseArray<>();
                baseScene.b = sparseArray;
                baseScene.f2905b.saveHierarchyState(sparseArray);
            }
            baseScene.m1();
            baseScene.f2905b = null;
        }
    }

    @Override // defpackage.AbstractActivityC1045lH
    public C1407s2 M(Class cls, Bundle bundle) {
        C1407s2 s2Var = new C1407s2(cls);
        s2Var.f4505a = bundle;
        return V(s2Var);
    }

    @Override // defpackage.AbstractActivityC1045lH
    public void N() {
        YF.a().postDelayed(new Ev(this, 0), 300);
    }

    /* JADX WARNING: Removed duplicated region for block: B:45:0x00ba A[SYNTHETIC, Splitter:B:45:0x00ba] */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x00c1 A[SYNTHETIC, Splitter:B:53:0x00c1] */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x00c6  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x00e8  */
    /* JADX WARNING: Removed duplicated region for block: B:74:? A[RETURN, SYNTHETIC] */
    @Override // defpackage.AbstractActivityC1045lH
    public void O(Intent intent) {
        Object[] objArr;
        Uri uri;
        Bitmap bitmap;
        File f;
        FileOutputStream fileOutputStream;
        Throwable th;
        C1407s2 C;
        Class E = E();
        if (E == null || !SolidScene.class.isAssignableFrom(E)) {
            boolean z = true;
            if (intent != null) {
                String action = intent.getAction();
                if ("android.intent.action.VIEW".equals(action)) {
                    Uri data = intent.getData();
                    if (!(data == null || (C = Gu.C(data.toString())) == null)) {
                        Q(V(C), false);
                    }
                } else if ("android.intent.action.SEND".equals(action)) {
                    String type = intent.getType();
                    if ("text/plain".equals(type)) {
                        Ku ku = new Ku();
                        ku.a = intent.getStringExtra("android.intent.extra.TEXT");
                        Q(V(GalleryListScene.v1(ku)), false);
                    } else if (!(type == null || !type.startsWith("image/") || (uri = (Uri) intent.getParcelableExtra("android.intent.extra.STREAM")) == null)) {
                        AbstractC1536uN h = AbstractC1536uN.h(this, uri);
                        File file = null;
                        FileOutputStream fileOutputStream2 = null;
                        file = null;
                        file = null;
                        file = null;
                        file = null;
                        file = null;
                        if (h != null) {
                            try {
                                bitmap = Gu.s(new C1590vN(h), -1, -1, 250000, false, false, null);
                            } catch (OutOfMemoryError unused) {
                                bitmap = null;
                            }
                            if (!(bitmap == null || (f = C1385rh.f()) == null)) {
                                try {
                                    fileOutputStream = new FileOutputStream(f);
                                    try {
                                        bitmap.compress(Bitmap.CompressFormat.JPEG, 90, fileOutputStream);
                                        try {
                                            fileOutputStream.close();
                                        } catch (IOException unused2) {
                                        }
                                        file = f;
                                    } catch (IOException unused3) {
                                        if (fileOutputStream != null) {
                                        }
                                        if (file != null) {
                                        }
                                        objArr = null;
                                        if (objArr != null) {
                                        }
                                    } catch (Throwable th2) {
                                        th = th2;
                                        fileOutputStream2 = fileOutputStream;
                                        if (fileOutputStream2 != null) {
                                        }
                                        throw th;
                                    }
                                } catch (IOException unused4) {
                                    fileOutputStream = null;
                                    if (fileOutputStream != null) {
                                        try {
                                            fileOutputStream.close();
                                        } catch (IOException unused5) {
                                        }
                                    }
                                    if (file != null) {
                                    }
                                    objArr = null;
                                    if (objArr != null) {
                                    }
                                } catch (Throwable th3) {
                                    th = th3;
                                    if (fileOutputStream2 != null) {
                                        try {
                                            fileOutputStream2.close();
                                        } catch (IOException unused6) {
                                        }
                                    }
                                    throw th;
                                }
                            }
                        }
                        if (file != null) {
                            Ku ku2 = new Ku();
                            ku2.c = 4;
                            ku2.f970c = file.getPath();
                            ku2.f969b = true;
                            ku2.f972d = true;
                            Q(V(GalleryListScene.v1(ku2)), false);
                        }
                    }
                }
                objArr = 1;
                if (objArr != null) {
                    if (intent == null || !"android.intent.action.VIEW".equals(intent.getAction())) {
                        z = false;
                    } else if (intent.getData() != null) {
                        String uri2 = intent.getData().toString();
                        C0361Vg vg = new C0361Vg(this, uri2, "");
                        vg.i(R.string.f94960_resource_name_obfuscated_RES_2131755207);
                        vg.g(17039361, new DialogInterface$OnClickListenerC1831zv(uri2));
                        vg.l();
                    }
                    if (((AbstractActivityC1045lH) this).f3984a.size() != 0) {
                        return;
                    }
                    if (z) {
                        finish();
                        return;
                    }
                    Bundle bundle = new Bundle();
                    bundle.putString("action", C1826zq.A());
                    C1407s2 s2Var = new C1407s2(GalleryListScene.class);
                    s2Var.f4505a = bundle;
                    Q(V(s2Var), false);
                    return;
                }
                return;
            }
            objArr = null;
            if (objArr != null) {
            }
        }
    }

    public final void T() {
        DomainVerificationUserState domainVerificationUserState = ((DomainVerificationManager) getSystemService(DomainVerificationManager.class)).getDomainVerificationUserState(getPackageName());
        if (domainVerificationUserState != null) {
            boolean z = false;
            Map hostToStateMap = domainVerificationUserState.getHostToStateMap();
            Iterator it = hostToStateMap.keySet().iterator();
            while (true) {
                if (it.hasNext()) {
                    Integer num = (Integer) hostToStateMap.get((String) it.next());
                    if (num != null && num.intValue() != 2 && num.intValue() != 1) {
                        z = true;
                        break;
                    }
                } else {
                    break;
                }
            }
            if (z) {
                E1 e1 = new E1(this);
                e1.i(R.string.f93520_resource_name_obfuscated_RES_2131755063);
                e1.d(R.string.f93510_resource_name_obfuscated_RES_2131755062);
                e1.g(R.string.f98030_resource_name_obfuscated_RES_2131755514, new DialogInterface$OnClickListenerC1777yv(this));
                e1.e(17039360, null);
                Av av = Av.a;
                A1 a1 = e1.a;
                a1.e = a1.f4a.getText(R.string.f94530_resource_name_obfuscated_RES_2131755164);
                e1.a.c = av;
                e1.l();
            }
        }
    }

    @SuppressLint({"RtlHardcoded"})
    public void U(ZD zd) {
        DrawerView drawerView;
        SparseArray<Parcelable> sparseArray;
        if ((zd instanceof BaseScene) && (drawerView = this.f2894a) != null && this.f2891a != null) {
            BaseScene baseScene = (BaseScene) zd;
            drawerView.removeAllViews();
            View l1 = baseScene.l1(baseScene.W(), this.f2894a, null);
            baseScene.f2905b = l1;
            if (!(l1 == null || (sparseArray = baseScene.b) == null)) {
                l1.restoreHierarchyState(sparseArray);
            }
            View view = baseScene.f2905b;
            if (view != null) {
                this.f2894a.addView(view);
                this.f2891a.s(0, 5);
                return;
            }
            this.f2891a.s(1, 5);
        }
    }

    public final C1407s2 V(C1407s2 s2Var) {
        if (((AbstractActivityC1045lH) this).f3984a.size() != 0) {
            return s2Var;
        }
        if (!TextUtils.isEmpty(C1826zq.H())) {
            Bundle bundle = new Bundle();
            bundle.putString("target_scene", s2Var.f4506a.getName());
            bundle.putBundle("target_args", s2Var.f4505a);
            C1407s2 s2Var2 = new C1407s2(SecurityScene.class);
            s2Var2.f4505a = bundle;
            return s2Var2;
        } else if (C1826zq.L()) {
            Bundle bundle2 = new Bundle();
            bundle2.putString("target_scene", s2Var.f4506a.getName());
            bundle2.putBundle("target_args", s2Var.f4505a);
            C1407s2 s2Var3 = new C1407s2(WarningScene.class);
            s2Var3.f4505a = bundle2;
            return s2Var3;
        } else if (C1826zq.n()) {
            Bundle bundle3 = new Bundle();
            bundle3.putString("target_scene", s2Var.f4506a.getName());
            bundle3.putBundle("target_args", s2Var.f4505a);
            C1407s2 s2Var4 = new C1407s2(AnalyticsScene.class);
            s2Var4.f4505a = bundle3;
            return s2Var4;
        } else if (C0092Fh.f(this)) {
            Bundle bundle4 = new Bundle();
            bundle4.putString("target_scene", s2Var.f4506a.getName());
            bundle4.putBundle("target_args", s2Var.f4505a);
            C1407s2 s2Var5 = new C1407s2(SignInScene.class);
            s2Var5.f4505a = bundle4;
            return s2Var5;
        } else if (!C1826zq.I()) {
            return s2Var;
        } else {
            Bundle bundle5 = new Bundle();
            bundle5.putString("target_scene", s2Var.f4506a.getName());
            bundle5.putBundle("target_args", s2Var.f4505a);
            C1407s2 s2Var6 = new C1407s2(SelectSiteScene.class);
            s2Var6.f4505a = bundle5;
            return s2Var6;
        }
    }

    public void W(int i) {
        this.d = i;
        NavigationView navigationView = this.f2892a;
        if (navigationView == null) {
            return;
        }
        if (i == 0) {
            MenuItem findItem = navigationView.a.findItem(R.id.f86900_resource_name_obfuscated_RES_2131296642);
            if (findItem != null) {
                navigationView.f2694a.a.P((Kw) findItem);
                return;
            }
            return;
        }
        MenuItem findItem2 = navigationView.a.findItem(i);
        if (findItem2 != null) {
            navigationView.f2694a.a.P((Kw) findItem2);
        }
    }

    public void X(int i, int i2) {
        Y(getString(i), i2);
    }

    public void Y(CharSequence charSequence, int i) {
        View findViewById = findViewById(R.id.f88580_resource_name_obfuscated_RES_2131296810);
        int i2 = 0;
        if (findViewById != null) {
            if (i != 1) {
                i2 = -1;
            }
            BG.j(findViewById, charSequence, i2).l();
            return;
        }
        if (i == 1) {
            i2 = 1;
        }
        Toast.makeText(this, charSequence, i2).show();
    }

    public void Z() {
        if (this.f2895a != null && this.f2890a != null) {
            String M = C1826zq.M("avatar", null);
            if (TextUtils.isEmpty(M)) {
                LoadImageView loadImageView = this.f2895a;
                loadImageView.f3220a.a(loadImageView);
                loadImageView.f3219a = null;
                loadImageView.b = null;
                loadImageView.a = null;
                loadImageView.v();
                loadImageView.g = true;
                loadImageView.A(R.drawable.f81500_resource_name_obfuscated_RES_2131230829, true);
                loadImageView.setImageResource(R.drawable.f81500_resource_name_obfuscated_RES_2131230829);
            } else {
                this.f2895a.x(M, M);
            }
            String M2 = C1826zq.M("display_name", null);
            if (TextUtils.isEmpty(M2)) {
                M2 = getString(R.string.f94310_resource_name_obfuscated_RES_2131755142);
            }
            this.f2890a.setText(M2);
        }
    }

    @Override // defpackage.AbstractActivityC1045lH, androidx.activity.a
    @SuppressLint({"RtlHardcoded"})
    public void onBackPressed() {
        DrawerLayout drawerLayout = this.f2891a;
        if (drawerLayout == null || (!drawerLayout.n(3) && !this.f2891a.n(5))) {
            super.onBackPressed();
        } else {
            this.f2891a.d(false);
        }
    }

    @Override // defpackage.M2, defpackage.AbstractActivityC1045lH, defpackage.ActivityC1229om, defpackage.AbstractActivityC0578ch, defpackage.ActivityC0510bK
    public void onDestroy() {
        super.onDestroy();
        this.f2891a = null;
        this.f2892a = null;
        this.f2894a = null;
        this.f2895a = null;
        this.f2890a = null;
    }

    @Override // defpackage.ActivityC1229om, defpackage.AbstractActivityC0578ch, defpackage.ActivityC0510bK
    public void onResume() {
        super.onResume();
        W(this.d);
        YF.a().postDelayed(new Ev(this, 0), 300);
    }

    public void onSaveInstanceState(Bundle bundle, PersistableBundle persistableBundle) {
        super.onSaveInstanceState(bundle, persistableBundle);
        bundle.putInt("nav_checked_item", this.d);
    }
}
