package com.hippo.ehviewer.ui.scene;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.res.Resources;
import android.graphics.Point;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.Log;
import android.util.SparseBooleanArray;
import android.view.Display;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.TextView;
import androidx.appcompat.widget.Toolbar;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import com.hippo.easyrecyclerview.EasyRecyclerView;
import com.hippo.easyrecyclerview.FastScroller;
import com.hippo.ehviewer.EhApplication;
import com.hippo.ehviewer.dao.DaoSession;
import com.hippo.ehviewer.dao.DownloadInfo;
import com.hippo.ehviewer.dao.DownloadLabel;
import com.hippo.ehviewer.dao.DownloadLabelDao;
import com.hippo.ehviewer.download.DownloadService;
import com.hippo.ehviewer.ui.MainActivity;
import com.hippo.ehviewer.widget.SimpleRatingView;
import com.hippo.widget.FabLayout;
import com.hippo.widget.LoadImageView;
import com.hippo.widget.recyclerview.AutoStaggeredGridLayoutManager;
import io.github.nekoinverter.ehviewer.R;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Objects;
import java.util.WeakHashMap;
import java.util.concurrent.atomic.AtomicInteger;

@SuppressLint({"RtlHardcoded"})
public class DownloadsScene extends ToolbarScene implements AbstractC1653wf, AbstractC0473ak, AbstractC1712xk {
    public static final /* synthetic */ int m = 0;
    public C0005Af a;

    /* renamed from: a  reason: collision with other field name */
    public TextView f2912a;

    /* renamed from: a  reason: collision with other field name */
    public EasyRecyclerView f2913a;

    /* renamed from: a  reason: collision with other field name */
    public FastScroller f2914a;

    /* renamed from: a  reason: collision with other field name */
    public DownloadAdapter f2915a;

    /* renamed from: a  reason: collision with other field name */
    public DownloadLabelAdapter f2916a;

    /* renamed from: a  reason: collision with other field name */
    public FabLayout f2917a;

    /* renamed from: a  reason: collision with other field name */
    public AutoStaggeredGridLayoutManager f2918a;

    /* renamed from: a  reason: collision with other field name */
    public C1323qP f2919a;
    public List b;
    public List c;
    public String e;
    public int k = -1;
    public int l = -1;

    class DeleteRangeDialogHelper implements DialogInterface.OnClickListener {
        public final B8 a;

        /* renamed from: a  reason: collision with other field name */
        public final List f2921a;

        /* renamed from: a  reason: collision with other field name */
        public final C1346qv f2922a;

        public DeleteRangeDialogHelper(List list, C1346qv qvVar, B8 b8) {
            this.f2921a = list;
            this.f2922a = qvVar;
            this.a = b8;
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            if (i == -1) {
                EasyRecyclerView easyRecyclerView = DownloadsScene.this.f2913a;
                if (easyRecyclerView != null) {
                    easyRecyclerView.I0();
                }
                C0005Af af = DownloadsScene.this.a;
                if (af != null) {
                    af.o(this.f2922a);
                }
                boolean isChecked = this.a.a.isChecked();
                C1826zq.T("include_pic", isChecked);
                if (isChecked) {
                    AbstractC1536uN[] uNVarArr = new AbstractC1536uN[this.f2921a.size()];
                    int i2 = 0;
                    for (DownloadInfo downloadInfo : this.f2921a) {
                        long j = downloadInfo.gid;
                        DaoSession daoSession = C1385rh.f4470a;
                        synchronized (C1385rh.class) {
                            C1385rh.f4470a.getDownloadDirnameDao().deleteByKey(Long.valueOf(j));
                        }
                        uNVarArr[i2] = XG.e(downloadInfo);
                        i2++;
                    }
                    new AsyncTask() {
                        /* class com.hippo.ehviewer.ui.scene.DownloadsScene.AnonymousClass1 */

                        @Override // android.os.AsyncTask
                        public Object doInBackground(Object[] objArr) {
                            AbstractC1536uN[] uNVarArr = (AbstractC1536uN[]) objArr;
                            for (AbstractC1536uN uNVar : uNVarArr) {
                                if (uNVar != null) {
                                    uNVar.d();
                                }
                            }
                            return null;
                        }
                    }.executeOnExecutor(C0536bt.a, uNVarArr);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class DownloadAdapter extends MB {
        public final LayoutInflater a;
        public final int b;
        public final int c;

        public DownloadAdapter() {
            LayoutInflater W = DownloadsScene.this.W();
            this.a = W;
            C1610vq.m("Should not be null", W);
            View inflate = W.inflate(R.layout.f91380_resource_name_obfuscated_RES_2131492956, (ViewGroup) null);
            C1646wP.e(inflate, 1024, -2);
            int measuredHeight = inflate.getMeasuredHeight();
            this.c = measuredHeight;
            this.b = (measuredHeight * 2) / 3;
        }

        @Override // defpackage.MB
        public void F(AbstractC0771gC gCVar, int i) {
            String str;
            DownloadHolder downloadHolder = (DownloadHolder) gCVar;
            List list = DownloadsScene.this.b;
            if (list != null) {
                DownloadInfo downloadInfo = (DownloadInfo) list.get(i);
                downloadHolder.f2927a.y(C1812zc.s(downloadInfo.gid), downloadInfo.thumb, new ThumbDataContainer(downloadInfo), true);
                downloadHolder.f2924a.setText(C0092Fh.d(downloadInfo));
                downloadHolder.f2928b.setText(downloadInfo.uploader);
                downloadHolder.f2926a.a(downloadInfo.rating);
                TextView textView = downloadHolder.f2929c;
                String b2 = C0092Fh.b(downloadInfo.category);
                if (!b2.contentEquals(textView.getText())) {
                    textView.setText(b2);
                    textView.setBackgroundColor(C0092Fh.c(downloadInfo.category));
                }
                DownloadsScene downloadsScene = DownloadsScene.this;
                Context S = downloadsScene.S();
                if (S != null) {
                    int i2 = downloadInfo.state;
                    if (i2 == 0) {
                        downloadsScene.z1(downloadHolder, downloadInfo, S.getString(R.string.f94790_resource_name_obfuscated_RES_2131755190));
                    } else if (i2 == 1) {
                        downloadsScene.z1(downloadHolder, downloadInfo, S.getString(R.string.f94800_resource_name_obfuscated_RES_2131755191));
                    } else if (i2 == 2) {
                        downloadHolder.f2928b.setVisibility(8);
                        downloadHolder.f2926a.setVisibility(8);
                        downloadHolder.f2929c.setVisibility(8);
                        downloadHolder.d.setVisibility(8);
                        downloadHolder.a.setVisibility(0);
                        downloadHolder.e.setVisibility(0);
                        downloadHolder.f.setVisibility(0);
                        int i3 = downloadInfo.state;
                        if (i3 == 1 || i3 == 2) {
                            downloadHolder.b.setVisibility(8);
                            downloadHolder.c.setVisibility(0);
                        } else {
                            downloadHolder.b.setVisibility(0);
                            downloadHolder.c.setVisibility(8);
                        }
                        if (downloadInfo.total <= 0 || downloadInfo.finished < 0) {
                            downloadHolder.e.setText((CharSequence) null);
                            downloadHolder.a.setIndeterminate(true);
                        } else {
                            downloadHolder.e.setText(downloadInfo.finished + "/" + downloadInfo.total);
                            downloadHolder.a.setIndeterminate(false);
                            downloadHolder.a.setMax(downloadInfo.total);
                            downloadHolder.a.setProgress(downloadInfo.finished);
                        }
                        long j = downloadInfo.speed;
                        if (j < 0) {
                            j = 0;
                        }
                        downloadHolder.f.setText(C0016Aq.k(j, false) + "/S");
                    } else if (i2 == 3) {
                        downloadsScene.z1(downloadHolder, downloadInfo, S.getString(R.string.f94780_resource_name_obfuscated_RES_2131755189));
                    } else if (i2 == 4) {
                        int i4 = downloadInfo.legacy;
                        if (i4 <= 0) {
                            str = S.getString(R.string.f94760_resource_name_obfuscated_RES_2131755187);
                        } else {
                            str = S.getString(R.string.f94770_resource_name_obfuscated_RES_2131755188, Integer.valueOf(i4));
                        }
                        downloadsScene.z1(downloadHolder, downloadInfo, str);
                    }
                }
                LoadImageView loadImageView = downloadHolder.f2927a;
                String a2 = TransitionNameFactory.a(downloadInfo.gid);
                WeakHashMap weakHashMap = FO.f497a;
                C1483tO.v(loadImageView, a2);
                ((AbstractC0771gC) downloadHolder).f3557a.setOnClickListener(new b(this, i));
                ((AbstractC0771gC) downloadHolder).f3557a.setOnLongClickListener(new c(this, i));
            }
        }

        @Override // defpackage.MB
        public AbstractC0771gC H(ViewGroup viewGroup, int i) {
            DownloadHolder downloadHolder = new DownloadHolder(this.a.inflate(R.layout.f91260_resource_name_obfuscated_RES_2131492944, viewGroup, false));
            ViewGroup.LayoutParams layoutParams = downloadHolder.f2927a.getLayoutParams();
            layoutParams.width = this.b;
            layoutParams.height = this.c;
            downloadHolder.f2927a.setLayoutParams(layoutParams);
            return downloadHolder;
        }

        @Override // defpackage.MB
        public int v() {
            List list = DownloadsScene.this.b;
            if (list == null) {
                return 0;
            }
            return list.size();
        }

        @Override // defpackage.MB
        public long w(int i) {
            List list = DownloadsScene.this.b;
            if (list == null || i < 0 || i >= list.size()) {
                return 0;
            }
            return ((DownloadInfo) DownloadsScene.this.b.get(i)).gid;
        }
    }

    class DownloadChoiceListener implements AbstractC0261Pg {
        public DownloadChoiceListener(C0192Lf lf) {
        }

        @Override // defpackage.AbstractC0261Pg
        public void J(EasyRecyclerView easyRecyclerView) {
            FabLayout fabLayout = DownloadsScene.this.f2917a;
            if (fabLayout != null) {
                fabLayout.e(false, true);
            }
            DownloadsScene.this.p1(0, 3);
            DownloadsScene.this.p1(0, 5);
        }

        @Override // defpackage.AbstractC0261Pg
        public void h(EasyRecyclerView easyRecyclerView, int i, long j, boolean z) {
            if (easyRecyclerView.v == 0) {
                easyRecyclerView.I0();
            }
        }

        @Override // defpackage.AbstractC0261Pg
        public void j(EasyRecyclerView easyRecyclerView) {
            FabLayout fabLayout = DownloadsScene.this.f2917a;
            if (fabLayout != null) {
                fabLayout.e(true, true);
            }
            DownloadsScene.this.p1(1, 3);
            DownloadsScene.this.p1(1, 5);
        }
    }

    /* access modifiers changed from: package-private */
    public class DownloadHolder extends AbstractC0771gC implements View.OnClickListener {
        public final ProgressBar a;

        /* renamed from: a  reason: collision with other field name */
        public final TextView f2924a;

        /* renamed from: a  reason: collision with other field name */
        public final SimpleRatingView f2926a;

        /* renamed from: a  reason: collision with other field name */
        public final LoadImageView f2927a;
        public final View b;

        /* renamed from: b  reason: collision with other field name */
        public final TextView f2928b;
        public final View c;

        /* renamed from: c  reason: collision with other field name */
        public final TextView f2929c;
        public final TextView d;
        public final TextView e;
        public final TextView f;

        public DownloadHolder(View view) {
            super(view);
            LoadImageView loadImageView = (LoadImageView) view.findViewById(R.id.f89300_resource_name_obfuscated_RES_2131296882);
            this.f2927a = loadImageView;
            this.f2924a = (TextView) view.findViewById(R.id.f89330_resource_name_obfuscated_RES_2131296885);
            this.f2928b = (TextView) view.findViewById(R.id.f89560_resource_name_obfuscated_RES_2131296908);
            this.f2926a = (SimpleRatingView) view.findViewById(R.id.f87590_resource_name_obfuscated_RES_2131296711);
            this.f2929c = (TextView) view.findViewById(R.id.f84290_resource_name_obfuscated_RES_2131296381);
            View findViewById = view.findViewById(R.id.f88780_resource_name_obfuscated_RES_2131296830);
            this.b = findViewById;
            View findViewById2 = view.findViewById(R.id.f88860_resource_name_obfuscated_RES_2131296838);
            this.c = findViewById2;
            this.d = (TextView) view.findViewById(R.id.f88830_resource_name_obfuscated_RES_2131296835);
            this.a = (ProgressBar) view.findViewById(R.id.f87530_resource_name_obfuscated_RES_2131296705);
            this.e = (TextView) view.findViewById(R.id.f87360_resource_name_obfuscated_RES_2131296688);
            this.f = (TextView) view.findViewById(R.id.f88650_resource_name_obfuscated_RES_2131296817);
            loadImageView.setOnClickListener(this);
            findViewById.setOnClickListener(this);
            findViewById2.setOnClickListener(this);
        }

        public void onClick(View view) {
            List list;
            C0005Af af;
            Context S = DownloadsScene.this.S();
            MainActivity f1 = DownloadsScene.this.f1();
            DownloadsScene downloadsScene = DownloadsScene.this;
            EasyRecyclerView easyRecyclerView = downloadsScene.f2913a;
            if (S != null && f1 != null && easyRecyclerView != null && !easyRecyclerView.f2823u && (list = downloadsScene.b) != null) {
                int size = list.size();
                int O = easyRecyclerView.O(((AbstractC0771gC) this).f3557a);
                if (O >= 0 && O < size) {
                    if (this.f2927a == view) {
                        Bundle a2 = C1652we.a("action", "action_gallery_info");
                        a2.putParcelable("gallery_info", (Parcelable) list.get(O));
                        C1407s2 s2Var = new C1407s2(GalleryDetailScene.class);
                        s2Var.f4505a = a2;
                        s2Var.f4503a = new EnterGalleryDetailTransaction(this.f2927a);
                        DownloadsScene.this.b1(s2Var);
                    } else if (this.b == view) {
                        Intent intent = new Intent(f1, DownloadService.class);
                        intent.setAction("start");
                        intent.putExtra("gallery_info", (Parcelable) list.get(O));
                        K0.b(f1, intent);
                    } else if (this.c == view && (af = DownloadsScene.this.a) != null) {
                        af.v(((DownloadInfo) list.get(O)).gid);
                    }
                }
            }
        }
    }

    class DownloadLabelAdapter extends MB implements AbstractC0226Nf {
        public final LayoutInflater a;

        public DownloadLabelAdapter(LayoutInflater layoutInflater, C1574v7 v7Var) {
            this.a = layoutInflater;
        }

        @Override // defpackage.MB
        @SuppressLint({"SetTextI18n"})
        public void F(AbstractC0771gC gCVar, int i) {
            DownloadLabelHolder downloadLabelHolder = (DownloadLabelHolder) gCVar;
            DownloadsScene downloadsScene = DownloadsScene.this;
            if (downloadsScene.c != null) {
                Context S = downloadsScene.S();
                String str = (String) DownloadsScene.this.c.get(i);
                DownloadsScene downloadsScene2 = DownloadsScene.this;
                if (downloadsScene2.a == null && S != null) {
                    downloadsScene2.a = EhApplication.c(S);
                }
                List list = null;
                C0005Af af = DownloadsScene.this.a;
                if (af != null) {
                    if (i == 0) {
                        list = af.b;
                    } else {
                        list = (List) af.f48a.get(str);
                    }
                }
                if (list != null) {
                    TextView textView = downloadLabelHolder.f2931a;
                    StringBuilder a2 = C0871i4.a(str, " [");
                    a2.append(list.size());
                    a2.append("]");
                    textView.setText(a2.toString());
                } else {
                    downloadLabelHolder.f2931a.setText(str);
                }
                ((AbstractC0771gC) downloadLabelHolder).f3557a.setOnClickListener(new f(this, i, 0));
                if (i > 0) {
                    downloadLabelHolder.a.setVisibility(0);
                    ((AbstractC0771gC) downloadLabelHolder).f3557a.setOnLongClickListener(new g(this, S, downloadLabelHolder, str, i));
                    return;
                }
                downloadLabelHolder.a.setVisibility(8);
            }
        }

        @Override // defpackage.MB
        public AbstractC0771gC H(ViewGroup viewGroup, int i) {
            return new DownloadLabelHolder(this.a.inflate(R.layout.f91280_resource_name_obfuscated_RES_2131492946, viewGroup, false), null);
        }

        @Override // defpackage.AbstractC0226Nf
        public void e(int i) {
            ((MB) this).f1062a.b();
        }

        @Override // defpackage.AbstractC0226Nf
        public boolean f(AbstractC0771gC gCVar, int i, int i2, int i3) {
            DownloadLabelHolder downloadLabelHolder = (DownloadLabelHolder) gCVar;
            return i != 0 && ((float) i2) > downloadLabelHolder.a.getX() && ((float) i3) > downloadLabelHolder.a.getY();
        }

        @Override // defpackage.AbstractC0226Nf
        public C0643dt g(AbstractC0771gC gCVar, int i) {
            DownloadLabelHolder downloadLabelHolder = (DownloadLabelHolder) gCVar;
            return new C0643dt(1, v() - 1);
        }

        @Override // defpackage.AbstractC0226Nf
        public void n(int i, int i2, boolean z) {
            ((MB) this).f1062a.b();
        }

        @Override // defpackage.AbstractC0226Nf
        public void t(int i, int i2) {
            Context S = DownloadsScene.this.S();
            if (!(S == null || i == i2 || i2 == 0)) {
                C0005Af c = EhApplication.c(S);
                int i3 = i - 1;
                int i4 = i2 - 1;
                c.f47a.add(i4, (DownloadLabel) c.f47a.remove(i3));
                DaoSession daoSession = C1385rh.f4470a;
                synchronized (C1385rh.class) {
                    if (i3 != i4) {
                        int i5 = 0;
                        int i6 = 1;
                        boolean z = i3 > i4;
                        int i7 = z ? i4 : i3;
                        int i8 = z ? (i3 - i4) + 1 : (i4 - i3) + 1;
                        DownloadLabelDao downloadLabelDao = C1385rh.f4470a.getDownloadLabelDao();
                        C0878iB queryBuilder = downloadLabelDao.queryBuilder();
                        queryBuilder.e(" ASC", DownloadLabelDao.Properties.Time);
                        queryBuilder.d(i7);
                        queryBuilder.b(i8);
                        List c2 = queryBuilder.c();
                        if (!z) {
                            i6 = -1;
                        }
                        int i9 = z ? i8 - 1 : 0;
                        if (!z) {
                            i5 = i8 - 1;
                        }
                        long time = ((DownloadLabel) c2.get(i5)).getTime();
                        while (true) {
                            if (!z) {
                                if (i5 <= i9) {
                                    break;
                                }
                            } else if (i5 >= i9) {
                                break;
                            }
                            int i10 = i5 + i6;
                            ((DownloadLabel) c2.get(i5)).setTime(((DownloadLabel) c2.get(i10)).getTime());
                            i6 = i6;
                            i5 = i10;
                        }
                        ((DownloadLabel) c2.get(i9)).setTime(time);
                        downloadLabelDao.updateInTx(c2);
                    }
                }
                for (AbstractC1653wf wfVar : c.f51b) {
                    wfVar.z();
                }
                DownloadsScene.this.c.add(i2, (String) DownloadsScene.this.c.remove(i));
            }
        }

        @Override // defpackage.MB
        public int v() {
            List list = DownloadsScene.this.c;
            if (list != null) {
                return list.size();
            }
            return 0;
        }

        @Override // defpackage.MB
        public long w(int i) {
            List list = DownloadsScene.this.c;
            if (list != null) {
                return (long) ((String) list.get(i)).hashCode();
            }
            return 0;
        }
    }

    class DownloadLabelHolder extends AbstractC1782z {
        public final ImageView a;

        /* renamed from: a  reason: collision with other field name */
        public final TextView f2931a;

        public DownloadLabelHolder(View view, C1486ta taVar) {
            super(view);
            this.f2931a = (TextView) C1646wP.c(view, R.id.f89500_resource_name_obfuscated_RES_2131296902);
            this.a = (ImageView) C1646wP.c(view, R.id.f86020_resource_name_obfuscated_RES_2131296554);
        }
    }

    class MoveDialogHelper implements DialogInterface.OnClickListener {

        /* renamed from: a  reason: collision with other field name */
        public final List f2932a;

        /* renamed from: a  reason: collision with other field name */
        public final String[] f2933a;

        public MoveDialogHelper(String[] strArr, List list) {
            this.f2933a = strArr;
            this.f2932a = list;
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            String str;
            Context S = DownloadsScene.this.S();
            if (S != null) {
                EasyRecyclerView easyRecyclerView = DownloadsScene.this.f2913a;
                if (easyRecyclerView != null) {
                    easyRecyclerView.I0();
                }
                if (i == 0) {
                    str = null;
                } else {
                    str = this.f2933a[i];
                }
                EhApplication.c(S).k(this.f2932a, str);
                DownloadLabelAdapter downloadLabelAdapter = DownloadsScene.this.f2916a;
                if (downloadLabelAdapter != null) {
                    ((MB) downloadLabelAdapter).f1062a.b();
                }
            }
        }
    }

    class NewLabelDialogHelper implements View.OnClickListener {
        public final F1 a;

        /* renamed from: a  reason: collision with other field name */
        public final C0361Vg f2934a;

        public NewLabelDialogHelper(C0361Vg vg, F1 f1, JG jg) {
            this.f2934a = vg;
            this.a = f1;
            Button f = f1.f(-1);
            if (f != null) {
                f.setOnClickListener(this);
            }
        }

        public void onClick(View view) {
            List list;
            Context S = DownloadsScene.this.S();
            if (S != null) {
                String m = this.f2934a.m();
                if (TextUtils.isEmpty(m)) {
                    this.f2934a.f1712a.z(DownloadsScene.this.c0(R.string.f96650_resource_name_obfuscated_RES_2131755376));
                } else if (DownloadsScene.this.c0(R.string.f94330_resource_name_obfuscated_RES_2131755144).equals(m)) {
                    this.f2934a.f1712a.z(DownloadsScene.this.c0(R.string.f96660_resource_name_obfuscated_RES_2131755377));
                } else if (EhApplication.c(S).m(m)) {
                    this.f2934a.f1712a.z(DownloadsScene.this.c0(R.string.f96640_resource_name_obfuscated_RES_2131755375));
                } else {
                    this.f2934a.f1712a.z(null);
                    this.a.dismiss();
                    C0005Af c = EhApplication.c(S);
                    Objects.requireNonNull(c);
                    if (m != null && !c.m(m)) {
                        c.f47a.add(C1385rh.b(m));
                        c.f48a.put(m, new LinkedList());
                        for (AbstractC1653wf wfVar : c.f51b) {
                            wfVar.z();
                        }
                    }
                    DownloadsScene.this.C1();
                    DownloadsScene downloadsScene = DownloadsScene.this;
                    DownloadLabelAdapter downloadLabelAdapter = downloadsScene.f2916a;
                    if (!(downloadLabelAdapter == null || (list = downloadsScene.c) == null)) {
                        downloadLabelAdapter.A(list.size() - 1);
                    }
                }
            }
        }
    }

    class RenameLabelDialogHelper implements View.OnClickListener {
        public final F1 a;

        /* renamed from: a  reason: collision with other field name */
        public final C0361Vg f2936a;

        /* renamed from: a  reason: collision with other field name */
        public final String f2938a;

        public RenameLabelDialogHelper(C0361Vg vg, F1 f1, String str, C0209Mf mf) {
            this.f2936a = vg;
            this.a = f1;
            this.f2938a = str;
            Button f = f1.f(-1);
            if (f != null) {
                f.setOnClickListener(this);
            }
        }

        public void onClick(View view) {
            boolean z;
            LinkedList linkedList;
            Context S = DownloadsScene.this.S();
            if (S != null) {
                String m = this.f2936a.m();
                if (TextUtils.isEmpty(m)) {
                    this.f2936a.f1712a.z(DownloadsScene.this.c0(R.string.f96650_resource_name_obfuscated_RES_2131755376));
                } else if (DownloadsScene.this.c0(R.string.f94330_resource_name_obfuscated_RES_2131755144).equals(m)) {
                    this.f2936a.f1712a.z(DownloadsScene.this.c0(R.string.f96660_resource_name_obfuscated_RES_2131755377));
                } else if (EhApplication.c(S).m(m)) {
                    this.f2936a.f1712a.z(DownloadsScene.this.c0(R.string.f96640_resource_name_obfuscated_RES_2131755375));
                } else {
                    this.f2936a.f1712a.z(null);
                    this.a.dismiss();
                    C0005Af c = EhApplication.c(S);
                    String str = this.f2938a;
                    Iterator it = c.f47a.iterator();
                    while (true) {
                        if (!it.hasNext()) {
                            z = false;
                            break;
                        }
                        DownloadLabel downloadLabel = (DownloadLabel) it.next();
                        if (str.equals(downloadLabel.getLabel())) {
                            z = true;
                            downloadLabel.setLabel(m);
                            DaoSession daoSession = C1385rh.f4470a;
                            synchronized (C1385rh.class) {
                                C1385rh.f4470a.getDownloadLabelDao().update(downloadLabel);
                                break;
                            }
                        }
                    }
                    if (z && (linkedList = (LinkedList) c.f48a.remove(str)) != null) {
                        Iterator it2 = linkedList.iterator();
                        while (it2.hasNext()) {
                            DownloadInfo downloadInfo = (DownloadInfo) it2.next();
                            downloadInfo.label = m;
                            C1385rh.m(downloadInfo);
                        }
                        c.f48a.put(m, linkedList);
                        for (AbstractC1653wf wfVar : c.f51b) {
                            wfVar.D(str, m);
                        }
                    }
                    DownloadsScene downloadsScene = DownloadsScene.this;
                    if (downloadsScene.f2916a != null) {
                        downloadsScene.C1();
                        ((MB) DownloadsScene.this.f2916a).f1062a.b();
                    }
                }
            }
        }
    }

    class ThumbDataContainer implements AbstractC0189Lc {
        public final DownloadInfo a;

        /* renamed from: a  reason: collision with other field name */
        public AbstractC1536uN f2939a;

        public ThumbDataContainer(DownloadInfo downloadInfo) {
            this.a = downloadInfo;
        }

        @Override // defpackage.AbstractC0189Lc
        public Ls a() {
            c();
            AbstractC1536uN uNVar = this.f2939a;
            if (uNVar != null) {
                return new C1590vN(uNVar);
            }
            return null;
        }

        @Override // defpackage.AbstractC0189Lc
        public boolean b(InputStream inputStream, long j, String str, YA ya) {
            c();
            AbstractC1536uN uNVar = this.f2939a;
            if (uNVar == null) {
                return false;
            }
            OutputStream outputStream = null;
            try {
                outputStream = uNVar.q();
                C1826zq.l(inputStream, outputStream);
                if (outputStream != null) {
                    try {
                        outputStream.close();
                    } catch (IOException unused) {
                    }
                }
                return true;
            } catch (IOException e) {
                e.printStackTrace();
                if (outputStream != null) {
                    try {
                        outputStream.close();
                    } catch (IOException unused2) {
                    }
                }
                return false;
            } catch (Throwable th) {
                if (outputStream != null) {
                    try {
                        outputStream.close();
                    } catch (IOException unused3) {
                    }
                }
                throw th;
            }
        }

        public final void c() {
            AbstractC1536uN e;
            if (this.f2939a == null && (e = XG.e(this.a)) != null && e.k()) {
                this.f2939a = e.b(".thumb");
            }
        }

        @Override // defpackage.AbstractC0189Lc
        public boolean isEnabled() {
            c();
            return this.f2939a != null;
        }

        @Override // defpackage.AbstractC0189Lc
        public void remove() {
            AbstractC1536uN uNVar = this.f2939a;
            if (uNVar != null) {
                uNVar.d();
            }
        }
    }

    @Override // defpackage.ComponentCallbacksC1013km, defpackage.ZD, com.hippo.ehviewer.ui.scene.ToolbarScene, com.hippo.ehviewer.ui.scene.BaseScene
    public void A0(View view, Bundle bundle) {
        super.A0(view, bundle);
        E1();
        x1(R.drawable.f81660_resource_name_obfuscated_RES_2131230845);
    }

    public final void A1() {
        MainActivity f1 = f1();
        if (f1 != null && C1826zq.o("guide_download_labels", true)) {
            Display defaultDisplay = f1.getWindowManager().getDefaultDisplay();
            Point point = new Point();
            defaultDisplay.getSize(point);
            Rect rect = new Rect(C1556uq.g(H0(), 20.0f) + point.x, C1556uq.g(H0(), 20.0f) + (point.y / 3), point.x - C1556uq.g(H0(), 20.0f), (point.y / 3) - C1556uq.g(H0(), 20.0f));
            ActivityC1229om F0 = F0();
            C0886iJ c2 = C0886iJ.c(rect, c0(R.string.f96090_resource_name_obfuscated_RES_2131755320), c0(R.string.f96080_resource_name_obfuscated_RES_2131755319));
            c2.f3741b = R.color.f64690_resource_name_obfuscated_RES_2131099707;
            c2.f3744c = true;
            C1155nJ.h(F0, c2, new C1101mJ() {
                /* class com.hippo.ehviewer.ui.scene.DownloadsScene.AnonymousClass4 */

                @Override // defpackage.C1101mJ
                public void a(C1155nJ nJVar, boolean z) {
                    nJVar.b(true);
                    C1826zq.T("guide_download_labels", false);
                    DownloadsScene.this.n1(5);
                }
            });
        }
    }

    public final boolean B1(Bundle bundle) {
        DownloadInfo q;
        EasyRecyclerView easyRecyclerView;
        if (bundle == null) {
            return false;
        }
        if ("clear_download_service".equals(bundle.getString("action"))) {
            DownloadService.b();
        }
        if (this.a != null) {
            long j = bundle.getLong("gid", -1);
            if (!(-1 == j || (q = this.a.q(j)) == null)) {
                this.e = q.getLabel();
                D1();
                F1();
                List list = this.b;
                if (list == null) {
                    return true;
                }
                int indexOf = list.indexOf(q);
                if (indexOf < 0 || (easyRecyclerView = this.f2913a) == null) {
                    this.k = indexOf;
                    return true;
                }
                easyRecyclerView.q0(indexOf);
                return true;
            }
        }
        return false;
    }

    @Override // defpackage.AbstractC1653wf
    public void C(DownloadInfo downloadInfo, List list) {
        int indexOf;
        DownloadAdapter downloadAdapter;
        if (this.b == list && (indexOf = list.indexOf(downloadInfo)) >= 0 && (downloadAdapter = this.f2915a) != null) {
            downloadAdapter.z(indexOf);
        }
    }

    public final void C1() {
        Context S = S();
        if (S != null) {
            List<DownloadLabel> list = EhApplication.c(S).f47a;
            ArrayList arrayList = new ArrayList(list.size() + 1);
            this.c = arrayList;
            arrayList.add(c0(R.string.f94330_resource_name_obfuscated_RES_2131755144));
            for (DownloadLabel downloadLabel : list) {
                this.c.add(downloadLabel.getLabel());
            }
        }
    }

    @Override // defpackage.AbstractC1653wf
    public void D(String str, String str2) {
        if (C1812zc.j(this.e, str)) {
            this.e = str2;
            D1();
            F1();
        }
    }

    public final void D1() {
        List<DownloadInfo> list;
        C0005Af af = this.a;
        if (af != null) {
            String str = this.e;
            if (str == null) {
                list = af.b;
            } else {
                list = (List) af.f48a.get(str);
                if (list == null) {
                    this.e = null;
                    list = this.a.b;
                }
            }
            if (this.l != -1) {
                this.b = new ArrayList();
                for (DownloadInfo downloadInfo : list) {
                    if (downloadInfo.state == this.l) {
                        this.b.add(downloadInfo);
                    }
                }
            } else {
                this.b = list;
            }
            DownloadAdapter downloadAdapter = this.f2915a;
            if (downloadAdapter != null) {
                ((MB) downloadAdapter).f1062a.b();
            }
            E1();
            C1826zq.X("recent_download_label", this.e);
        }
    }

    public final void E1() {
        Object[] objArr = new Object[1];
        String str = this.e;
        if (str == null) {
            str = c0(R.string.f94330_resource_name_obfuscated_RES_2131755144);
        }
        objArr[0] = str;
        String d0 = d0(R.string.f99190_resource_name_obfuscated_RES_2131755630, objArr);
        Toolbar toolbar = ((ToolbarScene) this).a;
        if (toolbar != null) {
            toolbar.E(d0);
        } else {
            ((ToolbarScene) this).f3101a = d0;
        }
    }

    @Override // defpackage.AbstractC1653wf
    public void F(DownloadInfo downloadInfo, List list, int i) {
        if (this.b == list) {
            DownloadAdapter downloadAdapter = this.f2915a;
            if (downloadAdapter != null) {
                ((MB) downloadAdapter).f1062a.e(i, 1);
            }
            F1();
        }
    }

    public void F1() {
        if (this.f2919a != null) {
            List list = this.b;
            if (list == null || list.size() == 0) {
                this.f2919a.a(1);
            } else {
                this.f2919a.a(0);
            }
        }
    }

    @Override // defpackage.AbstractC0473ak
    public void L(FabLayout fabLayout, FloatingActionButton floatingActionButton) {
        EasyRecyclerView easyRecyclerView = this.f2913a;
        if (easyRecyclerView != null && easyRecyclerView.f2823u) {
            easyRecyclerView.I0();
        }
    }

    @Override // defpackage.ZD
    public void X0() {
        EasyRecyclerView easyRecyclerView = this.f2913a;
        if (easyRecyclerView == null || !easyRecyclerView.f2823u) {
            W0(null);
        } else {
            easyRecyclerView.I0();
        }
    }

    @Override // defpackage.ZD
    public void Y0(Bundle bundle) {
        B1(bundle);
    }

    @Override // com.hippo.ehviewer.ui.scene.BaseScene
    public int g1() {
        return R.id.f86850_resource_name_obfuscated_RES_2131296637;
    }

    @Override // defpackage.AbstractC1653wf
    public void k() {
        this.e = null;
        D1();
        F1();
    }

    @Override // com.hippo.ehviewer.ui.scene.BaseScene
    public View l1(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        View inflate = layoutInflater.inflate(R.layout.f91130_resource_name_obfuscated_RES_2131492931, viewGroup, false);
        Context S = S();
        C1610vq.m("Should not be null", S);
        Toolbar toolbar = (Toolbar) inflate.findViewById(R.id.f89370_resource_name_obfuscated_RES_2131296889);
        toolbar.D(R.string.f94610_resource_name_obfuscated_RES_2131755172);
        toolbar.r(R.menu.f92750_resource_name_obfuscated_RES_2131558403);
        toolbar.f2207a = new a(this, S, 0);
        C1();
        C1256pC pCVar = new C1256pC();
        pCVar.f4292a = true;
        pCVar.f4296b = false;
        pCVar.f4274a.a = 0.8f;
        this.f2916a = new DownloadLabelAdapter(layoutInflater, null);
        EasyRecyclerView easyRecyclerView = (EasyRecyclerView) inflate.findViewById(R.id.f87690_resource_name_obfuscated_RES_2131296721);
        easyRecyclerView.u0(new LinearLayoutManager(1, false));
        C0698eu euVar = new C0698eu(1, Q4.x(h1(), R.attr.f55550_resource_name_obfuscated_RES_2130968925), C1556uq.g(S, 1.0f));
        euVar.f3496a = true;
        easyRecyclerView.j(euVar, -1);
        this.f2916a.N(true);
        easyRecyclerView.t0(new C0243Of());
        easyRecyclerView.r0(pCVar.f(this.f2916a));
        pCVar.a(easyRecyclerView);
        return inflate;
    }

    @Override // defpackage.ComponentCallbacksC1013km
    public void m0(Bundle bundle) {
        super.m0(bundle);
        Context S = S();
        C1610vq.m("Should not be null", S);
        C0005Af c2 = EhApplication.c(S);
        this.a = c2;
        c2.f51b.add(this);
        if (bundle != null) {
            this.e = bundle.getString("label");
            D1();
        } else if (!B1(((ComponentCallbacksC1013km) this).f3909c)) {
            this.e = C1826zq.M("recent_download_label", null);
            D1();
        }
    }

    @Override // defpackage.AbstractC0473ak
    public void o(FabLayout fabLayout, FloatingActionButton floatingActionButton, int i) {
        Context S = S();
        MainActivity f1 = f1();
        EasyRecyclerView easyRecyclerView = this.f2913a;
        if (S != null && f1 != null && easyRecyclerView != null) {
            LinkedList linkedList = null;
            if (i == 0) {
                int i2 = easyRecyclerView.u;
                if (i2 != 0 && i2 != 1) {
                    if (i2 == 4 && !easyRecyclerView.f2823u) {
                        throw new IllegalStateException("Call intoCheckMode first");
                    } else if (i2 == 3 && easyRecyclerView.f2820a == null) {
                        throw new IllegalStateException("EasyRecyclerView: attempted to start selection mode for CHOICE_MODE_MULTIPLE_MODAL but no choice mode callback was supplied. Call setMultiChoiceModeListener to set a callback.");
                    } else {
                        int v = easyRecyclerView.b.v();
                        for (int i3 = 0; i3 < v; i3++) {
                            boolean z = easyRecyclerView.f2822b.get(i3);
                            easyRecyclerView.f2822b.put(i3, true);
                            C1399rv rvVar = easyRecyclerView.f2821a;
                            if (rvVar != null) {
                                MB mb = easyRecyclerView.b;
                                if (mb.f1063a) {
                                    rvVar.h(mb.w(i3), Integer.valueOf(i3));
                                }
                            }
                            if (!z) {
                                easyRecyclerView.v++;
                            }
                            if (easyRecyclerView.f2820a == null) {
                                if (easyRecyclerView.u == 4) {
                                    easyRecyclerView.a.h(easyRecyclerView, i3, easyRecyclerView.b.w(i3), true);
                                }
                            } else {
                                easyRecyclerView.b.w(i3);
                                throw null;
                            }
                        }
                        easyRecyclerView.L0();
                    }
                }
            } else {
                List list = this.b;
                if (list != null) {
                    boolean z2 = i == 1 || i == 2 || i == 3;
                    boolean z3 = i == 3 || i == 4;
                    C1346qv qvVar = z2 ? new C1346qv() : null;
                    if (z3) {
                        linkedList = new LinkedList();
                    }
                    SparseBooleanArray sparseBooleanArray = easyRecyclerView.u != 0 ? easyRecyclerView.f2822b : null;
                    int size = sparseBooleanArray.size();
                    for (int i4 = 0; i4 < size; i4++) {
                        if (sparseBooleanArray.valueAt(i4)) {
                            DownloadInfo downloadInfo = (DownloadInfo) list.get(sparseBooleanArray.keyAt(i4));
                            if (z3) {
                                linkedList.add(downloadInfo);
                            }
                            if (z2) {
                                qvVar.j(downloadInfo.gid);
                            }
                        }
                    }
                    if (i == 1) {
                        Intent intent = new Intent(f1, DownloadService.class);
                        intent.setAction("start_range");
                        intent.putExtra("gid_list", qvVar);
                        K0.b(f1, intent);
                        easyRecyclerView.I0();
                    } else if (i == 2) {
                        C0005Af af = this.a;
                        if (af != null) {
                            af.x(qvVar);
                        }
                        easyRecyclerView.I0();
                    } else if (i == 3) {
                        B8 b8 = new B8(S, d0(R.string.f94650_resource_name_obfuscated_RES_2131755176, Integer.valueOf(qvVar.c)), c0(R.string.f94630_resource_name_obfuscated_RES_2131755174), C1826zq.o("include_pic", true));
                        DeleteRangeDialogHelper deleteRangeDialogHelper = new DeleteRangeDialogHelper(linkedList, qvVar, b8);
                        b8.i(R.string.f94660_resource_name_obfuscated_RES_2131755177);
                        b8.g(17039370, deleteRangeDialogHelper);
                        b8.l();
                    } else if (i == 4) {
                        List list2 = EhApplication.c(S).f47a;
                        ArrayList arrayList = new ArrayList(list2.size() + 1);
                        arrayList.add(c0(R.string.f94330_resource_name_obfuscated_RES_2131755144));
                        int size2 = list2.size();
                        for (int i5 = 0; i5 < size2; i5++) {
                            arrayList.add(((DownloadLabel) list2.get(i5)).getLabel());
                        }
                        String[] strArr = (String[]) arrayList.toArray(new String[0]);
                        MoveDialogHelper moveDialogHelper = new MoveDialogHelper(strArr, linkedList);
                        E1 a2 = C0175Kf.a(S, R.string.f94620_resource_name_obfuscated_RES_2131755173);
                        a2.c(strArr, moveDialogHelper);
                        a2.l();
                    }
                }
            }
        }
    }

    @Override // defpackage.AbstractC1653wf
    public void p() {
        DownloadAdapter downloadAdapter = this.f2915a;
        if (downloadAdapter != null) {
            ((MB) downloadAdapter).f1062a.b();
        }
        F1();
    }

    @Override // defpackage.ComponentCallbacksC1013km, defpackage.ZD, com.hippo.ehviewer.ui.scene.BaseScene
    public void p0() {
        super.p0();
        this.b = null;
        C0005Af af = this.a;
        if (af == null) {
            Context S = S();
            if (S != null) {
                af = EhApplication.c(S);
            }
        } else {
            this.a = null;
        }
        if (af != null) {
            af.f51b.remove(this);
        } else {
            Log.e("DownloadsScene", "Can't removeDownloadInfoListener");
        }
    }

    @Override // defpackage.ComponentCallbacksC1013km, defpackage.ZD, com.hippo.ehviewer.ui.scene.ToolbarScene
    public void q0() {
        super.q0();
        EasyRecyclerView easyRecyclerView = this.f2913a;
        if (easyRecyclerView != null) {
            easyRecyclerView.C0();
            this.f2913a = null;
        }
        FabLayout fabLayout = this.f2917a;
        if (fabLayout != null) {
            o1(fabLayout);
            this.f2917a = null;
        }
        this.f2913a = null;
        this.f2919a = null;
        this.f2915a = null;
        this.f2918a = null;
    }

    @Override // defpackage.AbstractC1712xk
    public void r() {
        p1(1, 5);
    }

    @Override // com.hippo.ehviewer.ui.scene.ToolbarScene
    public int t1() {
        return R.menu.f92820_resource_name_obfuscated_RES_2131558410;
    }

    @Override // com.hippo.ehviewer.ui.scene.ToolbarScene
    public View u1(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        EasyRecyclerView easyRecyclerView;
        View inflate = layoutInflater.inflate(R.layout.f92240_resource_name_obfuscated_RES_2131493042, viewGroup, false);
        View c2 = C1646wP.c(inflate, R.id.f84620_resource_name_obfuscated_RES_2131296414);
        this.f2913a = (EasyRecyclerView) C1646wP.c(c2, R.id.f87680_resource_name_obfuscated_RES_2131296720);
        this.f2914a = (FastScroller) C1646wP.c(c2, R.id.f85310_resource_name_obfuscated_RES_2131296483);
        this.f2917a = (FabLayout) C1646wP.c(inflate, R.id.f85270_resource_name_obfuscated_RES_2131296479);
        TextView textView = (TextView) C1646wP.c(inflate, R.id.f89320_resource_name_obfuscated_RES_2131296884);
        this.f2912a = textView;
        this.f2919a = new C1323qP(c2, textView);
        Context S = S();
        Resources resources = S.getResources();
        Object obj = K0.a;
        Drawable b2 = C1595vb.b(S, R.drawable.f81350_resource_name_obfuscated_RES_2131230814);
        b2.setBounds(0, 0, b2.getIntrinsicWidth(), b2.getIntrinsicHeight());
        this.f2912a.setCompoundDrawables(null, b2, null, null);
        DownloadAdapter downloadAdapter = new DownloadAdapter();
        this.f2915a = downloadAdapter;
        downloadAdapter.N(true);
        this.f2913a.r0(this.f2915a);
        AutoStaggeredGridLayoutManager autoStaggeredGridLayoutManager = new AutoStaggeredGridLayoutManager(0, 1);
        this.f2918a = autoStaggeredGridLayoutManager;
        autoStaggeredGridLayoutManager.t1(resources.getDimensionPixelOffset(C1826zq.q()));
        this.f2918a.u1(0);
        this.f2913a.u0(this.f2918a);
        this.f2913a.setClipToPadding(false);
        this.f2913a.setClipChildren(false);
        this.f2913a.J0(4);
        EasyRecyclerView easyRecyclerView2 = this.f2913a;
        easyRecyclerView2.a = new DownloadChoiceListener(null);
        AbstractC0452aG aGVar = ((RecyclerView) easyRecyclerView2).f2391a;
        if (aGVar instanceof AbstractC0452aG) {
            aGVar.f2033a = false;
        }
        int dimensionPixelOffset = resources.getDimensionPixelOffset(R.dimen.f75410_resource_name_obfuscated_RES_2131165378);
        int dimensionPixelOffset2 = resources.getDimensionPixelOffset(R.dimen.f75420_resource_name_obfuscated_RES_2131165379);
        int dimensionPixelOffset3 = resources.getDimensionPixelOffset(R.dimen.f75430_resource_name_obfuscated_RES_2131165380);
        this.f2913a.j(new Pv(dimensionPixelOffset, dimensionPixelOffset2, dimensionPixelOffset3, dimensionPixelOffset2, dimensionPixelOffset3), -1);
        int i = this.k;
        if (i >= 0) {
            this.f2913a.q0(i);
            this.k = -1;
        }
        C1812zc.b(this.f2913a, 4.0f, 4.0f, 4.0f, 4.0f, 1);
        C1812zc.k(this.f2913a, false, true);
        this.f2914a.a(this.f2913a);
        C0185Kp kp = new C0185Kp();
        kp.a(Q4.x(h1(), R.attr.f63740_resource_name_obfuscated_RES_2130969744));
        FastScroller fastScroller = this.f2914a;
        fastScroller.f2829a = kp;
        fastScroller.invalidate();
        this.f2914a.f2833a = this;
        this.f2917a.e(false, false);
        this.f2917a.f(true);
        this.f2917a.d(false);
        this.f2917a.g(this);
        c1(this.f2917a);
        F1();
        if (!C1826zq.w() || (easyRecyclerView = this.f2913a) == null) {
            A1();
        } else {
            easyRecyclerView.getViewTreeObserver().addOnGlobalLayoutListener(new ViewTreeObserver.OnGlobalLayoutListener() {
                /* class com.hippo.ehviewer.ui.scene.DownloadsScene.AnonymousClass2 */

                public void onGlobalLayout() {
                    AutoStaggeredGridLayoutManager autoStaggeredGridLayoutManager;
                    int i;
                    if (C1826zq.w()) {
                        DownloadsScene downloadsScene = DownloadsScene.this;
                        int i2 = DownloadsScene.m;
                        if (downloadsScene.f1() == null || !C1826zq.w() || (autoStaggeredGridLayoutManager = downloadsScene.f2918a) == null || downloadsScene.f2913a == null) {
                            downloadsScene.A1();
                        } else {
                            int[] iArr = new int[((StaggeredGridLayoutManager) autoStaggeredGridLayoutManager).f];
                            for (int i3 = 0; i3 < ((StaggeredGridLayoutManager) autoStaggeredGridLayoutManager).f; i3++) {
                                C1368rH rHVar = ((StaggeredGridLayoutManager) autoStaggeredGridLayoutManager).f2445a[i3];
                                if (rHVar.f4447a.f2446f) {
                                    i = rHVar.i(rHVar.f4448a.size() - 1, -1, true);
                                } else {
                                    i = rHVar.i(0, rHVar.f4448a.size(), true);
                                }
                                iArr[i3] = i;
                            }
                            int i4 = iArr[0];
                            if (i4 < 0) {
                                downloadsScene.A1();
                            } else {
                                AbstractC0771gC J = downloadsScene.f2913a.J(i4);
                                if (J == null) {
                                    downloadsScene.A1();
                                } else {
                                    ActivityC1229om F0 = downloadsScene.F0();
                                    C1107mP mPVar = new C1107mP(((DownloadHolder) J).f2927a, downloadsScene.c0(R.string.f96110_resource_name_obfuscated_RES_2131755322), downloadsScene.c0(R.string.f96100_resource_name_obfuscated_RES_2131755321));
                                    ((C0886iJ) mPVar).f3744c = true;
                                    C1155nJ.h(F0, mPVar, new C1101mJ() {
                                        /* class com.hippo.ehviewer.ui.scene.DownloadsScene.AnonymousClass3 */

                                        @Override // defpackage.C1101mJ
                                        public void a(C1155nJ nJVar, boolean z) {
                                            C1826zq.T("guide_download_thumb", false);
                                            DownloadsScene downloadsScene = DownloadsScene.this;
                                            int i = DownloadsScene.m;
                                            downloadsScene.A1();
                                        }
                                    });
                                }
                            }
                        }
                    }
                    EasyRecyclerView easyRecyclerView = DownloadsScene.this.f2913a;
                    if (easyRecyclerView != null) {
                        ViewTreeObserver viewTreeObserver = easyRecyclerView.getViewTreeObserver();
                        AtomicInteger atomicInteger = C1646wP.a;
                        viewTreeObserver.removeOnGlobalLayoutListener(this);
                    }
                }
            });
        }
        return inflate;
    }

    @Override // defpackage.AbstractC1712xk
    public void v() {
        EasyRecyclerView easyRecyclerView = this.f2913a;
        if (easyRecyclerView != null && !easyRecyclerView.f2823u) {
            p1(0, 5);
        }
    }

    @Override // com.hippo.ehviewer.ui.scene.ToolbarScene
    public boolean v1(MenuItem menuItem) {
        EasyRecyclerView easyRecyclerView;
        MainActivity f1 = f1();
        if (!(f1 == null || (easyRecyclerView = this.f2913a) == null || easyRecyclerView.f2823u)) {
            int itemId = menuItem.getItemId();
            if (itemId == R.id.f83710_resource_name_obfuscated_RES_2131296323) {
                E1 e1 = new E1(F0());
                DialogInterface$OnClickListenerC0124Hf hf = new DialogInterface$OnClickListenerC0124Hf(this);
                A1 a1 = e1.a;
                a1.f16a = a1.f4a.getResources().getTextArray(R.array.f51700_resource_name_obfuscated_RES_2130903052);
                A1 a12 = e1.a;
                a12.d = hf;
                a12.b = this.l + 1;
                a12.f23c = true;
                e1.l();
                return true;
            } else if (itemId == R.id.f83830_resource_name_obfuscated_RES_2131296335) {
                Intent intent = new Intent(f1, DownloadService.class);
                intent.setAction("start_all");
                K0.b(f1, intent);
                return true;
            } else if (itemId == R.id.f83850_resource_name_obfuscated_RES_2131296337) {
                C0005Af af = this.a;
                if (af != null) {
                    af.t();
                }
                return true;
            } else if (itemId == R.id.f83790_resource_name_obfuscated_RES_2131296331) {
                n1(5);
                return true;
            } else if (itemId == R.id.f83820_resource_name_obfuscated_RES_2131296334) {
                E1 e12 = new E1(S());
                e12.d(R.string.f99170_resource_name_obfuscated_RES_2131755628);
                e12.e(17039360, null);
                e12.g(17039370, new DialogInterface$OnClickListenerC0141If(this));
                e12.l();
                return true;
            } else if (itemId == R.id.f83840_resource_name_obfuscated_RES_2131296336) {
                List list = this.b;
                if (list == null) {
                    return true;
                }
                C1346qv qvVar = new C1346qv();
                for (int size = list.size() - 1; size > -1; size--) {
                    DownloadInfo downloadInfo = (DownloadInfo) list.get(size);
                    if (downloadInfo.state != 3) {
                        qvVar.j(downloadInfo.gid);
                    }
                }
                Intent intent2 = new Intent(f1, DownloadService.class);
                intent2.setAction("start_range");
                intent2.putExtra("gid_list", qvVar);
                K0.b(f1, intent2);
                return true;
            }
        }
        return false;
    }

    @Override // com.hippo.ehviewer.ui.scene.ToolbarScene
    public void w1() {
        s1(3);
    }

    @Override // defpackage.AbstractC1653wf
    public void x() {
        DownloadAdapter downloadAdapter = this.f2915a;
        if (downloadAdapter != null) {
            ((MB) downloadAdapter).f1062a.b();
        }
    }

    @Override // defpackage.ComponentCallbacksC1013km, com.hippo.ehviewer.ui.scene.BaseScene
    public void x0(Bundle bundle) {
        super.x0(bundle);
        bundle.putString("label", this.e);
    }

    @Override // defpackage.AbstractC1653wf
    public void y(DownloadInfo downloadInfo, List list, int i) {
        if (this.b == list) {
            DownloadAdapter downloadAdapter = this.f2915a;
            if (downloadAdapter != null) {
                ((MB) downloadAdapter).f1062a.f(i, 1);
            }
            F1();
        }
    }

    @Override // defpackage.AbstractC1653wf
    public void z() {
    }

    public final void z1(DownloadHolder downloadHolder, DownloadInfo downloadInfo, String str) {
        downloadHolder.f2928b.setVisibility(0);
        downloadHolder.f2926a.setVisibility(0);
        downloadHolder.f2929c.setVisibility(0);
        downloadHolder.d.setVisibility(0);
        downloadHolder.a.setVisibility(8);
        downloadHolder.e.setVisibility(8);
        downloadHolder.f.setVisibility(8);
        int i = downloadInfo.state;
        if (i == 1 || i == 2) {
            downloadHolder.b.setVisibility(8);
            downloadHolder.c.setVisibility(0);
        } else {
            downloadHolder.b.setVisibility(0);
            downloadHolder.c.setVisibility(8);
        }
        downloadHolder.d.setText(str);
    }
}
