package com.hippo.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.Gravity;
import android.view.View;

public class CheckTextView extends R2 implements View.OnClickListener {
    public final Rect a = new Rect();

    /* renamed from: a  reason: collision with other field name */
    public Drawable f3203a;
    public final Rect b = new Rect();

    /* renamed from: b  reason: collision with other field name */
    public boolean f3204b = true;
    public int c = 119;

    /* renamed from: c  reason: collision with other field name */
    public boolean f3205c = false;

    public CheckTextView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, 0);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C1385rh.f4474b, 0, 0);
        this.c = obtainStyledAttributes.getInt(1, this.c);
        Drawable drawable = obtainStyledAttributes.getDrawable(0);
        if (drawable != null) {
            setForeground(drawable);
        }
        this.f3204b = obtainStyledAttributes.getBoolean(2, true);
        obtainStyledAttributes.recycle();
        setOnClickListener(this);
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        Drawable drawable = this.f3203a;
        if (drawable != null) {
            if (this.f3205c) {
                this.f3205c = false;
                Rect rect = this.a;
                Rect rect2 = this.b;
                int right = getRight() - getLeft();
                int bottom = getBottom() - getTop();
                if (this.f3204b) {
                    rect.set(0, 0, right, bottom);
                } else {
                    rect.set(getPaddingLeft(), getPaddingTop(), right - getPaddingRight(), bottom - getPaddingBottom());
                }
                Gravity.apply(this.c, drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight(), rect, rect2);
                drawable.setBounds(rect2);
            }
            drawable.draw(canvas);
        }
    }

    public void drawableHotspotChanged(float f, float f2) {
        super.drawableHotspotChanged(f, f2);
        Drawable drawable = this.f3203a;
        if (drawable != null) {
            drawable.setHotspot(f, f2);
        }
    }

    @Override // defpackage.R2
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f3203a;
        if (drawable != null && drawable.isStateful()) {
            this.f3203a.setState(getDrawableState());
        }
    }

    public Drawable getForeground() {
        return this.f3203a;
    }

    public int getForegroundGravity() {
        return this.c;
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f3203a;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
    }

    public void onClick(View view) {
        setChecked(!isChecked());
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        this.f3205c = z | this.f3205c;
    }

    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        this.f3205c = true;
    }

    public void setForeground(Drawable drawable) {
        Drawable drawable2 = this.f3203a;
        if (drawable2 != drawable) {
            if (drawable2 != null) {
                drawable2.setCallback(null);
                unscheduleDrawable(this.f3203a);
            }
            this.f3203a = drawable;
            if (drawable != null) {
                setWillNotDraw(false);
                drawable.setCallback(this);
                if (drawable.isStateful()) {
                    drawable.setState(getDrawableState());
                }
                if (this.c == 119) {
                    drawable.getPadding(new Rect());
                }
            } else {
                setWillNotDraw(true);
            }
            requestLayout();
            invalidate();
        }
    }

    public void setForegroundGravity(int i) {
        if (this.c != i) {
            if ((8388615 & i) == 0) {
                i |= 8388611;
            }
            if ((i & 112) == 0) {
                i |= 48;
            }
            this.c = i;
            if (i == 119 && this.f3203a != null) {
                this.f3203a.getPadding(new Rect());
            }
            requestLayout();
        }
    }

    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f3203a;
    }
}
