package com.hippo.widget;

import android.content.Context;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Interpolator;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import io.github.nekoinverter.ehviewer.R;

public class FabLayout extends ViewGroup implements View.OnClickListener {
    public float a = -1.0f;

    /* renamed from: a  reason: collision with other field name */
    public AbstractC0473ak f3213a;

    /* renamed from: a  reason: collision with other field name */
    public AbstractC0527bk f3214a;
    public boolean b = true;
    public int c;

    /* renamed from: c  reason: collision with other field name */
    public boolean f3215c = true;
    public int d;

    /* renamed from: d  reason: collision with other field name */
    public boolean f3216d = false;
    public int e;
    public int f;

    public FabLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        setSoundEffectsEnabled(false);
        setClipToPadding(false);
        this.c = context.getResources().getDimensionPixelOffset(R.dimen.f75240_resource_name_obfuscated_RES_2131165361);
        this.d = context.getResources().getDimensionPixelOffset(R.dimen.f75230_resource_name_obfuscated_RES_2131165360);
        this.e = context.getResources().getDimensionPixelOffset(R.dimen.f75210_resource_name_obfuscated_RES_2131165358);
        this.f = context.getResources().getDimensionPixelOffset(R.dimen.f75220_resource_name_obfuscated_RES_2131165359);
    }

    public final int a(int i) {
        return View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(i), View.MeasureSpec.getMode(i) != 0 ? Integer.MIN_VALUE : 0);
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        if (view instanceof FloatingActionButton) {
            super.addView(view, i, layoutParams);
            return;
        }
        StringBuilder a2 = C0894ia.a("FloatingActionBarLayout should only contain FloatingActionButton, but try to add ");
        a2.append(view.getClass().getName());
        throw new IllegalStateException(a2.toString());
    }

    public FloatingActionButton b() {
        View childAt = getChildAt(getChildCount() - 1);
        if (childAt == null) {
            return null;
        }
        return (FloatingActionButton) childAt;
    }

    public FloatingActionButton c(int i) {
        if (i < 0 || i >= Math.max(0, getChildCount() - 1)) {
            return null;
        }
        return (FloatingActionButton) getChildAt(i);
    }

    public void d(boolean z) {
        if (this.f3215c != z) {
            this.f3215c = z;
            if (!this.b) {
                return;
            }
            if (z) {
                setOnClickListener(this);
            } else {
                setClickable(false);
            }
        }
    }

    public void dispatchSetPressed(boolean z) {
    }

    public void e(boolean z, boolean z2) {
        float f2;
        Interpolator interpolator;
        float f3;
        float f4;
        float f5;
        float f6;
        Interpolator interpolator2;
        float f7;
        float f8;
        if (this.b != z) {
            this.b = z;
            if (this.f3215c) {
                if (z) {
                    setOnClickListener(this);
                } else {
                    setClickable(false);
                }
            }
            int childCount = getChildCount();
            if (childCount > 0) {
                if (this.a == -1.0f || !z2) {
                    if (!this.f3216d) {
                        childCount--;
                    }
                    for (int i = 0; i < childCount; i++) {
                        View childAt = getChildAt(i);
                        if (childAt.getVisibility() != 8) {
                            childAt.setVisibility(z ? 0 : 4);
                            if (z) {
                                childAt.setAlpha(1.0f);
                            }
                        }
                    }
                } else {
                    if (this.f3216d) {
                        View childAt2 = getChildAt(childCount - 1);
                        boolean z3 = !z;
                        if (z) {
                            f7 = -45.0f;
                            interpolator2 = C1246p2.a;
                            f8 = 1.0f;
                            f6 = 0.0f;
                        } else {
                            interpolator2 = C1246p2.b;
                            f6 = 1.0f;
                            f8 = 0.0f;
                            f7 = 0.0f;
                        }
                        childAt2.setScaleX(f6);
                        childAt2.setScaleY(f6);
                        childAt2.setRotation(f7);
                        childAt2.animate().scaleX(f8).scaleY(f8).rotation(0.0f).setStartDelay(z3 ? 300 : 0).setDuration(300).setInterpolator(interpolator2).setListener(new C0412Yj(this, z, childAt2)).start();
                    }
                    for (int i2 = 0; i2 < childCount - 1; i2++) {
                        View childAt3 = getChildAt(i2);
                        if (childAt3.getVisibility() != 8) {
                            if (z) {
                                f4 = this.a - ((float) ((childAt3.getHeight() / 2) + childAt3.getTop()));
                                f5 = 1.0f;
                                f2 = 0.0f;
                                interpolator = C1246p2.a;
                                f3 = 0.0f;
                            } else {
                                float height = this.a - ((float) ((childAt3.getHeight() / 2) + childAt3.getTop()));
                                f2 = 1.0f;
                                f5 = 0.0f;
                                interpolator = C1246p2.b;
                                f3 = height;
                                f4 = 0.0f;
                            }
                            childAt3.setAlpha(f2);
                            childAt3.setTranslationY(f4);
                            childAt3.animate().alpha(f5).translationY(f3).setStartDelay(z ? 300 : 0).setDuration(300).setInterpolator(interpolator).setListener(new C0428Zj(this, z, childAt3)).start();
                        }
                    }
                }
            }
            AbstractC0527bk bkVar = this.f3214a;
            if (bkVar != null) {
                bkVar.l(z);
            }
        }
    }

    public void f(boolean z) {
        if (this.f3216d != z) {
            this.f3216d = z;
            boolean z2 = this.b;
            int childCount = getChildCount();
            if (!z2 && childCount > 0) {
                getChildAt(childCount - 1).setVisibility(z ? 4 : 0);
            }
        }
    }

    public void g(AbstractC0473ak akVar) {
        this.f3213a = akVar;
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            getChildAt(i).setOnClickListener(this);
        }
    }

    public void h(int i, boolean z) {
        FloatingActionButton c2 = c(i);
        if (c2 == null) {
            return;
        }
        if (z && c2.getVisibility() == 8) {
            c2.animate().cancel();
            c2.setVisibility(this.b ? 0 : 4);
        } else if (!z && c2.getVisibility() != 8) {
            c2.animate().cancel();
            c2.setVisibility(8);
        }
    }

    public void i() {
        e(!this.b, true);
    }

    public void onClick(View view) {
        if (this == view) {
            e(false, true);
        } else if (this.f3213a != null) {
            int indexOfChild = indexOfChild(view);
            if (indexOfChild == getChildCount() - 1) {
                this.f3213a.L(this, (FloatingActionButton) view);
            } else if (indexOfChild >= 0 && this.b) {
                this.f3213a.o(this, (FloatingActionButton) view, indexOfChild);
            }
        }
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int i5;
        int i6;
        int i7;
        int measuredHeight = getMeasuredHeight() - getPaddingBottom();
        int childCount = getChildCount();
        int i8 = 0;
        int i9 = childCount;
        while (true) {
            i9--;
            if (i9 >= 0) {
                View childAt = getChildAt(i9);
                if (childAt.getVisibility() != 8) {
                    int measuredWidth = childAt.getMeasuredWidth();
                    int measuredHeight2 = childAt.getMeasuredHeight();
                    if (i9 == childCount - 1) {
                        i5 = ((measuredHeight2 - this.c) / 2) + measuredHeight;
                        int measuredWidth2 = getMeasuredWidth() - getPaddingRight();
                        int i10 = this.c;
                        i6 = ((measuredWidth - i10) / 2) + measuredWidth2;
                        measuredHeight -= i10 + this.e;
                        i7 = i6 - (measuredWidth / 2);
                        this.a = ((float) i5) - (((float) measuredHeight2) / 2.0f);
                    } else {
                        int i11 = this.d;
                        int i12 = ((measuredHeight2 - i11) / 2) + measuredHeight;
                        i6 = (measuredWidth / 2) + i8;
                        measuredHeight -= i11 + this.f;
                        i7 = i8;
                        i5 = i12;
                    }
                    childAt.layout(i6 - measuredWidth, i5 - measuredHeight2, i6, i5);
                    i8 = i7;
                }
            } else {
                return;
            }
        }
    }

    public void onMeasure(int i, int i2) {
        measureChildren(a(i), a(i2));
        int childCount = getChildCount();
        int i3 = 0;
        int i4 = 0;
        for (int i5 = 0; i5 < childCount; i5++) {
            View childAt = getChildAt(i5);
            if (childAt.getVisibility() != 8) {
                i3 = Math.max(i3, childAt.getMeasuredWidth());
                i4 += childAt.getMeasuredHeight();
            }
        }
        setMeasuredDimension(ViewGroup.resolveSizeAndState(Math.max(getPaddingRight() + getPaddingLeft() + i3, getSuggestedMinimumWidth()), i, 0), ViewGroup.resolveSizeAndState(Math.max(getPaddingBottom() + getPaddingTop() + i4, getSuggestedMinimumHeight()), i2, 0));
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable instanceof Bundle) {
            Bundle bundle = (Bundle) parcelable;
            super.onRestoreInstanceState(bundle.getParcelable("super"));
            d(bundle.getBoolean("auto_cancel"));
            e(bundle.getBoolean("expanded"), false);
        }
    }

    public Parcelable onSaveInstanceState() {
        Bundle bundle = new Bundle();
        bundle.putParcelable("super", super.onSaveInstanceState());
        bundle.putBoolean("auto_cancel", this.f3215c);
        bundle.putBoolean("expanded", this.b);
        return bundle;
    }
}
